# src/kallisto/data/alpha.py

import numpy as np

secg = np.zeros(shape=(4,), dtype=np.float64)
sscale = np.zeros(shape=(4,), dtype=np.float64)
seccn = np.zeros(shape=(4,), dtype=np.float64)
seccnD3 = np.zeros(shape=(4,), dtype=np.float64)
seciw = np.zeros(shape=(23, 8), dtype=np.float64)

refx = np.zeros(shape=(7, 86), dtype=np.float64)
refh = np.zeros(shape=(7, 86), dtype=np.float64)
hrefg = np.zeros(shape=(7, 86), dtype=np.float64)
hcount = np.zeros(shape=(7, 86), dtype=np.float64)
ascale = np.zeros(shape=(7, 86), dtype=np.float64)
refcn = np.zeros(shape=(7, 86), dtype=np.float64)
refcnD3 = np.zeros(shape=(7, 86), dtype=np.float64)
refsys = np.zeros(shape=(7, 86), dtype=np.int64)
alphaiw = np.zeros(shape=(23, 7, 86), dtype=np.float64)

# EHJC - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
# reference systems count
refn = [
    2,  # H
    1,  # He
    2,  # Li
    3,  # Be
    5,  # B
    7,  # C
    5,  # N
    4,  # O
    2,  # F
    1,  # Ne
    2,  # Na
    3,  # Mg
    4,  # Al
    5,  # Si
    4,  # P
    3,  # S
    2,  # Cl
    1,  # Ar
    2,  # K
    3,  # Ca
    3,  # Sc
    3,  # Ti
    3,  # V
    4,  # Cr
    3,  # Mn
    3,  # Fe
    4,  # Co
    4,  # Ni
    2,  # Cu
    2,  # Zn
    3,  # Ga
    5,  # Ge
    4,  # As
    3,  # Se
    2,  # Br
    1,  # Kr
    2,  # Rb
    3,  # Sr
    3,  # Y
    3,  # Zr
    3,  # Nb
    4,  # Mo
    3,  # Tc
    3,  # Ru
    4,  # Rh
    3,  # Pd
    2,  # Ag
    2,  # Cd
    4,  # In
    5,  # Sn
    4,  # Sb
    3,  # Te
    2,  # I
    1,  # Xe
    2,  # Cs
    3,  # Ba
    3,  # La
    1,  # Ce
    2,  # Pr
    2,  # Nd
    2,  # Pm
    2,  # Sm
    2,  # Eu
    2,  # Gd
    2,  # Tb
    2,  # Dy
    2,  # Ho
    2,  # Er
    2,  # Tm
    2,  # Yb
    2,  # Lu
    3,  # Hf
    3,  # Ta
    3,  # W
    3,  # Re
    3,  # Os
    5,  # Ir
    3,  # Pt
    2,  # Au
    2,  # Hg
    4,  # Tl
    5,  # Pb
    4,  # Bi
    3,  # Po
    2,  # At
    1,  # Rn
]

# EHJC - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
# chemical hardness
gam = [
    0.47259288,  # H
    0.92203391,  # He
    0.17452888,  # Li
    0.25700733,  # Be
    0.33949086,  # B
    0.42195412,  # C
    0.50438193,  # N
    0.58691863,  # O
    0.66931351,  # F
    0.75191607,  # Ne
    0.17964105,  # Na
    0.22157276,  # Mg
    0.26348578,  # Al
    0.30539645,  # Si
    0.34734014,  # P
    0.38924725,  # S
    0.43115670,  # Cl
    0.47308269,  # Ar
    0.17105469,  # K
    0.20276244,  # Ca
    0.21007322,  # Sc
    0.21739647,  # Ti
    0.22471039,  # V
    0.23201501,  # Cr
    0.23933969,  # Mn
    0.24665638,  # Fe
    0.25398255,  # Co
    0.26128863,  # Ni
    0.26859476,  # Cu
    0.27592565,  # Zn
    0.30762999,  # Ga
    0.33931580,  # Ge
    0.37235985,  # As
    0.40273549,  # Se
    0.43445776,  # Br
    0.46611708,  # Kr
    0.15585079,  # Rb
    0.18649324,  # Sr
    0.19356210,  # Y
    0.20063311,  # Zr
    0.20770522,  # Nb
    0.21477254,  # Mo
    0.22184614,  # Tc
    0.22891872,  # Ru
    0.23598621,  # Rh
    0.24305612,  # Pd
    0.25013018,  # Ag
    0.25719937,  # Cd
    0.28784780,  # In
    0.31848673,  # Sn
    0.34912431,  # Sb
    0.37976593,  # Te
    0.41040808,  # I
    0.44105777,  # Xe
    0.05019332,  # Cs
    0.06762570,  # Ba
    0.08504445,  # La
    0.10247736,  # Ce
    0.11991105,  # Pr
    0.13732772,  # Nd
    0.15476297,  # Pm
    0.17218265,  # Sm
    0.18961288,  # Eu
    0.20704760,  # Gd
    0.22446752,  # Tb
    0.24189645,  # Dy
    0.25932503,  # Ho
    0.27676094,  # Er
    0.29418231,  # Tm
    0.31159587,  # Yb
    0.32902274,  # Lu
    0.34592298,  # Hf
    0.36388048,  # Ta
    0.38130586,  # W
    0.39877476,  # Re
    0.41614298,  # Os
    0.43364510,  # Ir
    0.45104014,  # Pt
    0.46848986,  # Au
    0.48584550,  # Hg
    0.12526730,  # Tl
    0.14268677,  # Pb
    0.16011615,  # Bi
    0.17755889,  # Po
    0.19497557,  # At
    0.21240778,  # Rn
]

# EHJC - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
# def2ecp nuclear charges
zeff = [
    1,  # H
    2,  # He
    3,  # Li
    4,  # Be
    5,  # B
    6,  # C
    7,  # N
    8,  # O
    9,  # F
    10,  # Ne
    11,  # Na
    12,  # Mg
    13,  # Al
    14,  # Si
    15,  # P
    16,  # S
    17,  # Cl
    18,  # Ar
    19,  # K
    20,  # Ca
    21,  # Sc
    22,  # Ti
    23,  # V
    24,  # Cr
    25,  # Mn
    26,  # Fe
    27,  # Co
    28,  # Ni
    29,  # Cu
    30,  # Zn
    31,  # Ga
    32,  # Ge
    33,  # As
    34,  # Se
    35,  # Br
    36,  # Kr
    9,  # Rb
    10,  # Sr
    11,  # Y
    12,  # Zr
    13,  # Nb
    14,  # Mo
    15,  # Tc
    16,  # Ru
    17,  # Rh
    18,  # Pd
    19,  # Ag
    20,  # Cd
    21,  # In
    22,  # Sn
    23,  # Sb
    24,  # Te
    25,  # I
    26,  # Xe
    9,  # Cs
    10,  # Ba
    11,  # La
    30,  # Ce
    31,  # Pr
    32,  # Nd
    33,  # Pm
    34,  # Sm
    35,  # Eu
    36,  # Gd
    37,  # Tb
    38,  # Dy
    39,  # Ho
    40,  # Er
    41,  # Tm
    42,  # Yb
    43,  # Lu
    12,  # Hf
    13,  # Ta
    14,  # W
    15,  # Re
    16,  # Os
    17,  # Ir
    18,  # Pt
    19,  # Au
    20,  # Hg
    21,  # Tl
    22,  # Pb
    23,  # Bi
    24,  # Po
    25,  # At
    26,  # Rn
]

# EHJC - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
# SEC H2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
secg[0] = 0.0000000
sscale[0] = 0.5000000
seccnD3[0] = 0.9117922
seccn[0] = 0.8943405
seciw[0][0] = 5.441516
seciw[1][0] = 5.391272
seciw[2][0] = 5.246678
seciw[3][0] = 4.746257
seciw[4][0] = 4.112205
seciw[5][0] = 3.482799
seciw[6][0] = 2.925626
seciw[7][0] = 2.458602
seciw[8][0] = 2.076390
seciw[9][0] = 1.766035
seciw[10][0] = 1.513898
seciw[11][0] = 1.308074
seciw[12][0] = 0.998777
seciw[13][0] = 0.783360
seciw[14][0] = 0.628681
seciw[15][0] = 0.514505
seciw[16][0] = 0.428148
seciw[17][0] = 0.286767
seciw[18][0] = 0.204727
seciw[19][0] = 0.118756
seciw[20][0] = 0.077227
seciw[21][0] = 0.034935
seciw[22][0] = 0.019788
# SEC C6H6  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
secg[1] = -0.0281289
sscale[1] = 0.1666667
seccnD3[1] = 3.1417714
seccn[1] = 3.0308560
seciw[0][1] = 68.583259
seciw[1][1] = 67.511526
seciw[2][1] = 64.612308
seciw[3][1] = 56.128665
seciw[4][1] = 47.431831
seciw[5][1] = 39.945919
seciw[6][1] = 33.781489
seciw[7][1] = 28.755302
seciw[8][1] = 24.656147
seciw[9][1] = 21.299286
seciw[10][1] = 18.534033
seciw[11][1] = 16.240648
seciw[12][1] = 12.713369
seciw[13][1] = 10.183205
seciw[14][1] = 8.319464
seciw[15][1] = 6.913379
seciw[16][1] = 5.829810
seciw[17][1] = 4.010660
seciw[18][1] = 2.923092
seciw[19][1] = 1.749480
seciw[20][1] = 1.165483
seciw[21][1] = 0.552306
seciw[22][1] = 0.324202
# SEC NH3 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
secg[2] = -0.5691112
sscale[2] = 1.0000000
seccnD3[2] = 2.9902643
seccn[2] = 2.5786984
seciw[0][2] = 13.892858
seciw[1][2] = 13.733566
seciw[2][2] = 13.294895
seciw[3][2] = 11.934271
seciw[4][2] = 10.402205
seciw[5][2] = 8.970619
seciw[6][2] = 7.721814
seciw[7][2] = 6.663568
seciw[8][2] = 5.777234
seciw[9][2] = 5.037134
seciw[10][2] = 4.418173
seciw[11][2] = 3.898441
seciw[12][2] = 3.087224
seciw[13][2] = 2.495633
seciw[14][2] = 2.053979
seciw[15][2] = 1.717046
seciw[16][2] = 1.454957
seciw[17][2] = 1.009545
seciw[18][2] = 0.739563
seciw[19][2] = 0.444560
seciw[20][2] = 0.296150
seciw[21][2] = 0.139252
seciw[22][2] = 0.080934
# SEC CO  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
secg[3] = -0.2876792
sscale[3] = 1.0000000
seccnD3[3] = 0.9999501
seccn[3] = 0.8555886
seciw[0][3] = 12.939042
seciw[1][3] = 12.821511
seciw[2][3] = 12.488787
seciw[3][3] = 11.386175
seciw[4][3] = 10.054713
seciw[5][3] = 8.759306
seciw[6][3] = 7.605522
seciw[7][3] = 6.616659
seciw[8][3] = 5.782386
seciw[9][3] = 5.081699
seciw[10][3] = 4.492484
seciw[11][3] = 3.994963
seciw[12][3] = 3.211719
seciw[13][3] = 2.633383
seciw[14][3] = 2.196040
seciw[15][3] = 1.858078
seciw[16][3] = 1.591874
seciw[17][3] = 1.130623
seciw[18][3] = 0.843739
seciw[19][3] = 0.521230
seciw[20][3] = 0.353997
seciw[21][3] = 0.171631
seciw[22][3] = 0.101558
# REF H - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][0] = 1.0000000
hcount[0][0] = 0.0000000
ascale[0][0] = 1.0000000
refcnD3[0][0] = 0.0000000
refcn[0][0] = 0.0000000
refsys[0][0] = 1
alphaiw[0][0][0] = 5.054016
alphaiw[1][0][0] = 4.966821
alphaiw[2][0][0] = 4.724439
alphaiw[3][0][0] = 3.970786
alphaiw[4][0][0] = 3.165503
alphaiw[5][0][0] = 2.488646
alphaiw[6][0][0] = 1.967046
alphaiw[7][0][0] = 1.575084
alphaiw[8][0][0] = 1.280429
alphaiw[9][0][0] = 1.056533
alphaiw[10][0][0] = 0.883925
alphaiw[11][0][0] = 0.748808
alphaiw[12][0][0] = 0.555006
alphaiw[13][0][0] = 0.426292
alphaiw[14][0][0] = 0.336939
alphaiw[15][0][0] = 0.272605
alphaiw[16][0][0] = 0.224858
alphaiw[17][0][0] = 0.148387
alphaiw[18][0][0] = 0.104992
alphaiw[19][0][0] = 0.060310
alphaiw[20][0][0] = 0.039025
alphaiw[21][0][0] = 0.017559
alphaiw[22][0][0] = 0.009925
# REF H2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][0] = 1.0000000
hcount[1][0] = 0.0000000
ascale[1][0] = 0.5000000
refcnD3[1][0] = 0.9117922
refcn[1][0] = 0.8943405
refsys[1][0] = 1
alphaiw[0][1][0] = 5.441516
alphaiw[1][1][0] = 5.391272
alphaiw[2][1][0] = 5.246678
alphaiw[3][1][0] = 4.746257
alphaiw[4][1][0] = 4.112205
alphaiw[5][1][0] = 3.482799
alphaiw[6][1][0] = 2.925626
alphaiw[7][1][0] = 2.458602
alphaiw[8][1][0] = 2.076390
alphaiw[9][1][0] = 1.766035
alphaiw[10][1][0] = 1.513898
alphaiw[11][1][0] = 1.308074
alphaiw[12][1][0] = 0.998777
alphaiw[13][1][0] = 0.783360
alphaiw[14][1][0] = 0.628681
alphaiw[15][1][0] = 0.514505
alphaiw[16][1][0] = 0.428148
alphaiw[17][1][0] = 0.286767
alphaiw[18][1][0] = 0.204727
alphaiw[19][1][0] = 0.118756
alphaiw[20][1][0] = 0.077227
alphaiw[21][1][0] = 0.034935
alphaiw[22][1][0] = 0.019788
# REF He  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][1] = 1.0000000
hcount[0][1] = 0.0000000
ascale[0][1] = 1.0000000
refcnD3[0][1] = 0.0000000
refcn[0][1] = 0.0000000
refsys[0][1] = 1
alphaiw[0][0][1] = 1.454636
alphaiw[1][0][1] = 1.450213
alphaiw[2][0][1] = 1.437140
alphaiw[3][0][1] = 1.387590
alphaiw[4][0][1] = 1.313545
alphaiw[5][0][1] = 1.224360
alphaiw[6][0][1] = 1.128613
alphaiw[7][0][1] = 1.032780
alphaiw[8][0][1] = 0.941058
alphaiw[9][0][1] = 0.855772
alphaiw[10][0][1] = 0.777929
alphaiw[11][0][1] = 0.707704
alphaiw[12][0][1] = 0.588640
alphaiw[13][0][1] = 0.494012
alphaiw[14][0][1] = 0.418709
alphaiw[15][0][1] = 0.358353
alphaiw[16][0][1] = 0.309516
alphaiw[17][0][1] = 0.222300
alphaiw[18][0][1] = 0.166509
alphaiw[19][0][1] = 0.102624
alphaiw[20][0][1] = 0.069190
alphaiw[21][0][1] = 0.032793
alphaiw[22][0][1] = 0.018980
# REF Li  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][2] = 1.0000000
hcount[0][2] = 0.0000000
ascale[0][2] = 1.0000000
refcnD3[0][2] = 0.0000000
refcn[0][2] = 0.0000000
refsys[0][2] = 1
alphaiw[0][0][2] = 149.684693
alphaiw[1][0][2] = 101.093775
alphaiw[2][0][2] = 51.667283
alphaiw[3][0][2] = 18.018108
alphaiw[4][0][2] = 8.909346
alphaiw[5][0][2] = 5.330903
alphaiw[6][0][2] = 3.569719
alphaiw[7][0][2] = 2.573073
alphaiw[8][0][2] = 1.953754
alphaiw[9][0][2] = 1.542174
alphaiw[10][0][2] = 1.254387
alphaiw[11][0][2] = 1.044937
alphaiw[12][0][2] = 0.765833
alphaiw[13][0][2] = 0.592286
alphaiw[14][0][2] = 0.476082
alphaiw[15][0][2] = 0.393814
alphaiw[16][0][2] = 0.333009
alphaiw[17][0][2] = 0.234547
alphaiw[18][0][2] = 0.176685
alphaiw[19][0][2] = 0.113304
alphaiw[20][0][2] = 0.080274
alphaiw[21][0][2] = 0.042422
alphaiw[22][0][2] = 0.026416
# REF LiH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][2] = -0.379833
hcount[1][2] = 1.0000000
ascale[1][2] = 1.0000000
refcnD3[1][2] = 0.9864765
refcn[1][2] = 0.8011086
refsys[1][2] = 1
alphaiw[0][1][2] = 27.793479
alphaiw[1][1][2] = 25.922007
alphaiw[2][1][2] = 21.821414
alphaiw[3][1][2] = 14.171781
alphaiw[4][1][2] = 9.482488
alphaiw[5][1][2] = 6.712909
alphaiw[6][1][2] = 4.985725
alphaiw[7][1][2] = 3.846502
alphaiw[8][1][2] = 3.058976
alphaiw[9][1][2] = 2.493225
alphaiw[10][1][2] = 2.073661
alphaiw[11][1][2] = 1.754101
alphaiw[12][1][2] = 1.307343
alphaiw[13][1][2] = 1.016502
alphaiw[14][1][2] = 0.816158
alphaiw[15][1][2] = 0.671910
alphaiw[16][1][2] = 0.564308
alphaiw[17][1][2] = 0.389327
alphaiw[18][1][2] = 0.287017
alphaiw[19][1][2] = 0.176855
alphaiw[20][1][2] = 0.121126
alphaiw[21][1][2] = 0.060284
alphaiw[22][1][2] = 0.036258
# REF Be  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][3] = 1.0000000
hcount[0][3] = 0.0000000
ascale[0][3] = 1.0000000
refcnD3[0][3] = 0.0000000
refcn[0][3] = 0.0000000
refsys[0][3] = 1
alphaiw[0][0][3] = 42.879046
alphaiw[1][0][3] = 39.929591
alphaiw[2][0][3] = 33.131906
alphaiw[3][0][3] = 19.858446
alphaiw[4][0][3] = 12.056207
alphaiw[5][0][3] = 7.873124
alphaiw[6][0][3] = 5.500370
alphaiw[7][0][3] = 4.052214
alphaiw[8][0][3] = 3.109718
alphaiw[9][0][3] = 2.463393
alphaiw[10][0][3] = 2.001163
alphaiw[11][0][3] = 1.659186
alphaiw[12][0][3] = 1.196572
alphaiw[13][0][3] = 0.906171
alphaiw[14][0][3] = 0.711967
alphaiw[15][0][3] = 0.575682
alphaiw[16][0][3] = 0.476326
alphaiw[17][0][3] = 0.319938
alphaiw[18][0][3] = 0.232135
alphaiw[19][0][3] = 0.141147
alphaiw[20][0][3] = 0.096557
alphaiw[21][0][3] = 0.048856
alphaiw[22][0][3] = 0.030200
# REF BeH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][3] = -0.272908
hcount[1][3] = 1.0000000
ascale[1][3] = 1.0000000
refcnD3[1][3] = 0.9807932
refcn[1][3] = 0.8739229
refsys[1][3] = 1
alphaiw[0][1][3] = 33.919175
alphaiw[1][1][3] = 30.622969
alphaiw[2][1][3] = 25.180915
alphaiw[3][1][3] = 17.119786
alphaiw[4][1][3] = 12.049481
alphaiw[5][1][3] = 8.782396
alphaiw[6][1][3] = 6.623329
alphaiw[7][1][3] = 5.148350
alphaiw[8][1][3] = 4.105993
alphaiw[9][1][3] = 3.346216
alphaiw[10][1][3] = 2.777182
alphaiw[11][1][3] = 2.340884
alphaiw[12][1][3] = 1.727651
alphaiw[13][1][3] = 1.327625
alphaiw[14][1][3] = 1.052846
alphaiw[15][1][3] = 0.856226
alphaiw[16][1][3] = 0.710789
alphaiw[17][1][3] = 0.478152
alphaiw[18][1][3] = 0.345631
alphaiw[19][1][3] = 0.207337
alphaiw[20][1][3] = 0.139663
alphaiw[21][1][3] = 0.068180
alphaiw[22][1][3] = 0.040933
# REF BeH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][3] = -0.167479
hcount[2][3] = 2.0000000
ascale[2][3] = 1.0000000
refcnD3[2][3] = 1.9696581
refcn[2][3] = 1.7550380
refsys[2][3] = 1
alphaiw[0][2][3] = 20.376351
alphaiw[1][2][3] = 19.988166
alphaiw[2][2][3] = 18.920729
alphaiw[3][2][3] = 15.699743
alphaiw[4][2][3] = 12.394144
alphaiw[5][2][3] = 9.699452
alphaiw[6][2][3] = 7.661334
alphaiw[7][2][3] = 6.144863
alphaiw[8][2][3] = 5.009882
alphaiw[9][2][3] = 4.148535
alphaiw[10][2][3] = 3.484173
alphaiw[11][2][3] = 2.963389
alphaiw[12][2][3] = 2.214326
alphaiw[13][2][3] = 1.714675
alphaiw[14][2][3] = 1.366297
alphaiw[15][2][3] = 1.114389
alphaiw[16][2][3] = 0.926645
alphaiw[17][2][3] = 0.623903
alphaiw[18][2][3] = 0.450246
alphaiw[19][2][3] = 0.268461
alphaiw[20][2][3] = 0.179590
alphaiw[21][2][3] = 0.086293
alphaiw[22][2][3] = 0.051144
# REF B - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][4] = 1.0000000
hcount[0][4] = 0.0000000
ascale[0][4] = 1.0000000
refcnD3[0][4] = 0.0000000
refcn[0][4] = 0.0000000
refsys[0][4] = 1
alphaiw[0][0][4] = 22.106888
alphaiw[1][0][4] = 21.344226
alphaiw[2][0][4] = 19.431791
alphaiw[3][0][4] = 14.669421
alphaiw[4][0][4] = 10.697547
alphaiw[5][0][4] = 7.902320
alphaiw[6][0][4] = 5.992210
alphaiw[7][0][4] = 4.668449
alphaiw[8][0][4] = 3.726988
alphaiw[9][0][4] = 3.038944
alphaiw[10][0][4] = 2.523199
alphaiw[11][0][4] = 2.127739
alphaiw[12][0][4] = 1.572062
alphaiw[13][0][4] = 1.209568
alphaiw[14][0][4] = 0.960327
alphaiw[15][0][4] = 0.781657
alphaiw[16][0][4] = 0.649190
alphaiw[17][0][4] = 0.436456
alphaiw[18][0][4] = 0.314692
alphaiw[19][0][4] = 0.187373
alphaiw[20][0][4] = 0.125270
alphaiw[21][0][4] = 0.060201
alphaiw[22][0][4] = 0.035601
# REF BH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][4] = -0.091325
hcount[1][4] = 1.0000000
ascale[1][4] = 1.0000000
refcnD3[1][4] = 0.9706162
refcn[1][4] = 0.9293718
refsys[1][4] = 1
alphaiw[0][1][4] = 20.552107
alphaiw[1][1][4] = 19.910169
alphaiw[2][1][4] = 18.355221
alphaiw[3][1][4] = 14.580268
alphaiw[4][1][4] = 11.305618
alphaiw[5][1][4] = 8.816514
alphaiw[6][1][4] = 6.979439
alphaiw[7][1][4] = 5.620618
alphaiw[8][1][4] = 4.602269
alphaiw[9][1][4] = 3.826385
alphaiw[10][1][4] = 3.225153
alphaiw[11][1][4] = 2.751672
alphaiw[12][1][4] = 2.066451
alphaiw[13][1][4] = 1.605971
alphaiw[14][1][4] = 1.282871
alphaiw[15][1][4] = 1.047981
alphaiw[16][1][4] = 0.872121
alphaiw[17][1][4] = 0.586930
alphaiw[18][1][4] = 0.422471
alphaiw[19][1][4] = 0.250075
alphaiw[20][1][4] = 0.166134
alphaiw[21][1][4] = 0.078814
alphaiw[22][1][4] = 0.046231
# REF BH2 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][4] = -0.058901
hcount[2][4] = 2.0000000
ascale[2][4] = 1.0000000
refcnD3[2][4] = 1.9441253
refcn[2][4] = 1.8615137
refsys[2][4] = 1
alphaiw[0][2][4] = 20.280635
alphaiw[1][2][4] = 19.163507
alphaiw[2][2][4] = 17.800936
alphaiw[3][2][4] = 14.884098
alphaiw[4][2][4] = 12.098316
alphaiw[5][2][4] = 9.783606
alphaiw[6][2][4] = 7.956931
alphaiw[7][2][4] = 6.537031
alphaiw[8][2][4] = 5.432853
alphaiw[9][2][4] = 4.567826
alphaiw[10][2][4] = 3.883091
alphaiw[11][2][4] = 3.334863
alphaiw[12][2][4] = 2.527335
alphaiw[13][2][4] = 1.975295
alphaiw[14][2][4] = 1.583538
alphaiw[15][2][4] = 1.296523
alphaiw[16][2][4] = 1.080474
alphaiw[17][2][4] = 0.728153
alphaiw[18][2][4] = 0.524025
alphaiw[19][2][4] = 0.309524
alphaiw[20][2][4] = 0.205045
alphaiw[21][2][4] = 0.096646
alphaiw[22][2][4] = 0.056444
# REF BH3 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][4] = -0.043050
hcount[3][4] = 3.0000000
ascale[3][4] = 1.0000000
refcnD3[3][4] = 2.9128470
refcn[3][4] = 2.7890715
refsys[3][4] = 1
alphaiw[0][3][4] = 17.383900
alphaiw[1][3][4] = 17.199234
alphaiw[2][3][4] = 16.672558
alphaiw[3][3][4] = 14.898651
alphaiw[4][3][4] = 12.740752
alphaiw[5][3][4] = 10.675485
alphaiw[6][3][4] = 8.896908
alphaiw[7][3][4] = 7.434914
alphaiw[8][3][4] = 6.254692
alphaiw[9][3][4] = 5.305676
alphaiw[10][3][4] = 4.540184
alphaiw[11][3][4] = 3.918661
alphaiw[12][3][4] = 2.989920
alphaiw[13][3][4] = 2.346451
alphaiw[14][3][4] = 1.885873
alphaiw[15][3][4] = 1.546499
alphaiw[16][3][4] = 1.290030
alphaiw[17][3][4] = 0.870119
alphaiw[18][3][4] = 0.626026
alphaiw[19][3][4] = 0.369113
alphaiw[20][3][4] = 0.243962
alphaiw[21][3][4] = 0.114385
alphaiw[22][3][4] = 0.066555
# REF B2H6  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][4] = -0.044391
hcount[4][4] = 6.0000000
ascale[4][4] = 0.5000000
refcnD3[4][4] = 4.5856446
refcn[4][4] = 4.4128267
refsys[4][4] = 1
alphaiw[0][4][4] = 33.338931
alphaiw[1][4][4] = 33.001127
alphaiw[2][4][4] = 32.035771
alphaiw[3][4][4] = 28.763906
alphaiw[4][4][4] = 24.742216
alphaiw[5][4][4] = 20.850360
alphaiw[6][4][4] = 17.464117
alphaiw[7][4][4] = 14.655511
alphaiw[8][4][4] = 12.370961
alphaiw[9][4][4] = 10.522395
alphaiw[10][4][4] = 9.023630
alphaiw[11][4][4] = 7.801640
alphaiw[12][4][4] = 5.967099
alphaiw[13][4][4] = 4.690169
alphaiw[14][4][4] = 3.773346
alphaiw[15][4][4] = 3.096378
alphaiw[16][4][4] = 2.584049
alphaiw[17][4][4] = 1.744047
alphaiw[18][4][4] = 1.255222
alphaiw[19][4][4] = 0.740457
alphaiw[20][4][4] = 0.489644
alphaiw[21][4][4] = 0.229910
alphaiw[22][4][4] = 0.133970
# REF C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][5] = 1.0000000
hcount[0][5] = 0.0000000
ascale[0][5] = 1.0000000
refcnD3[0][5] = 0.0000000
refcn[0][5] = 0.0000000
refsys[0][5] = 1
alphaiw[0][0][5] = 12.355534
alphaiw[1][0][5] = 12.138664
alphaiw[2][0][5] = 11.549261
alphaiw[3][0][5] = 9.799949
alphaiw[4][0][5] = 7.991682
alphaiw[5][0][5] = 6.469112
alphaiw[6][0][5] = 5.271555
alphaiw[7][0][5] = 4.346370
alphaiw[8][0][5] = 3.629858
alphaiw[9][0][5] = 3.069157
alphaiw[10][0][5] = 2.624682
alphaiw[11][0][5] = 2.267678
alphaiw[12][0][5] = 1.738430
alphaiw[13][0][5] = 1.372983
alphaiw[14][0][5] = 1.111021
alphaiw[15][0][5] = 0.917259
alphaiw[16][0][5] = 0.770100
alphaiw[17][0][5] = 0.526911
alphaiw[18][0][5] = 0.383503
alphaiw[19][0][5] = 0.229873
alphaiw[20][0][5] = 0.153581
alphaiw[21][0][5] = 0.073258
alphaiw[22][0][5] = 0.043192
# REF CH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][5] = 0.2184841
hcount[1][5] = 1.0000000
ascale[1][5] = 1.0000000
refcnD3[1][5] = 0.9867893
refcn[1][5] = 0.9179641
refsys[1][5] = 1
alphaiw[0][1][5] = 14.548281
alphaiw[1][1][5] = 14.275464
alphaiw[2][1][5] = 13.378671
alphaiw[3][1][5] = 11.349231
alphaiw[4][1][5] = 9.418531
alphaiw[5][1][5] = 7.771912
alphaiw[6][1][5] = 6.436185
alphaiw[7][1][5] = 5.372875
alphaiw[8][1][5] = 4.528772
alphaiw[9][1][5] = 3.855334
alphaiw[10][1][5] = 3.313496
alphaiw[11][1][5] = 2.873279
alphaiw[12][1][5] = 2.212767
alphaiw[13][1][5] = 1.751488
alphaiw[14][1][5] = 1.418459
alphaiw[15][1][5] = 1.171021
alphaiw[16][1][5] = 0.982578
alphaiw[17][1][5] = 0.670555
alphaiw[18][1][5] = 0.486537
alphaiw[19][1][5] = 0.289904
alphaiw[20][1][5] = 0.192716
alphaiw[21][1][5] = 0.091058
alphaiw[22][1][5] = 0.053333
# REF C2H2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][5] = 0.1662706
hcount[2][5] = 2.0000000
ascale[2][5] = 0.5000000
refcnD3[2][5] = 1.9984766
refcn[2][5] = 1.9096952
refsys[2][5] = 1
alphaiw[0][2][5] = 23.011623
alphaiw[1][2][5] = 22.731267
alphaiw[2][2][5] = 21.944764
alphaiw[3][2][5] = 19.416098
alphaiw[4][2][5] = 16.525767
alphaiw[5][2][5] = 13.883580
alphaiw[6][2][5] = 11.664403
alphaiw[7][2][5] = 9.856640
alphaiw[8][2][5] = 8.395422
alphaiw[9][2][5] = 7.211816
alphaiw[10][2][5] = 6.246957
alphaiw[11][2][5] = 5.454058
alphaiw[12][2][5] = 4.247556
alphaiw[13][2][5] = 3.391473
alphaiw[14][2][5] = 2.765505
alphaiw[15][2][5] = 2.295593
alphaiw[16][2][5] = 1.934670
alphaiw[17][2][5] = 1.330592
alphaiw[18][2][5] = 0.970136
alphaiw[19][2][5] = 0.581185
alphaiw[20][2][5] = 0.387432
alphaiw[21][2][5] = 0.183694
alphaiw[22][2][5] = 0.107810
# REF C2H4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][5] = 0.1096322
hcount[3][5] = 4.0000000
ascale[3][5] = 0.5000000
refcnD3[3][5] = 2.9987260
refcn[3][5] = 2.8401677
refsys[3][5] = 1
alphaiw[0][3][5] = 27.453764
alphaiw[1][3][5] = 27.092190
alphaiw[2][3][5] = 26.093414
alphaiw[3][3][5] = 23.005005
alphaiw[4][3][5] = 19.617075
alphaiw[5][3][5] = 16.571741
alphaiw[6][3][5] = 14.010784
alphaiw[7][3][5] = 11.905763
alphaiw[8][3][5] = 10.185992
alphaiw[9][3][5] = 8.779149
alphaiw[10][3][5] = 7.622770
alphaiw[11][3][5] = 6.666120
alphaiw[12][3][5] = 5.200023
alphaiw[13][3][5] = 4.152963
alphaiw[14][3][5] = 3.384515
alphaiw[15][3][5] = 2.806548
alphaiw[16][3][5] = 2.362313
alphaiw[17][3][5] = 1.619099
alphaiw[18][3][5] = 1.176583
alphaiw[19][3][5] = 0.700962
alphaiw[20][3][5] = 0.465256
alphaiw[21][3][5] = 0.218871
alphaiw[22][3][5] = 0.127754
# REF C2H6  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][5] = 0.0869257
hcount[4][5] = 6.0000000
ascale[4][5] = 0.5000000
refcnD3[4][5] = 3.9843990
refcn[4][5] = 3.7567914
refsys[4][5] = 1
alphaiw[0][4][5] = 28.335276
alphaiw[1][4][5] = 28.093247
alphaiw[2][4][5] = 27.399036
alphaiw[3][4][5] = 25.015102
alphaiw[4][4][5] = 22.007695
alphaiw[5][4][5] = 18.998989
alphaiw[6][4][5] = 16.286716
alphaiw[7][4][5] = 13.958871
alphaiw[8][4][5] = 12.005173
alphaiw[9][4][5] = 10.379541
alphaiw[10][4][5] = 9.028637
alphaiw[11][4][5] = 7.903088
alphaiw[12][4][5] = 6.167697
alphaiw[13][4][5] = 4.923128
alphaiw[14][4][5] = 4.008316
alphaiw[15][4][5] = 3.320087
alphaiw[16][4][5] = 2.791306
alphaiw[17][4][5] = 1.907798
alphaiw[18][4][5] = 1.383003
alphaiw[19][4][5] = 0.820737
alphaiw[20][4][5] = 0.543129
alphaiw[21][4][5] = 0.254120
alphaiw[22][4][5] = 0.147757
# REF C6H6  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[5][5] = 0.1475471
hcount[5][5] = 6.0000000
ascale[5][5] = 0.1666667
refcnD3[5][5] = 3.1417714
refcn[5][5] = 3.0308558
refsys[5][5] = 1
alphaiw[0][5][5] = 68.583259
alphaiw[1][5][5] = 67.511526
alphaiw[2][5][5] = 64.612308
alphaiw[3][5][5] = 56.128665
alphaiw[4][5][5] = 47.431831
alphaiw[5][5][5] = 39.945919
alphaiw[6][5][5] = 33.781489
alphaiw[7][5][5] = 28.755302
alphaiw[8][5][5] = 24.656147
alphaiw[9][5][5] = 21.299286
alphaiw[10][5][5] = 18.534033
alphaiw[11][5][5] = 16.240648
alphaiw[12][5][5] = 12.713369
alphaiw[13][5][5] = 10.183205
alphaiw[14][5][5] = 8.319464
alphaiw[15][5][5] = 6.913379
alphaiw[16][5][5] = 5.829810
alphaiw[17][5][5] = 4.010660
alphaiw[18][5][5] = 2.923092
alphaiw[19][5][5] = 1.749480
alphaiw[20][5][5] = 1.165483
alphaiw[21][5][5] = 0.552306
alphaiw[22][5][5] = 0.324202
# REF OC  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[6][5] = -0.424855
hcount[6][5] = 1.0000000
ascale[6][5] = 1.0000000
refcnD3[6][5] = 0.9999501
refcn[6][5] = 0.8555886
refsys[6][5] = 2
alphaiw[0][6][5] = 7.74025
alphaiw[1][6][5] = 7.6643
alphaiw[2][6][5] = 7.44867
alphaiw[3][6][5] = 6.72865
alphaiw[4][6][5] = 5.85336
alphaiw[5][6][5] = 5.00455
alphaiw[6][6][5] = 4.25857
alphaiw[7][6][5] = 3.63162
alphaiw[8][6][5] = 3.11429
alphaiw[9][6][5] = 2.68943
alphaiw[10][6][5] = 2.33976
alphaiw[11][6][5] = 2.05036
alphaiw[12][6][5] = 1.60669
alphaiw[13][6][5] = 1.28944
alphaiw[14][6][5] = 1.05611
alphaiw[15][6][5] = 0.880101
alphaiw[16][6][5] = 0.74436
alphaiw[17][6][5] = 0.515828
alphaiw[18][6][5] = 0.378403
alphaiw[19][6][5] = 0.228799
alphaiw[20][6][5] = 0.15355
alphaiw[21][6][5] = 0.0736385
alphaiw[22][6][5] = 0.043546
# REF N - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][6] = 1.0000000
hcount[0][6] = 0.0000000
ascale[0][6] = 1.0000000
refcnD3[0][6] = 0.0000000
refcn[0][6] = 0.0000000
refsys[0][6] = 1
alphaiw[0][0][6] = 7.538509
alphaiw[1][0][6] = 7.465784
alphaiw[2][0][6] = 7.259223
alphaiw[3][0][6] = 6.570842
alphaiw[4][0][6] = 5.741209
alphaiw[5][0][6] = 4.944504
alphaiw[6][0][6] = 4.247411
alphaiw[7][0][6] = 3.660582
alphaiw[8][0][6] = 3.173472
alphaiw[9][0][6] = 2.770038
alphaiw[10][0][6] = 2.434717
alphaiw[11][0][6] = 2.154267
alphaiw[12][0][6] = 1.717461
alphaiw[13][0][6] = 1.398435
alphaiw[14][0][6] = 1.159176
alphaiw[15][0][6] = 0.975581
alphaiw[16][0][6] = 0.831886
alphaiw[17][0][6] = 0.585259
alphaiw[18][0][6] = 0.433727
alphaiw[19][0][6] = 0.265465
alphaiw[20][0][6] = 0.179204
alphaiw[21][0][6] = 0.086096
alphaiw[22][0][6] = 0.050715
# REF NH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][6] = 0.6034474
hcount[1][6] = 1.0000000
ascale[1][6] = 1.0000000
refcnD3[1][6] = 0.9944073
refcn[1][6] = 0.8575417
refsys[1][6] = 1
alphaiw[0][1][6] = 9.834089
alphaiw[1][1][6] = 9.698044
alphaiw[2][1][6] = 9.352150
alphaiw[3][1][6] = 8.381131
alphaiw[4][1][6] = 7.318423
alphaiw[5][1][6] = 6.318385
alphaiw[6][1][6] = 5.440724
alphaiw[7][1][6] = 4.695655
alphaiw[8][1][6] = 4.072098
alphaiw[9][1][6] = 3.552331
alphaiw[10][1][6] = 3.118423
alphaiw[11][1][6] = 2.754588
alphaiw[12][1][6] = 2.187267
alphaiw[13][1][6] = 1.773449
alphaiw[14][1][6] = 1.464049
alphaiw[15][1][6] = 1.227507
alphaiw[16][1][6] = 1.043071
alphaiw[17][1][6] = 0.728380
alphaiw[18][1][6] = 0.536540
alphaiw[19][1][6] = 0.325416
alphaiw[20][1][6] = 0.218261
alphaiw[21][1][6] = 0.103808
alphaiw[22][1][6] = 0.060778
# REF N2H2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][6] = 0.4804509
hcount[2][6] = 2.0000000
ascale[2][6] = 0.5000000
refcnD3[2][6] = 2.0142721
refcn[2][6] = 1.8555113
refsys[2][6] = 1
alphaiw[0][2][6] = 18.528153
alphaiw[1][2][6] = 18.327093
alphaiw[2][2][6] = 17.767535
alphaiw[3][2][6] = 15.994089
alphaiw[4][2][6] = 13.967469
alphaiw[5][2][6] = 12.072096
alphaiw[6][2][6] = 10.423793
alphaiw[7][2][6] = 9.029830
alphaiw[8][2][6] = 7.862305
alphaiw[9][2][6] = 6.885730
alphaiw[10][2][6] = 6.066625
alphaiw[11][2][6] = 5.376321
alphaiw[12][2][6] = 4.292351
alphaiw[13][2][6] = 3.495032
alphaiw[14][2][6] = 2.894844
alphaiw[15][2][6] = 2.433470
alphaiw[16][2][6] = 2.072121
alphaiw[17][2][6] = 1.452095
alphaiw[18][2][6] = 1.071849
alphaiw[19][2][6] = 0.651379
alphaiw[20][2][6] = 0.437251
alphaiw[21][2][6] = 0.208148
alphaiw[22][2][6] = 0.121945
# REF NH3 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][6] = 0.3149103
hcount[3][6] = 3.0000000
ascale[3][6] = 1.0000000
refcnD3[3][6] = 2.9902643
refcn[3][6] = 2.5786982
refsys[3][6] = 1
alphaiw[0][3][6] = 13.892858
alphaiw[1][3][6] = 13.733566
alphaiw[2][3][6] = 13.294895
alphaiw[3][3][6] = 11.934271
alphaiw[4][3][6] = 10.402205
alphaiw[5][3][6] = 8.970619
alphaiw[6][3][6] = 7.721814
alphaiw[7][3][6] = 6.663568
alphaiw[8][3][6] = 5.777234
alphaiw[9][3][6] = 5.037134
alphaiw[10][3][6] = 4.418173
alphaiw[11][3][6] = 3.898441
alphaiw[12][3][6] = 3.087224
alphaiw[13][3][6] = 2.495633
alphaiw[14][3][6] = 2.053979
alphaiw[15][3][6] = 1.717046
alphaiw[16][3][6] = 1.454957
alphaiw[17][3][6] = 1.009545
alphaiw[18][3][6] = 0.739563
alphaiw[19][3][6] = 0.444560
alphaiw[20][3][6] = 0.296150
alphaiw[21][3][6] = 0.139252
alphaiw[22][3][6] = 0.080934
# REF N2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][6] = 1.0000000
hcount[4][6] = 0.0000000
ascale[4][6] = 0.5000000
refcnD3[4][6] = 0.9999895
refcn[4][6] = 0.9808497
refsys[4][6] = 1
alphaiw[0][4][6] = 11.612543
alphaiw[1][4][6] = 11.541050
alphaiw[2][4][6] = 11.333241
alphaiw[3][4][6] = 10.589527
alphaiw[4][4][6] = 9.588630
alphaiw[5][4][6] = 8.522841
alphaiw[6][4][6] = 7.510635
alphaiw[7][4][6] = 6.604314
alphaiw[8][4][6] = 5.816428
alphaiw[9][4][6] = 5.140655
alphaiw[10][4][6] = 4.563685
alphaiw[11][4][6] = 4.070924
alphaiw[12][4][6] = 3.285813
alphaiw[13][4][6] = 2.699453
alphaiw[14][4][6] = 2.252756
alphaiw[15][4][6] = 1.905951
alphaiw[16][4][6] = 1.632027
alphaiw[17][4][6] = 1.156583
alphaiw[18][4][6] = 0.860973
alphaiw[19][4][6] = 0.529497
alphaiw[20][4][6] = 0.358275
alphaiw[21][4][6] = 0.172584
alphaiw[22][4][6] = 0.101807
# REF O - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][7] = 1.0000000
hcount[0][7] = 0.0000000
ascale[0][7] = 1.0000000
refcnD3[0][7] = 0.0000000
refcn[0][7] = 0.0000000
refsys[0][7] = 1
alphaiw[0][0][7] = 5.196709
alphaiw[1][0][7] = 5.164430
alphaiw[2][0][7] = 5.071569
alphaiw[3][0][7] = 4.748450
alphaiw[4][0][7] = 4.327353
alphaiw[5][0][7] = 3.885426
alphaiw[6][0][7] = 3.464801
alphaiw[7][0][7] = 3.083864
alphaiw[8][0][7] = 2.747829
alphaiw[9][0][7] = 2.455331
alphaiw[10][0][7] = 2.202160
alphaiw[11][0][7] = 1.983241
alphaiw[12][0][7] = 1.628759
alphaiw[13][0][7] = 1.358717
alphaiw[14][0][7] = 1.149247
alphaiw[15][0][7] = 0.983879
alphaiw[16][0][7] = 0.851237
alphaiw[17][0][7] = 0.615831
alphaiw[18][0][7] = 0.465426
alphaiw[19][0][7] = 0.292127
alphaiw[20][0][7] = 0.200182
alphaiw[21][0][7] = 0.097859
alphaiw[22][0][7] = 0.057923
# REF OH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][7] = 1.0577320
hcount[1][7] = 1.0000000
ascale[1][7] = 1.0000000
refcnD3[1][7] = 0.9924594
refcn[1][7] = 0.8033980
refsys[1][7] = 1
alphaiw[0][1][7] = 7.294157
alphaiw[1][1][7] = 7.235679
alphaiw[2][1][7] = 7.072828
alphaiw[3][1][7] = 6.540689
alphaiw[4][1][7] = 5.887289
alphaiw[5][1][7] = 5.228843
alphaiw[6][1][7] = 4.619818
alphaiw[7][1][7] = 4.079470
alphaiw[8][1][7] = 3.609873
alphaiw[9][1][7] = 3.205643
alphaiw[10][1][7] = 2.858792
alphaiw[11][1][7] = 2.561018
alphaiw[12][1][7] = 2.083165
alphaiw[13][1][7] = 1.723123
alphaiw[14][1][7] = 1.446660
alphaiw[15][1][7] = 1.230446
alphaiw[16][1][7] = 1.058503
alphaiw[17][1][7] = 0.757055
alphaiw[18][1][7] = 0.567268
alphaiw[19][1][7] = 0.351781
alphaiw[20][1][7] = 0.239118
alphaiw[21][1][7] = 0.115527
alphaiw[22][1][7] = 0.067956
# REF OH2 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][7] = 0.7520275
hcount[2][7] = 2.0000000
ascale[2][7] = 1.0000000
refcnD3[2][7] = 1.9886927
refcn[2][7] = 1.6098510
refsys[2][7] = 1
alphaiw[0][2][7] = 9.371584
alphaiw[1][2][7] = 9.291767
alphaiw[2][2][7] = 9.066396
alphaiw[3][2][7] = 8.322777
alphaiw[4][2][7] = 7.423505
alphaiw[5][2][7] = 6.539207
alphaiw[6][2][7] = 5.738620
alphaiw[7][2][7] = 5.039802
alphaiw[8][2][7] = 4.439654
alphaiw[9][2][7] = 3.927464
alphaiw[10][2][7] = 3.490753
alphaiw[11][2][7] = 3.117658
alphaiw[12][2][7] = 2.522247
alphaiw[13][2][7] = 2.076419
alphaiw[14][2][7] = 1.735945
alphaiw[15][2][7] = 1.470993
alphaiw[16][2][7] = 1.261252
alphaiw[17][2][7] = 0.895955
alphaiw[18][2][7] = 0.667832
alphaiw[19][2][7] = 0.410982
alphaiw[20][2][7] = 0.277866
alphaiw[21][2][7] = 0.133160
alphaiw[22][2][7] = 0.077978
# REF O2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][7] = 1.0000000
hcount[3][7] = 0.0000000
ascale[3][7] = 0.5000000
refcnD3[3][7] = 0.9985673
refcn[3][7] = 0.9794547
refsys[3][7] = 1
alphaiw[0][3][7] = 10.397587
alphaiw[1][3][7] = 10.314423
alphaiw[2][3][7] = 10.080231
alphaiw[3][3][7] = 9.315048
alphaiw[4][3][7] = 8.402702
alphaiw[5][3][7] = 7.509512
alphaiw[6][3][7] = 6.693911
alphaiw[7][3][7] = 5.970069
alphaiw[8][3][7] = 5.336182
alphaiw[9][3][7] = 4.784530
alphaiw[10][3][7] = 4.305457
alphaiw[11][3][7] = 3.889198
alphaiw[12][3][7] = 3.210059
alphaiw[13][3][7] = 2.687884
alphaiw[14][3][7] = 2.279867
alphaiw[15][3][7] = 1.955953
alphaiw[16][3][7] = 1.695028
alphaiw[17][3][7] = 1.229590
alphaiw[18][3][7] = 0.930673
alphaiw[19][3][7] = 0.584862
alphaiw[20][3][7] = 0.400895
alphaiw[21][3][7] = 0.195985
alphaiw[22][3][7] = 0.116024
# REF F - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][8] = 1.0000000
hcount[0][8] = 0.0000000
ascale[0][8] = 1.0000000
refcnD3[0][8] = 0.0000000
refcn[0][8] = 0.0000000
refsys[0][8] = 1
alphaiw[0][0][8] = 3.633839
alphaiw[1][0][8] = 3.619696
alphaiw[2][0][8] = 3.578394
alphaiw[3][0][8] = 3.427938
alphaiw[4][0][8] = 3.217372
alphaiw[5][0][8] = 2.979929
alphaiw[6][0][8] = 2.738349
alphaiw[7][0][8] = 2.505791
alphaiw[8][0][8] = 2.288999
alphaiw[9][0][8] = 2.090814
alphaiw[10][0][8] = 1.911791
alphaiw[11][0][8] = 1.751200
alphaiw[12][0][8] = 1.479526
alphaiw[13][0][8] = 1.262774
alphaiw[14][0][8] = 1.088688
alphaiw[15][0][8] = 0.947406
alphaiw[16][0][8] = 0.831438
alphaiw[17][0][8] = 0.618974
alphaiw[18][0][8] = 0.477855
alphaiw[19][0][8] = 0.308641
alphaiw[20][0][8] = 0.215354
alphaiw[21][0][8] = 0.107913
alphaiw[22][0][8] = 0.064599
# REF FH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][8] = 1.6284226
hcount[1][8] = 1.0000000
ascale[1][8] = 1.0000000
refcnD3[1][8] = 0.9982036
refcn[1][8] = 0.7404277
refsys[1][8] = 1
alphaiw[0][1][8] = 5.417052
alphaiw[1][1][8] = 5.388582
alphaiw[2][1][8] = 5.306263
alphaiw[3][1][8] = 5.015572
alphaiw[4][1][8] = 4.628558
alphaiw[5][1][8] = 4.213736
alphaiw[6][1][8] = 3.810402
alphaiw[7][1][8] = 3.436899
alphaiw[8][1][8] = 3.099856
alphaiw[9][1][8] = 2.799944
alphaiw[10][1][8] = 2.535007
alphaiw[11][1][8] = 2.301715
alphaiw[12][1][8] = 1.915566
alphaiw[13][1][8] = 1.614596
alphaiw[14][1][8] = 1.377291
alphaiw[15][1][8] = 1.187655
alphaiw[16][1][8] = 1.034062
alphaiw[17][1][8] = 0.757846
alphaiw[18][1][8] = 0.578398
alphaiw[19][1][8] = 0.367849
alphaiw[20][1][8] = 0.254123
alphaiw[21][1][8] = 0.125549
alphaiw[22][1][8] = 0.074612
# REF Ne  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][9] = 1.0000000
hcount[0][9] = 0.0000000
ascale[0][9] = 1.0000000
refcnD3[0][9] = 0.0000000
refcn[0][9] = 0.0000000
refsys[0][9] = 1
alphaiw[0][0][9] = 2.622794
alphaiw[1][0][9] = 2.616081
alphaiw[2][0][9] = 2.596301
alphaiw[3][0][9] = 2.522115
alphaiw[4][0][9] = 2.413007
alphaiw[5][0][9] = 2.283185
alphaiw[6][0][9] = 2.144224
alphaiw[7][0][9] = 2.004089
alphaiw[8][0][9] = 1.867746
alphaiw[9][0][9] = 1.738075
alphaiw[10][0][9] = 1.616585
alphaiw[11][0][9] = 1.503907
alphaiw[12][0][9] = 1.304918
alphaiw[13][0][9] = 1.138317
alphaiw[14][0][9] = 0.999363
alphaiw[15][0][9] = 0.883202
alphaiw[16][0][9] = 0.785556
alphaiw[17][0][9] = 0.601026
alphaiw[18][0][9] = 0.473935
alphaiw[19][0][9] = 0.315511
alphaiw[20][0][9] = 0.224572
alphaiw[21][0][9] = 0.115709
alphaiw[22][0][9] = 0.070216
# REF Na  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][10] = 1.0000000
hcount[0][10] = 0.0000000
ascale[0][10] = 1.0000000
refcnD3[0][10] = 0.0000000
refcn[0][10] = 0.0000000
refsys[0][10] = 1
alphaiw[0][0][10] = 170.928531
alphaiw[1][0][10] = 119.194623
alphaiw[2][0][10] = 62.816671
alphaiw[3][0][10] = 22.225035
alphaiw[4][0][10] = 11.060965
alphaiw[5][0][10] = 6.722568
alphaiw[6][0][10] = 4.616763
alphaiw[7][0][10] = 3.436028
alphaiw[8][0][10] = 2.703802
alphaiw[9][0][10] = 2.214540
alphaiw[10][0][10] = 1.868265
alphaiw[11][0][10] = 1.611771
alphaiw[12][0][10] = 1.258652
alphaiw[13][0][10] = 1.027261
alphaiw[14][0][10] = 0.863693
alphaiw[15][0][10] = 0.741806
alphaiw[16][0][10] = 0.647480
alphaiw[17][0][10] = 0.484921
alphaiw[18][0][10] = 0.382313
alphaiw[19][0][10] = 0.262013
alphaiw[20][0][10] = 0.194713
alphaiw[21][0][10] = 0.110805
alphaiw[22][0][10] = 0.071720
# REF NaH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][10] = -0.317880
hcount[1][10] = 1.0000000
ascale[1][10] = 1.0000000
refcnD3[1][10] = 0.9683568
refcn[1][10] = 0.7801371
refsys[1][10] = 1
alphaiw[0][1][10] = 40.816671
alphaiw[1][1][10] = 37.388570
alphaiw[2][1][10] = 30.295998
alphaiw[3][1][10] = 18.384535
alphaiw[4][1][10] = 11.843767
alphaiw[5][1][10] = 8.252894
alphaiw[6][1][10] = 6.119971
alphaiw[7][1][10] = 4.757210
alphaiw[8][1][10] = 3.833316
alphaiw[9][1][10] = 3.176260
alphaiw[10][1][10] = 2.690386
alphaiw[11][1][10] = 2.319352
alphaiw[12][1][10] = 1.794868
alphaiw[13][1][10] = 1.445431
alphaiw[14][1][10] = 1.197987
alphaiw[15][1][10] = 1.014698
alphaiw[16][1][10] = 0.874212
alphaiw[17][1][10] = 0.636537
alphaiw[18][1][10] = 0.490509
alphaiw[19][1][10] = 0.324702
alphaiw[20][1][10] = 0.235369
alphaiw[21][1][10] = 0.129021
alphaiw[22][1][10] = 0.081954
# REF Mg  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][11] = 1.0000000
hcount[0][11] = 0.0000000
ascale[0][11] = 1.0000000
refcnD3[0][11] = 0.0000000
refcn[0][11] = 0.0000000
refsys[0][11] = 1
alphaiw[0][0][11] = 75.666681
alphaiw[1][0][11] = 68.695521
alphaiw[2][0][11] = 53.915305
alphaiw[3][0][11] = 29.269284
alphaiw[4][0][11] = 16.838233
alphaiw[5][0][11] = 10.699701
alphaiw[6][0][11] = 7.379316
alphaiw[7][0][11] = 5.416847
alphaiw[8][0][11] = 4.170211
alphaiw[9][0][11] = 3.331492
alphaiw[10][0][11] = 2.740546
alphaiw[11][0][11] = 2.308152
alphaiw[12][0][11] = 1.728540
alphaiw[13][0][11] = 1.365368
alphaiw[14][0][11] = 1.120121
alphaiw[15][0][11] = 0.944726
alphaiw[16][0][11] = 0.813518
alphaiw[17][0][11] = 0.595916
alphaiw[18][0][11] = 0.462629
alphaiw[19][0][11] = 0.307942
alphaiw[20][0][11] = 0.221999
alphaiw[21][0][11] = 0.118858
alphaiw[22][0][11] = 0.074522
# REF MgH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][11] = -0.254271
hcount[1][11] = 1.0000000
ascale[1][11] = 1.0000000
refcnD3[1][11] = 0.9628137
refcn[1][11] = 0.8238135
refsys[1][11] = 1
alphaiw[0][1][11] = 65.004149
alphaiw[1][1][11] = 57.367033
alphaiw[2][1][11] = 44.692622
alphaiw[3][1][11] = 26.842789
alphaiw[4][1][11] = 17.224992
alphaiw[5][1][11] = 11.836372
alphaiw[6][1][11] = 8.610942
alphaiw[7][1][11] = 6.555413
alphaiw[8][1][11] = 5.173865
alphaiw[9][1][11] = 4.203487
alphaiw[10][1][11] = 3.496544
alphaiw[11][1][11] = 2.965511
alphaiw[12][1][11] = 2.233468
alphaiw[13][1][11] = 1.762361
alphaiw[14][1][11] = 1.439136
alphaiw[15][1][11] = 1.206036
alphaiw[16][1][11] = 1.031136
alphaiw[17][1][11] = 0.741949
alphaiw[18][1][11] = 0.567097
alphaiw[19][1][11] = 0.368808
alphaiw[20][1][11] = 0.261744
alphaiw[21][1][11] = 0.136955
alphaiw[22][1][11] = 0.084794
# REF MgH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][11] = -0.145637
hcount[2][11] = 2.0000000
ascale[2][11] = 1.0000000
refcnD3[2][11] = 1.9496024
refcn[2][11] = 1.6681409
refsys[2][11] = 1
alphaiw[0][2][11] = 34.544275
alphaiw[1][2][11] = 33.534434
alphaiw[2][2][11] = 30.865663
alphaiw[3][2][11] = 23.656178
alphaiw[4][2][11] = 17.339703
alphaiw[5][2][11] = 12.843253
alphaiw[6][2][11] = 9.772327
alphaiw[7][2][11] = 7.652138
alphaiw[8][2][11] = 6.150481
alphaiw[9][2][11] = 5.056763
alphaiw[10][2][11] = 4.238811
alphaiw[11][2][11] = 3.612309
alphaiw[12][2][11] = 2.731437
alphaiw[13][2][11] = 2.154296
alphaiw[14][2][11] = 1.754237
alphaiw[15][2][11] = 1.464195
alphaiw[16][2][11] = 1.246147
alphaiw[17][2][11] = 0.886233
alphaiw[18][2][11] = 0.670308
alphaiw[19][2][11] = 0.428938
alphaiw[20][2][11] = 0.301012
alphaiw[21][2][11] = 0.154843
alphaiw[22][2][11] = 0.094950
# REF Al  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][12] = 1.0000000
hcount[0][12] = 0.0000000
ascale[0][12] = 1.0000000
refcnD3[0][12] = 0.0000000
refcn[0][12] = 0.0000000
refsys[0][12] = 1
alphaiw[0][0][12] = 60.892343
alphaiw[1][0][12] = 56.310014
alphaiw[2][0][12] = 46.788682
alphaiw[3][0][12] = 29.582580
alphaiw[4][0][12] = 18.999990
alphaiw[5][0][12] = 12.855477
alphaiw[6][0][12] = 9.165372
alphaiw[7][0][12] = 6.835117
alphaiw[8][0][12] = 5.290197
alphaiw[9][0][12] = 4.221188
alphaiw[10][0][12] = 3.453977
alphaiw[11][0][12] = 2.886021
alphaiw[12][0][12] = 2.118619
alphaiw[13][0][12] = 1.637664
alphaiw[14][0][12] = 1.315782
alphaiw[15][0][12] = 1.089001
alphaiw[16][0][12] = 0.922495
alphaiw[17][0][12] = 0.655671
alphaiw[18][0][12] = 0.500295
alphaiw[19][0][12] = 0.329221
alphaiw[20][0][12] = 0.237792
alphaiw[21][0][12] = 0.128642
alphaiw[22][0][12] = 0.080765
# REF AlH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][12] = -0.192255
hcount[1][12] = 1.0000000
ascale[1][12] = 1.0000000
refcnD3[1][12] = 0.9648340
refcn[1][12] = 0.8650414
refsys[1][12] = 1
alphaiw[0][1][12] = 56.210989
alphaiw[1][1][12] = 52.401710
alphaiw[2][1][12] = 44.313252
alphaiw[3][1][12] = 29.408425
alphaiw[4][1][12] = 19.902508
alphaiw[5][1][12] = 14.071781
alphaiw[6][1][12] = 10.377375
alphaiw[7][1][12] = 7.937239
alphaiw[8][1][12] = 6.259959
alphaiw[9][1][12] = 5.065309
alphaiw[10][1][12] = 4.187703
alphaiw[11][1][12] = 3.525573
alphaiw[12][1][12] = 2.611711
alphaiw[13][1][12] = 2.026259
alphaiw[14][1][12] = 1.628467
alphaiw[15][1][12] = 1.345307
alphaiw[16][1][12] = 1.136006
alphaiw[17][1][12] = 0.798910
alphaiw[18][1][12] = 0.602662
alphaiw[19][1][12] = 0.388684
alphaiw[20][1][12] = 0.276485
alphaiw[21][1][12] = 0.146142
alphaiw[22][1][12] = 0.090675
# REF AlH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][12] = -0.110683
hcount[2][12] = 2.0000000
ascale[2][12] = 1.0000000
refcnD3[2][12] = 1.9310523
refcn[2][12] = 1.7313239
refsys[2][12] = 1
alphaiw[0][2][12] = 43.007874
alphaiw[1][2][12] = 40.304950
alphaiw[2][2][12] = 35.727281
alphaiw[3][2][12] = 26.809997
alphaiw[4][2][12] = 19.808118
alphaiw[5][2][12] = 14.830609
alphaiw[6][2][12] = 11.360655
alphaiw[7][2][12] = 8.917135
alphaiw[8][2][12] = 7.160778
alphaiw[9][2][12] = 5.868751
alphaiw[10][2][12] = 4.896500
alphaiw[11][2][12] = 4.149349
alphaiw[12][2][12] = 3.097968
alphaiw[13][2][12] = 2.411639
alphaiw[14][2][12] = 1.939541
alphaiw[15][2][12] = 1.600758
alphaiw[16][2][12] = 1.349036
alphaiw[17][2][12] = 0.941973
alphaiw[18][2][12] = 0.704899
alphaiw[19][2][12] = 0.448010
alphaiw[20][2][12] = 0.315048
alphaiw[21][2][12] = 0.163563
alphaiw[22][2][12] = 0.100542
# REF AlH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][12] = -0.078367
hcount[3][12] = 3.0000000
ascale[3][12] = 1.0000000
refcnD3[3][12] = 2.9145552
refcn[3][12] = 2.6131032
refsys[3][12] = 1
alphaiw[0][3][12] = 32.283118
alphaiw[1][3][12] = 31.711593
alphaiw[2][3][12] = 30.125506
alphaiw[3][3][12] = 25.217082
alphaiw[4][3][12] = 20.012036
alphaiw[5][3][12] = 15.674935
alphaiw[6][3][12] = 12.362634
alphaiw[7][3][12] = 9.894568
alphaiw[8][3][12] = 8.053062
alphaiw[9][3][12] = 6.662697
alphaiw[10][3][12] = 5.596506
alphaiw[11][3][12] = 4.765485
alphaiw[12][3][12] = 3.578789
alphaiw[13][3][12] = 2.793203
alphaiw[14][3][12] = 2.247908
alphaiw[15][3][12] = 1.854258
alphaiw[16][3][12] = 1.560634
alphaiw[17][3][12] = 1.084330
alphaiw[18][3][12] = 0.806759
alphaiw[19][3][12] = 0.507207
alphaiw[20][3][12] = 0.353560
alphaiw[21][3][12] = 0.180975
alphaiw[22][3][12] = 0.110404
# REF Si  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][13] = 1.0000000
hcount[0][13] = 0.0000000
ascale[0][13] = 1.0000000
refcnD3[0][13] = 0.0000000
refcn[0][13] = 0.0000000
refsys[0][13] = 1
alphaiw[0][0][13] = 38.949065
alphaiw[1][0][13] = 37.512750
alphaiw[2][0][13] = 33.924417
alphaiw[3][0][13] = 25.176117
alphaiw[4][0][13] = 18.084525
alphaiw[5][0][13] = 13.176508
alphaiw[6][0][13] = 9.861670
alphaiw[7][0][13] = 7.591706
alphaiw[8][0][13] = 5.998242
alphaiw[9][0][13] = 4.849340
alphaiw[10][0][13] = 3.999531
alphaiw[11][0][13] = 3.356116
alphaiw[12][0][13] = 2.466884
alphaiw[13][0][13] = 1.898219
alphaiw[14][0][13] = 1.513462
alphaiw[15][0][13] = 1.241102
alphaiw[16][0][13] = 1.041067
alphaiw[17][0][13] = 0.722600
alphaiw[18][0][13] = 0.540556
alphaiw[19][0][13] = 0.346553
alphaiw[20][0][13] = 0.247176
alphaiw[21][0][13] = 0.133261
alphaiw[22][0][13] = 0.084505
# REF SiH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][13] = -0.107787
hcount[1][13] = 1.0000000
ascale[1][13] = 1.0000000
refcnD3[1][13] = 0.9507052
refcn[1][13] = 0.8911673
refsys[1][13] = 1
alphaiw[0][1][13] = 38.009775
alphaiw[1][1][13] = 36.644127
alphaiw[2][1][13] = 33.370109
alphaiw[3][1][13] = 25.589747
alphaiw[4][1][13] = 19.094140
alphaiw[5][1][13] = 14.369143
alphaiw[6][1][13] = 11.029708
alphaiw[7][1][13] = 8.656957
alphaiw[8][1][13] = 6.941783
alphaiw[9][1][13] = 5.675897
alphaiw[10][1][13] = 4.721795
alphaiw[11][1][13] = 3.988298
alphaiw[12][1][13] = 2.957058
alphaiw[13][1][13] = 2.285803
alphaiw[14][1][13] = 1.825953
alphaiw[15][1][13] = 1.497550
alphaiw[16][1][13] = 1.254844
alphaiw[17][1][13] = 0.866094
alphaiw[18][1][13] = 0.643081
alphaiw[19][1][13] = 0.406049
alphaiw[20][1][13] = 0.285861
alphaiw[21][1][13] = 0.150742
alphaiw[22][1][13] = 0.094394
# REF SiH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][13] = -0.064713
hcount[2][13] = 2.0000000
ascale[2][13] = 1.0000000
refcnD3[2][13] = 1.9435248
refcn[2][13] = 1.8218116
refsys[2][13] = 1
alphaiw[0][2][13] = 37.276320
alphaiw[1][2][13] = 36.205463
alphaiw[2][2][13] = 33.471124
alphaiw[3][2][13] = 26.437650
alphaiw[4][2][13] = 20.243826
alphaiw[5][2][13] = 15.571643
alphaiw[6][2][13] = 12.164803
alphaiw[7][2][13] = 9.679874
alphaiw[8][2][13] = 7.844867
alphaiw[9][2][13] = 6.467051
alphaiw[10][2][13] = 5.414082
alphaiw[11][2][13] = 4.595400
alphaiw[12][2][13] = 3.429760
alphaiw[13][2][13] = 2.661059
alphaiw[14][2][13] = 2.129573
alphaiw[15][2][13] = 1.747484
alphaiw[16][2][13] = 1.463743
alphaiw[17][2][13] = 1.007041
alphaiw[18][2][13] = 0.744164
alphaiw[19][2][13] = 0.465003
alphaiw[20][2][13] = 0.324318
alphaiw[21][2][13] = 0.168192
alphaiw[22][2][13] = 0.104281
# REF Si2H4 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][13] = -0.062314
hcount[3][13] = 4.0000000
ascale[3][13] = 0.5000000
refcnD3[3][13] = 2.9407110
refcn[3][13] = 2.7996504
refsys[3][13] = 1
alphaiw[0][3][13] = 75.266288
alphaiw[1][3][13] = 72.361297
alphaiw[2][3][13] = 65.634591
alphaiw[3][3][13] = 50.810085
alphaiw[4][3][13] = 38.903379
alphaiw[5][3][13] = 30.078773
alphaiw[6][3][13] = 23.626845
alphaiw[7][3][13] = 18.889632
alphaiw[8][3][13] = 15.368105
alphaiw[9][3][13] = 12.708563
alphaiw[10][3][13] = 10.666135
alphaiw[11][3][13] = 9.071739
alphaiw[12][3][13] = 6.791283
alphaiw[13][3][13] = 5.280326
alphaiw[14][3][13] = 4.232159
alphaiw[15][3][13] = 3.476782
alphaiw[16][3][13] = 2.914797
alphaiw[17][3][13] = 2.008281
alphaiw[18][3][13] = 1.485325
alphaiw[19][3][13] = 0.928970
alphaiw[20][3][13] = 0.648177
alphaiw[21][3][13] = 0.336241
alphaiw[22][3][13] = 0.208475
# REF Si2H6 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][13] = -0.044629
hcount[4][13] = 6.0000000
ascale[4][13] = 0.5000000
refcnD3[4][13] = 3.8677398
refcn[4][13] = 3.6668826
refsys[4][13] = 1
alphaiw[0][4][13] = 61.786148
alphaiw[1][4][13] = 60.811645
alphaiw[2][4][13] = 58.097529
alphaiw[3][4][13] = 49.579871
alphaiw[4][4][13] = 40.275869
alphaiw[5][4][13] = 32.233147
alphaiw[6][4][13] = 25.867236
alphaiw[7][4][13] = 20.975125
alphaiw[8][4][13] = 17.231924
alphaiw[9][4][13] = 14.348820
alphaiw[10][4][13] = 12.103208
alphaiw[11][4][13] = 10.331622
alphaiw[12][4][13] = 7.769882
alphaiw[13][4][13] = 6.054762
alphaiw[14][4][13] = 4.856822
alphaiw[15][4][13] = 3.989541
alphaiw[16][4][13] = 3.342295
alphaiw[17][4][13] = 2.295274
alphaiw[18][4][13] = 1.690386
alphaiw[19][4][13] = 1.047959
alphaiw[20][4][13] = 0.725532
alphaiw[21][4][13] = 0.371177
alphaiw[22][4][13] = 0.228230
# REF P - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][14] = 1.0000000
hcount[0][14] = 0.0000000
ascale[0][14] = 1.0000000
refcnD3[0][14] = 0.0000000
refcn[0][14] = 0.0000000
refsys[0][14] = 1
alphaiw[0][0][14] = 25.947007
alphaiw[1][0][14] = 25.429034
alphaiw[2][0][14] = 24.021626
alphaiw[3][0][14] = 19.872355
alphaiw[4][0][14] = 15.674986
alphaiw[5][0][14] = 12.251468
alphaiw[6][0][14] = 9.651665
alphaiw[7][0][14] = 7.712969
alphaiw[8][0][14] = 6.262853
alphaiw[9][0][14] = 5.165670
alphaiw[10][0][14] = 4.323398
alphaiw[11][0][14] = 3.666933
alphaiw[12][0][14] = 2.731157
alphaiw[13][0][14] = 2.114426
alphaiw[14][0][14] = 1.688829
alphaiw[15][0][14] = 1.383590
alphaiw[16][0][14] = 1.157480
alphaiw[17][0][14] = 0.794987
alphaiw[18][0][14] = 0.587534
alphaiw[19][0][14] = 0.368761
alphaiw[20][0][14] = 0.259274
alphaiw[21][0][14] = 0.137872
alphaiw[22][0][14] = 0.087508
# REF PH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][14] = -0.003646
hcount[1][14] = 1.0000000
ascale[1][14] = 1.0000000
refcnD3[1][14] = 0.9946706
refcn[1][14] = 0.9741701
refsys[1][14] = 1
alphaiw[0][1][14] = 27.875397
alphaiw[1][1][14] = 27.312227
alphaiw[2][1][14] = 25.823219
alphaiw[3][1][14] = 21.563430
alphaiw[4][1][14] = 17.259127
alphaiw[5][1][14] = 13.687221
alphaiw[6][1][14] = 10.919060
alphaiw[7][1][14] = 8.816205
alphaiw[8][1][14] = 7.218346
alphaiw[9][1][14] = 5.993392
alphaiw[10][1][14] = 5.042662
alphaiw[11][1][14] = 4.294808
alphaiw[12][1][14] = 3.217277
alphaiw[13][1][14] = 2.498962
alphaiw[14][1][14] = 1.999128
alphaiw[15][1][14] = 1.638463
alphaiw[16][1][14] = 1.370111
alphaiw[17][1][14] = 0.937927
alphaiw[18][1][14] = 0.689768
alphaiw[19][1][14] = 0.428165
alphaiw[20][1][14] = 0.297933
alphaiw[21][1][14] = 0.155370
alphaiw[22][1][14] = 0.097417
# REF P2H2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][14] = -0.003497
hcount[2][14] = 2.0000000
ascale[2][14] = 0.5000000
refcnD3[2][14] = 2.0101730
refcn[2][14] = 1.9702121
refsys[2][14] = 1
alphaiw[0][2][14] = 55.785367
alphaiw[1][2][14] = 54.531441
alphaiw[2][2][14] = 51.268385
alphaiw[3][2][14] = 42.342580
alphaiw[4][2][14] = 33.734630
alphaiw[5][2][14] = 26.748437
alphaiw[6][2][14] = 21.375540
alphaiw[7][2][14] = 17.298797
alphaiw[8][2][14] = 14.196654
alphaiw[9][2][14] = 11.812832
alphaiw[10][2][14] = 9.957829
alphaiw[11][2][14] = 8.494950
alphaiw[12][2][14] = 6.380225
alphaiw[13][2][14] = 4.965118
alphaiw[14][2][14] = 3.977528
alphaiw[15][2][14] = 3.263304
alphaiw[16][2][14] = 2.730960
alphaiw[17][2][14] = 1.871886
alphaiw[18][2][14] = 1.377614
alphaiw[19][2][14] = 0.855767
alphaiw[20][2][14] = 0.595676
alphaiw[21][2][14] = 0.310731
alphaiw[22][2][14] = 0.194832
# REF PH3 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][14] = -0.001504
hcount[3][14] = 3.0000000
ascale[3][14] = 1.0000000
refcnD3[3][14] = 2.9858756
refcn[3][14] = 2.9243358
refsys[3][14] = 1
alphaiw[0][3][14] = 30.458693
alphaiw[1][3][14] = 29.983259
alphaiw[2][3][14] = 28.671819
alphaiw[3][3][14] = 24.635136
alphaiw[4][3][14] = 20.268310
alphaiw[5][3][14] = 16.456142
alphaiw[6][3][14] = 13.381020
alphaiw[7][3][14] = 10.969357
alphaiw[8][3][14] = 9.089685
alphaiw[9][3][14] = 7.618919
alphaiw[10][3][14] = 6.458262
alphaiw[11][3][14] = 5.532716
alphaiw[12][3][14] = 4.178234
alphaiw[13][3][14] = 3.260535
alphaiw[14][3][14] = 2.614533
alphaiw[15][3][14] = 2.144489
alphaiw[16][3][14] = 1.792628
alphaiw[17][3][14] = 1.222389
alphaiw[18][3][14] = 0.893420
alphaiw[19][3][14] = 0.546634
alphaiw[20][3][14] = 0.375078
alphaiw[21][3][14] = 0.190310
alphaiw[22][3][14] = 0.117204
# REF S - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][15] = 1.0000000
hcount[0][15] = 0.0000000
ascale[0][15] = 1.0000000
refcnD3[0][15] = 0.0000000
refcn[0][15] = 0.0000000
refsys[0][15] = 1
alphaiw[0][0][15] = 19.613511
alphaiw[1][0][15] = 19.339695
alphaiw[2][0][15] = 18.577795
alphaiw[3][0][15] = 16.174046
alphaiw[4][0][15] = 13.482801
alphaiw[5][0][15] = 11.066265
alphaiw[6][0][15] = 9.076442
alphaiw[7][0][15] = 7.491850
alphaiw[8][0][15] = 6.241992
alphaiw[9][0][15] = 5.254681
alphaiw[10][0][15] = 4.469585
alphaiw[11][0][15] = 3.839719
alphaiw[12][0][15] = 2.911975
alphaiw[13][0][15] = 2.279606
alphaiw[14][0][15] = 1.832805
alphaiw[15][0][15] = 1.506931
alphaiw[16][0][15] = 1.262594
alphaiw[17][0][15] = 0.865866
alphaiw[18][0][15] = 0.636480
alphaiw[19][0][15] = 0.394016
alphaiw[20][0][15] = 0.273614
alphaiw[21][0][15] = 0.142940
alphaiw[22][0][15] = 0.090288
# REF SH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][15] = 0.1552347
hcount[1][15] = 1.0000000
ascale[1][15] = 1.0000000
refcnD3[1][15] = 0.9948414
refcn[1][15] = 0.9212208
refsys[1][15] = 1
alphaiw[0][1][15] = 22.204143
alphaiw[1][1][15] = 21.889109
alphaiw[2][1][15] = 21.021800
alphaiw[3][1][15] = 18.327964
alphaiw[4][1][15] = 15.333732
alphaiw[5][1][15] = 12.640721
alphaiw[6][1][15] = 10.411942
alphaiw[7][1][15] = 8.626596
alphaiw[8][1][15] = 7.210508
alphaiw[9][1][15] = 6.086297
alphaiw[10][1][15] = 5.188411
alphaiw[11][1][15] = 4.465267
alphaiw[12][1][15] = 3.395022
alphaiw[13][1][15] = 2.661545
alphaiw[14][1][15] = 2.141110
alphaiw[15][1][15] = 1.760303
alphaiw[16][1][15] = 1.474084
alphaiw[17][1][15] = 1.008185
alphaiw[18][1][15] = 0.738339
alphaiw[19][1][15] = 0.453257
alphaiw[20][1][15] = 0.312198
alphaiw[21][1][15] = 0.160439
alphaiw[22][1][15] = 0.100216
# REF SH2 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][15] = 0.0919967
hcount[2][15] = 2.0000000
ascale[2][15] = 1.0000000
refcnD3[2][15] = 1.9903439
refcn[2][15] = 1.8430537
refsys[2][15] = 1
alphaiw[0][2][15] = 24.511861
alphaiw[1][2][15] = 24.177436
alphaiw[2][2][15] = 23.250390
alphaiw[3][2][15] = 20.344011
alphaiw[4][2][15] = 17.092999
alphaiw[5][2][15] = 14.153050
alphaiw[6][2][15] = 11.705013
alphaiw[7][2][15] = 9.732024
alphaiw[8][2][15] = 8.158382
alphaiw[9][2][15] = 6.903029
alphaiw[10][2][15] = 5.896225
alphaiw[11][2][15] = 5.082459
alphaiw[12][2][15] = 3.872923
alphaiw[13][2][15] = 3.040083
alphaiw[14][2][15] = 2.447047
alphaiw[15][2][15] = 2.011958
alphaiw[16][2][15] = 1.684289
alphaiw[17][2][15] = 1.149808
alphaiw[18][2][15] = 0.839773
alphaiw[19][2][15] = 0.512298
alphaiw[20][2][15] = 0.350671
alphaiw[21][2][15] = 0.177901
alphaiw[22][2][15] = 0.110127
# REF Cl  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][16] = 1.0000000
hcount[0][16] = 0.0000000
ascale[0][16] = 1.0000000
refcnD3[0][16] = 0.0000000
refcn[0][16] = 0.0000000
refsys[0][16] = 1
alphaiw[0][0][16] = 14.651061
alphaiw[1][0][16] = 14.516685
alphaiw[2][0][16] = 14.132932
alphaiw[3][0][16] = 12.830566
alphaiw[4][0][16] = 11.211805
alphaiw[5][0][16] = 9.611046
alphaiw[6][0][16] = 8.181726
alphaiw[7][0][16] = 6.965872
alphaiw[8][0][16] = 5.954194
alphaiw[9][0][16] = 5.119350
alphaiw[10][0][16] = 4.431073
alphaiw[11][0][16] = 3.861939
alphaiw[12][0][16] = 2.993515
alphaiw[13][0][16] = 2.378895
alphaiw[14][0][16] = 1.932447
alphaiw[15][0][16] = 1.600044
alphaiw[16][0][16] = 1.346904
alphaiw[17][0][16] = 0.928616
alphaiw[18][0][16] = 0.682769
alphaiw[19][0][16] = 0.420290
alphaiw[20][0][16] = 0.289583
alphaiw[21][0][16] = 0.148974
alphaiw[22][0][16] = 0.093451
# REF ClH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][16] = 0.4224837
hcount[1][16] = 1.0000000
ascale[1][16] = 1.0000000
refcnD3[1][16] = 0.9971891
refcn[1][16] = 0.8438862
refsys[1][16] = 1
alphaiw[0][1][16] = 17.263054
alphaiw[1][1][16] = 17.098308
alphaiw[2][1][16] = 16.629474
alphaiw[3][1][16] = 15.053134
alphaiw[4][1][16] = 13.116829
alphaiw[5][1][16] = 11.219372
alphaiw[6][1][16] = 9.535602
alphaiw[7][1][16] = 8.109130
alphaiw[8][1][16] = 6.925420
alphaiw[9][1][16] = 5.950438
alphaiw[10][1][16] = 5.147686
alphaiw[11][1][16] = 4.484512
alphaiw[12][1][16] = 3.473429
alphaiw[13][1][16] = 2.758212
alphaiw[14][1][16] = 2.238727
alphaiw[15][1][16] = 1.851895
alphaiw[16][1][16] = 1.557258
alphaiw[17][1][16] = 1.070360
alphaiw[18][1][16] = 0.784299
alphaiw[19][1][16] = 0.479385
alphaiw[20][1][16] = 0.328088
alphaiw[21][1][16] = 0.166454
alphaiw[22][1][16] = 0.103381
# REF Ar  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][17] = 1.0000000
hcount[0][17] = 0.0000000
ascale[0][17] = 1.0000000
refcnD3[0][17] = 0.0000000
refcn[0][17] = 0.0000000
refsys[0][17] = 1
alphaiw[0][0][17] = 11.108037
alphaiw[1][0][17] = 11.039414
alphaiw[2][0][17] = 10.840233
alphaiw[3][0][17] = 10.129564
alphaiw[4][0][17] = 9.173370
alphaiw[5][0][17] = 8.148747
alphaiw[6][0][17] = 7.165482
alphaiw[7][0][17] = 6.275763
alphaiw[8][0][17] = 5.496006
alphaiw[9][0][17] = 4.824008
alphaiw[10][0][17] = 4.249446
alphaiw[11][0][17] = 3.759486
alphaiw[12][0][17] = 2.983956
alphaiw[13][0][17] = 2.412824
alphaiw[14][0][17] = 1.985217
alphaiw[15][0][17] = 1.659310
alphaiw[16][0][17] = 1.406544
alphaiw[17][0][17] = 0.979774
alphaiw[18][0][17] = 0.723518
alphaiw[19][0][17] = 0.445684
alphaiw[20][0][17] = 0.306022
alphaiw[21][0][17] = 0.155748
alphaiw[22][0][17] = 0.097035
# REF K - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][18] = 1.0000000
hcount[0][18] = 0.0000000
ascale[0][18] = 1.0000000
refcnD3[0][18] = 0.0000000
refcn[0][18] = 0.0000000
refsys[0][18] = 1
alphaiw[0][0][18] = 366.617327
alphaiw[1][0][18] = 195.240726
alphaiw[2][0][18] = 83.865445
alphaiw[3][0][18] = 28.805133
alphaiw[4][0][18] = 15.921612
alphaiw[5][0][18] = 10.949641
alphaiw[6][0][18] = 8.403580
alphaiw[7][0][18] = 6.843160
alphaiw[8][0][18] = 5.766668
alphaiw[9][0][18] = 4.964038
alphaiw[10][0][18] = 4.334444
alphaiw[11][0][18] = 3.823762
alphaiw[12][0][18] = 3.042791
alphaiw[13][0][18] = 2.475655
alphaiw[14][0][18] = 2.049457
alphaiw[15][0][18] = 1.721413
alphaiw[16][0][18] = 1.464105
alphaiw[17][0][18] = 1.022203
alphaiw[18][0][18] = 0.751686
alphaiw[19][0][18] = 0.454431
alphaiw[20][0][18] = 0.304549
alphaiw[21][0][18] = 0.145801
alphaiw[22][0][18] = 0.086269
# REF KH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][18] = -0.270638
hcount[1][18] = 1.0000000
ascale[1][18] = 1.0000000
refcnD3[1][18] = 0.9767383
refcn[1][18] = 0.7731285
refsys[1][18] = 1
alphaiw[0][1][18] = 53.438917
alphaiw[1][1][18] = 47.846321
alphaiw[2][1][18] = 37.739914
alphaiw[3][1][18] = 23.469907
alphaiw[4][1][18] = 16.322524
alphaiw[5][1][18] = 12.357600
alphaiw[6][1][18] = 9.869881
alphaiw[7][1][18] = 8.157968
alphaiw[8][1][18] = 6.900108
alphaiw[9][1][18] = 5.932179
alphaiw[10][1][18] = 5.162535
alphaiw[11][1][18] = 4.535888
alphaiw[12][1][18] = 3.580474
alphaiw[13][1][18] = 2.893034
alphaiw[14][1][18] = 2.381556
alphaiw[15][1][18] = 1.991321
alphaiw[16][1][18] = 1.687466
alphaiw[17][1][18] = 1.170384
alphaiw[18][1][18] = 0.856880
alphaiw[19][1][18] = 0.515114
alphaiw[20][1][18] = 0.343926
alphaiw[21][1][18] = 0.163594
alphaiw[22][1][18] = 0.096354
# REF Ca  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][19] = 1.0000000
hcount[0][19] = 0.0000000
ascale[0][19] = 1.0000000
refcnD3[0][19] = 0.0000000
refcn[0][19] = 0.0000000
refsys[0][19] = 1
alphaiw[0][0][19] = 167.333120
alphaiw[1][0][19] = 138.735082
alphaiw[2][0][19] = 92.366010
alphaiw[3][0][19] = 41.029869
alphaiw[4][0][19] = 22.502505
alphaiw[5][0][19] = 14.545162
alphaiw[6][0][19] = 10.463219
alphaiw[7][0][19] = 8.072376
alphaiw[8][0][19] = 6.526708
alphaiw[9][0][19] = 5.450018
alphaiw[10][0][19] = 4.656194
alphaiw[11][0][19] = 4.045048
alphaiw[12][0][19] = 3.161895
alphaiw[13][0][19] = 2.552497
alphaiw[14][0][19] = 2.107355
alphaiw[15][0][19] = 1.769814
alphaiw[16][0][19] = 1.506971
alphaiw[17][0][19] = 1.056939
alphaiw[18][0][19] = 0.780721
alphaiw[19][0][19] = 0.475018
alphaiw[20][0][19] = 0.319568
alphaiw[21][0][19] = 0.153813
alphaiw[22][0][19] = 0.091401
# REF CaH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][19] = -0.272733
hcount[1][19] = 1.0000000
ascale[1][19] = 1.0000000
refcnD3[1][19] = 0.9830594
refcn[1][19] = 0.8008840
refsys[1][19] = 1
alphaiw[0][1][19] = 158.150883
alphaiw[1][1][19] = 111.646160
alphaiw[2][1][19] = 67.921353
alphaiw[3][1][19] = 33.970243
alphaiw[4][1][19] = 21.303876
alphaiw[5][1][19] = 15.016338
alphaiw[6][1][19] = 11.377967
alphaiw[7][1][19] = 9.048285
alphaiw[8][1][19] = 7.443140
alphaiw[9][1][19] = 6.274282
alphaiw[10][1][19] = 5.386121
alphaiw[11][1][19] = 4.688596
alphaiw[12][1][19] = 3.664197
alphaiw[13][1][19] = 2.950600
alphaiw[14][1][19] = 2.428576
alphaiw[15][1][19] = 2.033475
alphaiw[16][1][19] = 1.726759
alphaiw[17][1][19] = 1.204481
alphaiw[18][1][19] = 0.886210
alphaiw[19][1][19] = 0.536396
alphaiw[20][1][19] = 0.359609
alphaiw[21][1][19] = 0.172051
alphaiw[22][1][19] = 0.101783
# REF CaH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][19] = -0.148228
hcount[2][19] = 2.0000000
ascale[2][19] = 1.0000000
refcnD3[2][19] = 1.9349011
refcn[2][19] = 1.5763354
refsys[2][19] = 1
alphaiw[0][2][19] = 47.897184
alphaiw[1][2][19] = 45.802225
alphaiw[2][2][19] = 40.793319
alphaiw[3][2][19] = 29.676479
alphaiw[4][2][19] = 21.546019
alphaiw[5][2][19] = 16.226904
alphaiw[6][2][19] = 12.695338
alphaiw[7][2][19] = 10.255073
alphaiw[8][2][19] = 8.497339
alphaiw[9][2][19] = 7.183211
alphaiw[10][2][19] = 6.169165
alphaiw[11][2][19] = 5.365883
alphaiw[12][2][19] = 4.180114
alphaiw[13][2][19] = 3.353676
alphaiw[14][2][19] = 2.750862
alphaiw[15][2][19] = 2.296401
alphaiw[16][2][19] = 1.945002
alphaiw[17][2][19] = 1.350069
alphaiw[18][2][19] = 0.989971
alphaiw[19][2][19] = 0.596596
alphaiw[20][2][19] = 0.398837
alphaiw[21][2][19] = 0.189903
alphaiw[22][2][19] = 0.111947
# REF Sc  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][20] = 1.0000000
hcount[0][20] = 0.0000000
ascale[0][20] = 1.0000000
refcnD3[0][20] = 0.0000000
refcn[0][20] = 0.0000000
refsys[0][20] = 1
alphaiw[0][0][20] = 125.679905
alphaiw[1][0][20] = 108.314439
alphaiw[2][0][20] = 77.292970
alphaiw[3][0][20] = 37.132026
alphaiw[4][0][20] = 20.767058
alphaiw[5][0][20] = 13.411908
alphaiw[6][0][20] = 9.581135
alphaiw[7][0][20] = 7.335309
alphaiw[8][0][20] = 5.893108
alphaiw[9][0][20] = 4.898995
alphaiw[10][0][20] = 4.174544
alphaiw[11][0][20] = 3.622918
alphaiw[12][0][20] = 2.835788
alphaiw[13][0][20] = 2.298453
alphaiw[14][0][20] = 1.907413
alphaiw[15][0][20] = 1.610640
alphaiw[16][0][20] = 1.378747
alphaiw[17][0][20] = 0.978477
alphaiw[18][0][20] = 0.729628
alphaiw[19][0][20] = 0.449933
alphaiw[20][0][20] = 0.305279
alphaiw[21][0][20] = 0.148484
alphaiw[22][0][20] = 0.088652
# REF ScH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][20] = -0.122392
hcount[1][20] = 2.0000000
ascale[1][20] = 1.0000000
refcnD3[1][20] = 1.8627169
refcn[1][20] = 1.6063411
refsys[1][20] = 1
alphaiw[0][1][20] = 43.383091
alphaiw[1][1][20] = 45.095910
alphaiw[2][1][20] = 39.527697
alphaiw[3][1][20] = 28.998743
alphaiw[4][1][20] = 21.387905
alphaiw[5][1][20] = 16.271751
alphaiw[6][1][20] = 12.794343
alphaiw[7][1][20] = 10.354015
alphaiw[8][1][20] = 8.581350
alphaiw[9][1][20] = 7.251753
alphaiw[10][1][20] = 6.225869
alphaiw[11][1][20] = 5.414774
alphaiw[12][1][20] = 4.222126
alphaiw[13][1][20] = 3.394797
alphaiw[14][1][20] = 2.792906
alphaiw[15][1][20] = 2.339388
alphaiw[16][1][20] = 1.988376
alphaiw[17][1][20] = 1.391919
alphaiw[18][1][20] = 1.028269
alphaiw[19][1][20] = 0.626756
alphaiw[20][1][20] = 0.422133
alphaiw[21][1][20] = 0.202671
alphaiw[22][1][20] = 0.119720
# REF ScH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][20] = -0.086753
hcount[2][20] = 3.0000000
ascale[2][20] = 1.0000000
refcnD3[2][20] = 2.8999430
refcn[2][20] = 2.5008083
refsys[2][20] = 1
alphaiw[0][2][20] = 45.786199
alphaiw[1][2][20] = 44.326649
alphaiw[2][2][20] = 40.708465
alphaiw[3][2][20] = 31.782373
alphaiw[4][2][20] = 24.234369
alphaiw[5][2][20] = 18.738362
alphaiw[6][2][20] = 14.830824
alphaiw[7][2][20] = 12.017516
alphaiw[8][2][20] = 9.944672
alphaiw[9][2][20] = 8.378723
alphaiw[10][2][20] = 7.167209
alphaiw[11][2][20] = 6.209521
alphaiw[12][2][20] = 4.806071
alphaiw[13][2][20] = 3.839439
alphaiw[14][2][20] = 3.141697
alphaiw[15][2][20] = 2.619789
alphaiw[16][2][20] = 2.218426
alphaiw[17][2][20] = 1.542145
alphaiw[18][2][20] = 1.133700
alphaiw[19][2][20] = 0.686573
alphaiw[20][2][20] = 0.460519
alphaiw[21][2][20] = 0.219799
alphaiw[22][2][20] = 0.129409
# REF Ti  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][21] = 1.0000000
hcount[0][21] = 0.0000000
ascale[0][21] = 1.0000000
refcnD3[0][21] = 0.0000000
refcn[0][21] = 0.0000000
refsys[0][21] = 1
alphaiw[0][0][21] = 114.724364
alphaiw[1][0][21] = 99.778692
alphaiw[2][0][21] = 73.304609
alphaiw[3][0][21] = 37.587270
alphaiw[4][0][21] = 22.006565
alphaiw[5][0][21] = 14.633006
alphaiw[6][0][21] = 10.639973
alphaiw[7][0][21] = 8.227872
alphaiw[8][0][21] = 6.644109
alphaiw[9][0][21] = 5.535602
alphaiw[10][0][21] = 4.720208
alphaiw[11][0][21] = 4.096471
alphaiw[12][0][21] = 3.205850
alphaiw[13][0][21] = 2.600460
alphaiw[14][0][21] = 2.162377
alphaiw[15][0][21] = 1.831307
alphaiw[16][0][21] = 1.573153
alphaiw[17][0][21] = 1.127140
alphaiw[18][0][21] = 0.848046
alphaiw[19][0][21] = 0.530392
alphaiw[20][0][21] = 0.363333
alphaiw[21][0][21] = 0.178704
alphaiw[22][0][21] = 0.106889
# REF TiH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][21] = -0.107082
hcount[1][21] = 2.0000000
ascale[1][21] = 1.0000000
refcnD3[1][21] = 1.8299291
refcn[1][21] = 1.6229677
refsys[1][21] = 1
alphaiw[0][1][21] = 46.091972
alphaiw[1][1][21] = 42.489258
alphaiw[2][1][21] = 37.621373
alphaiw[3][1][21] = 28.011734
alphaiw[4][1][21] = 20.845783
alphaiw[5][1][21] = 15.962611
alphaiw[6][1][21] = 12.609560
alphaiw[7][1][21] = 10.237354
alphaiw[8][1][21] = 8.503492
alphaiw[9][1][21] = 7.197367
alphaiw[10][1][21] = 6.186927
alphaiw[11][1][21] = 5.387030
alphaiw[12][1][21] = 4.210708
alphaiw[13][1][21] = 3.395606
alphaiw[14][1][21] = 2.803189
alphaiw[15][1][21] = 2.356782
alphaiw[16][1][21] = 2.010841
alphaiw[17][1][21] = 1.420532
alphaiw[18][1][21] = 1.057616
alphaiw[19][1][21] = 0.652206
alphaiw[20][1][21] = 0.442777
alphaiw[21][1][21] = 0.214914
alphaiw[22][1][21] = 0.127531
# REF TiH4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][21] = -0.059344
hcount[2][21] = 4.0000000
ascale[2][21] = 1.0000000
refcnD3[2][21] = 3.8675444
refcn[2][21] = 3.4301329
refsys[2][21] = 1
alphaiw[0][2][21] = 48.711403
alphaiw[1][2][21] = 47.296881
alphaiw[2][2][21] = 43.677428
alphaiw[3][2][21] = 34.439269
alphaiw[4][2][21] = 26.531030
alphaiw[5][2][21] = 20.715485
alphaiw[6][2][21] = 16.517926
alphaiw[7][2][21] = 13.448171
alphaiw[8][2][21] = 11.156501
alphaiw[9][2][21] = 9.408418
alphaiw[10][2][21] = 8.047377
alphaiw[11][2][21] = 6.967621
alphaiw[12][2][21] = 5.382955
alphaiw[13][2][21] = 4.293392
alphaiw[14][2][21] = 3.509736
alphaiw[15][2][21] = 2.925712
alphaiw[16][2][21] = 2.477921
alphaiw[17][2][21] = 1.725607
alphaiw[18][2][21] = 1.271796
alphaiw[19][2][21] = 0.774044
alphaiw[20][2][21] = 0.521222
alphaiw[21][2][21] = 0.250091
alphaiw[22][2][21] = 0.147455
# REF V - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][22] = 1.0000000
hcount[0][22] = 0.0000000
ascale[0][22] = 1.0000000
refcnD3[0][22] = 0.0000000
refcn[0][22] = 0.0000000
refsys[0][22] = 1
alphaiw[0][0][22] = 100.991061
alphaiw[1][0][22] = 88.659780
alphaiw[2][0][22] = 66.611573
alphaiw[3][0][22] = 35.516366
alphaiw[4][0][22] = 21.216072
alphaiw[5][0][22] = 14.244231
alphaiw[6][0][22] = 10.406767
alphaiw[7][0][22] = 8.067827
alphaiw[8][0][22] = 6.524870
alphaiw[9][0][22] = 5.442558
alphaiw[10][0][22] = 4.645849
alphaiw[11][0][22] = 4.036445
alphaiw[12][0][22] = 3.166961
alphaiw[13][0][22] = 2.576736
alphaiw[14][0][22] = 2.150077
alphaiw[15][0][22] = 1.827761
alphaiw[16][0][22] = 1.576314
alphaiw[17][0][22] = 1.140679
alphaiw[18][0][22] = 0.866090
alphaiw[19][0][22] = 0.549443
alphaiw[20][0][22] = 0.379977
alphaiw[21][0][22] = 0.189162
alphaiw[22][0][22] = 0.113662
# REF VH2 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][22] = -0.095837
hcount[1][22] = 2.0000000
ascale[1][22] = 1.0000000
refcnD3[1][22] = 1.9137955
refcn[1][22] = 1.7211633
refsys[1][22] = 1
alphaiw[0][1][22] = 44.700743
alphaiw[1][1][22] = 42.087353
alphaiw[2][1][22] = 37.147214
alphaiw[3][1][22] = 27.404426
alphaiw[4][1][22] = 20.377097
alphaiw[5][1][22] = 15.629900
alphaiw[6][1][22] = 12.371077
alphaiw[7][1][22] = 10.061350
alphaiw[8][1][22] = 8.369905
alphaiw[9][1][22] = 7.093790
alphaiw[10][1][22] = 6.105494
alphaiw[11][1][22] = 5.322559
alphaiw[12][1][22] = 4.170514
alphaiw[13][1][22] = 3.371980
alphaiw[14][1][22] = 2.791525
alphaiw[15][1][22] = 2.354000
alphaiw[16][1][22] = 2.014710
alphaiw[17][1][22] = 1.434430
alphaiw[18][1][22] = 1.075729
alphaiw[19][1][22] = 0.671070
alphaiw[20][1][22] = 0.459190
alphaiw[21][1][22] = 0.225196
alphaiw[22][1][22] = 0.134181
# REF VH3 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][22] = -0.067882
hcount[2][22] = 3.0000000
ascale[2][22] = 1.0000000
refcnD3[2][22] = 2.9110234
refcn[2][22] = 2.6180155
refsys[2][22] = 1
alphaiw[0][2][22] = 43.858971
alphaiw[1][2][22] = 41.918570
alphaiw[2][2][22] = 37.961225
alphaiw[3][2][22] = 29.476942
alphaiw[4][2][22] = 22.665300
alphaiw[5][2][22] = 17.716250
alphaiw[6][2][22] = 14.157899
alphaiw[7][2][22] = 11.561547
alphaiw[8][2][22] = 9.625660
alphaiw[9][2][22] = 8.149247
alphaiw[10][2][22] = 6.998906
alphaiw[11][2][22] = 6.085010
alphaiw[12][2][22] = 4.739766
alphaiw[13][2][22] = 3.810149
alphaiw[14][2][22] = 3.137777
alphaiw[15][2][22] = 2.633764
alphaiw[16][2][22] = 2.245037
alphaiw[17][2][22] = 1.585588
alphaiw[18][2][22] = 1.182114
alphaiw[19][2][22] = 0.731698
alphaiw[20][2][22] = 0.498251
alphaiw[21][2][22] = 0.242727
alphaiw[22][2][22] = 0.144110
# REF Cr  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][23] = 1.0000000
hcount[0][23] = 0.0000000
ascale[0][23] = 1.0000000
refcnD3[0][23] = 0.0000000
refcn[0][23] = 0.0000000
refsys[0][23] = 1
alphaiw[0][0][23] = 81.420442
alphaiw[1][0][23] = 70.386132
alphaiw[2][0][23] = 51.033486
alphaiw[3][0][23] = 26.603592
alphaiw[4][0][23] = 16.440145
alphaiw[5][0][23] = 11.558616
alphaiw[6][0][23] = 8.795662
alphaiw[7][0][23] = 7.040439
alphaiw[8][0][23] = 5.834475
alphaiw[9][0][23] = 4.958452
alphaiw[10][0][23] = 4.294899
alphaiw[11][0][23] = 3.775490
alphaiw[12][0][23] = 3.015031
alphaiw[13][0][23] = 2.484749
alphaiw[14][0][23] = 2.093735
alphaiw[15][0][23] = 1.793819
alphaiw[16][0][23] = 1.557052
alphaiw[17][0][23] = 1.140965
alphaiw[18][0][23] = 0.874779
alphaiw[19][0][23] = 0.563401
alphaiw[20][0][23] = 0.393951
alphaiw[21][0][23] = 0.199185
alphaiw[22][0][23] = 0.120434
# REF CrH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][23] = -0.101304
hcount[1][23] = 2.0000000
ascale[1][23] = 1.0000000
refcnD3[1][23] = 1.8268725
refcn[1][23] = 1.6506142
refsys[1][23] = 1
alphaiw[0][1][23] = 45.331802
alphaiw[1][1][23] = 42.417117
alphaiw[2][1][23] = 37.071434
alphaiw[3][1][23] = 26.918873
alphaiw[4][1][23] = 19.875403
alphaiw[5][1][23] = 15.223394
alphaiw[6][1][23] = 12.058840
alphaiw[7][1][23] = 9.821189
alphaiw[8][1][23] = 8.182025
alphaiw[9][1][23] = 6.944166
alphaiw[10][1][23] = 5.984700
alphaiw[11][1][23] = 5.224199
alphaiw[12][1][23] = 4.104733
alphaiw[13][1][23] = 3.328422
alphaiw[14][1][23] = 2.763646
alphaiw[15][1][23] = 2.337371
alphaiw[16][1][23] = 2.006247
alphaiw[17][1][23] = 1.438126
alphaiw[18][1][23] = 1.085179
alphaiw[19][1][23] = 0.684155
alphaiw[20][1][23] = 0.471994
alphaiw[21][1][23] = 0.234308
alphaiw[22][1][23] = 0.140349
# REF CrH12 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][23] = -0.018630
hcount[2][23] = 12.0000000
ascale[2][23] = 1.0000000
refcnD3[2][23] = 10.6191349
refcn[2][23] = 9.5945915
refsys[2][23] = 1
alphaiw[0][2][23] = 56.476132
alphaiw[1][2][23] = 55.440444
alphaiw[2][2][23] = 52.717609
alphaiw[3][2][23] = 45.145493
alphaiw[4][2][23] = 37.646688
alphaiw[5][2][23] = 31.274007
alphaiw[6][2][23] = 26.086205
alphaiw[7][2][23] = 21.919700
alphaiw[8][2][23] = 18.580262
alphaiw[9][2][23] = 15.893790
alphaiw[10][2][23] = 13.718005
alphaiw[11][2][23] = 11.941250
alphaiw[12][2][23] = 9.260700
alphaiw[13][2][23] = 7.377824
alphaiw[14][2][23] = 6.011686
alphaiw[15][2][23] = 4.991756
alphaiw[16][2][23] = 4.211213
alphaiw[17][2][23] = 2.908310
alphaiw[18][2][23] = 2.130714
alphaiw[19][2][23] = 1.287400
alphaiw[20][2][23] = 0.863157
alphaiw[21][2][23] = 0.411026
alphaiw[22][2][23] = 0.240639
# REF CrO6C6  - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][23] = -0.421827
hcount[3][23] = 6.0000000
ascale[3][23] = 1.0000000
refcnD3[3][23] = 6.0797512
refcn[3][23] = 5.1874538
refsys[3][23] = 3
alphaiw[0][3][23] = 119.60679
alphaiw[1][3][23] = 117.36118
alphaiw[2][3][23] = 111.45400
alphaiw[3][3][23] = 95.24567
alphaiw[4][3][23] = 79.73905
alphaiw[5][3][23] = 66.95178
alphaiw[6][3][23] = 56.70070
alphaiw[7][3][23] = 48.49212
alphaiw[8][3][23] = 41.87579
alphaiw[9][3][23] = 36.49289
alphaiw[10][3][23] = 32.06856
alphaiw[11][3][23] = 28.39483
alphaiw[12][3][23] = 22.70807
alphaiw[13][3][23] = 18.57132
alphaiw[14][3][23] = 15.47077
alphaiw[15][3][23] = 13.08754
alphaiw[16][3][23] = 11.21632
alphaiw[17][3][23] = 7.98167
alphaiw[18][3][23] = 5.97081
alphaiw[19][3][23] = 3.70561
alphaiw[20][3][23] = 2.52625
alphaiw[21][3][23] = 1.23285
alphaiw[22][3][23] = 0.73256
# REF Mn  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][24] = 1.0000000
hcount[0][24] = 0.0000000
ascale[0][24] = 1.0000000
refcnD3[0][24] = 0.0000000
refcn[0][24] = 0.0000000
refsys[0][24] = 1
alphaiw[0][0][24] = 82.120112
alphaiw[1][0][24] = 73.064827
alphaiw[2][0][24] = 56.557805
alphaiw[3][0][24] = 31.845763
alphaiw[4][0][24] = 19.584859
alphaiw[5][0][24] = 13.342054
alphaiw[6][0][24] = 9.819733
alphaiw[7][0][24] = 7.641612
alphaiw[8][0][24] = 6.193162
alphaiw[9][0][24] = 5.173398
alphaiw[10][0][24] = 4.422195
alphaiw[11][0][24] = 3.848263
alphaiw[12][0][24] = 3.032016
alphaiw[13][0][24] = 2.480343
alphaiw[14][0][24] = 2.082475
alphaiw[15][0][24] = 1.781865
alphaiw[16][0][24] = 1.546852
alphaiw[17][0][24] = 1.137108
alphaiw[18][0][24] = 0.875749
alphaiw[19][0][24] = 0.568843
alphaiw[20][0][24] = 0.400345
alphaiw[21][0][24] = 0.204123
alphaiw[22][0][24] = 0.123665
# REF MnH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][24] = -0.122791
hcount[1][24] = 2.0000000
ascale[1][24] = 1.0000000
refcnD3[1][24] = 1.6406037
refcn[1][24] = 1.4573136
refsys[1][24] = 1
alphaiw[0][1][24] = 37.594232
alphaiw[1][1][24] = 36.510254
alphaiw[2][1][24] = 33.706553
alphaiw[3][1][24] = 26.377871
alphaiw[4][1][24] = 20.019494
alphaiw[5][1][24] = 15.409384
alphaiw[6][1][24] = 12.168991
alphaiw[7][1][24] = 9.860910
alphaiw[8][1][24] = 8.174640
alphaiw[9][1][24] = 6.908994
alphaiw[10][1][24] = 5.934811
alphaiw[11][1][24] = 5.167862
alphaiw[12][1][24] = 4.048636
alphaiw[13][1][24] = 3.279888
alphaiw[14][1][24] = 2.724385
alphaiw[15][1][24] = 2.306940
alphaiw[16][1][24] = 1.983483
alphaiw[17][1][24] = 1.429096
alphaiw[18][1][24] = 1.084006
alphaiw[19][1][24] = 0.689557
alphaiw[20][1][24] = 0.478865
alphaiw[21][1][24] = 0.239760
alphaiw[22][1][24] = 0.143940
# REF MnH11 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][24] = -0.025785
hcount[2][24] = 11.0000000
ascale[2][24] = 1.0000000
refcnD3[2][24] = 9.8849037
refcn[2][24] = 8.7805508
refsys[2][24] = 1
alphaiw[0][2][24] = 48.809329
alphaiw[1][2][24] = 48.098079
alphaiw[2][2][24] = 46.174829
alphaiw[3][2][24] = 40.403113
alphaiw[4][2][24] = 34.176069
alphaiw[5][2][24] = 28.621829
alphaiw[6][2][24] = 23.992404
alphaiw[7][2][24] = 20.229698
alphaiw[8][2][24] = 17.193470
alphaiw[9][2][24] = 14.740299
alphaiw[10][2][24] = 12.747265
alphaiw[11][2][24] = 11.115791
alphaiw[12][2][24] = 8.647593
alphaiw[13][2][24] = 6.908608
alphaiw[14][2][24] = 5.643771
alphaiw[15][2][24] = 4.697466
alphaiw[16][2][24] = 3.971875
alphaiw[17][2][24] = 2.757132
alphaiw[18][2][24] = 2.029051
alphaiw[19][2][24] = 1.234929
alphaiw[20][2][24] = 0.832427
alphaiw[21][2][24] = 0.399451
alphaiw[22][2][24] = 0.234594
# REF Fe  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][25] = 1.0000000
hcount[0][25] = 0.0000000
ascale[0][25] = 1.0000000
refcnD3[0][25] = 0.0000000
refcn[0][25] = 0.0000000
refsys[0][25] = 1
alphaiw[0][0][25] = 65.157892
alphaiw[1][0][25] = 57.496100
alphaiw[2][0][25] = 43.341980
alphaiw[3][0][25] = 23.876097
alphaiw[4][0][25] = 15.115613
alphaiw[5][0][25] = 10.767325
alphaiw[6][0][25] = 8.271354
alphaiw[7][0][25] = 6.668605
alphaiw[8][0][25] = 5.555043
alphaiw[9][0][25] = 4.737584
alphaiw[10][0][25] = 4.113187
alphaiw[11][0][25] = 3.621719
alphaiw[12][0][25] = 2.899958
alphaiw[13][0][25] = 2.397309
alphaiw[14][0][25] = 2.028048
alphaiw[15][0][25] = 1.745662
alphaiw[16][0][25] = 1.522973
alphaiw[17][0][25] = 1.130599
alphaiw[18][0][25] = 0.877305
alphaiw[19][0][25] = 0.576370
alphaiw[20][0][25] = 0.409227
alphaiw[21][0][25] = 0.211859
alphaiw[22][0][25] = 0.129411
# REF FeH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][25] = -0.072899
hcount[1][25] = 2.0000000
ascale[1][25] = 1.0000000
refcnD3[1][25] = 1.6482717
refcn[1][25] = 1.5286315
refsys[1][25] = 1
alphaiw[0][1][25] = 34.540179
alphaiw[1][1][25] = 33.566742
alphaiw[2][1][25] = 31.122864
alphaiw[3][1][25] = 24.767609
alphaiw[4][1][25] = 19.081159
alphaiw[5][1][25] = 14.837387
alphaiw[6][1][25] = 11.796270
alphaiw[7][1][25] = 9.602015
alphaiw[8][1][25] = 7.984448
alphaiw[9][1][25] = 6.762551
alphaiw[10][1][25] = 5.817724
alphaiw[11][1][25] = 5.071527
alphaiw[12][1][25] = 3.979733
alphaiw[13][1][25] = 3.228808
alphaiw[14][1][25] = 2.686225
alphaiw[15][1][25] = 2.278672
alphaiw[16][1][25] = 1.962954
alphaiw[17][1][25] = 1.421472
alphaiw[18][1][25] = 1.083486
alphaiw[19][1][25] = 0.695087
alphaiw[20][1][25] = 0.486081
alphaiw[21][1][25] = 0.246407
alphaiw[22][1][25] = 0.148956
# REF FeH10 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][25] = -0.017156
hcount[2][25] = 10.0000000
ascale[2][25] = 1.0000000
refcnD3[2][25] = 9.1375938
refcn[2][25] = 8.4743396
refsys[2][25] = 1
alphaiw[0][2][25] = 45.905680
alphaiw[1][2][25] = 45.209315
alphaiw[2][2][25] = 43.339634
alphaiw[3][2][25] = 37.781133
alphaiw[4][2][25] = 31.844089
alphaiw[5][2][25] = 26.602234
alphaiw[6][2][25] = 22.269901
alphaiw[7][2][25] = 18.769426
alphaiw[8][2][25] = 15.955343
alphaiw[9][2][25] = 13.686585
alphaiw[10][2][25] = 11.845430
alphaiw[11][2][25] = 10.338943
alphaiw[12][2][25] = 8.059609
alphaiw[13][2][25] = 6.452473
alphaiw[14][2][25] = 5.282283
alphaiw[15][2][25] = 4.405756
alphaiw[16][2][25] = 3.732838
alphaiw[17][2][25] = 2.603857
alphaiw[18][2][25] = 1.924854
alphaiw[19][2][25] = 1.180584
alphaiw[20][2][25] = 0.800768
alphaiw[21][2][25] = 0.388414
alphaiw[22][2][25] = 0.229532
# REF Co  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][26] = 1.0000000
hcount[0][26] = 0.0000000
ascale[0][26] = 1.0000000
refcnD3[0][26] = 0.0000000
refcn[0][26] = 0.0000000
refsys[0][26] = 1
alphaiw[0][0][26] = 60.791033
alphaiw[1][0][26] = 56.238565
alphaiw[2][0][26] = 46.323786
alphaiw[3][0][26] = 28.300053
alphaiw[4][0][26] = 18.078483
alphaiw[5][0][26] = 12.550620
alphaiw[6][0][26] = 9.332952
alphaiw[7][0][26] = 7.306038
alphaiw[8][0][26] = 5.941639
alphaiw[9][0][26] = 4.972945
alphaiw[10][0][26] = 4.255279
alphaiw[11][0][26] = 3.705050
alphaiw[12][0][26] = 2.921240
alphaiw[13][0][26] = 2.392577
alphaiw[14][0][26] = 2.013121
alphaiw[15][0][26] = 1.727863
alphaiw[16][0][26] = 1.505701
alphaiw[17][0][26] = 1.119129
alphaiw[18][0][26] = 0.871549
alphaiw[19][0][26] = 0.577190
alphaiw[20][0][26] = 0.412665
alphaiw[21][0][26] = 0.216447
alphaiw[22][0][26] = 0.133319
# REF CoH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][26] = -0.067585
hcount[1][26] = 2.0000000
ascale[1][26] = 1.0000000
refcnD3[1][26] = 1.7148545
refcn[1][26] = 1.6025693
refsys[1][26] = 1
alphaiw[0][1][26] = 33.676654
alphaiw[1][1][26] = 32.279585
alphaiw[2][1][26] = 29.811051
alphaiw[3][1][26] = 23.686037
alphaiw[4][1][26] = 18.305738
alphaiw[5][1][26] = 14.298014
alphaiw[6][1][26] = 11.415061
alphaiw[7][1][26] = 9.324458
alphaiw[8][1][26] = 7.775794
alphaiw[9][1][26] = 6.600839
alphaiw[10][1][26] = 5.688880
alphaiw[11][1][26] = 4.966364
alphaiw[12][1][26] = 3.905576
alphaiw[13][1][26] = 3.173796
alphaiw[14][1][26] = 2.644342
alphaiw[15][1][26] = 2.246504
alphaiw[16][1][26] = 1.938319
alphaiw[17][1][26] = 1.409679
alphaiw[18][1][26] = 1.079213
alphaiw[19][1][26] = 0.697843
alphaiw[20][1][26] = 0.491238
alphaiw[21][1][26] = 0.252109
alphaiw[22][1][26] = 0.153592
# REF CoH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][26] = -0.052126
hcount[2][26] = 3.0000000
ascale[2][26] = 1.0000000
refcnD3[2][26] = 2.9262984
refcn[2][26] = 2.7346903
refsys[2][26] = 1
alphaiw[0][2][26] = 33.068161
alphaiw[1][2][26] = 31.881404
alphaiw[2][2][26] = 29.377930
alphaiw[3][2][26] = 23.605790
alphaiw[4][2][26] = 18.646355
alphaiw[5][2][26] = 14.914558
alphaiw[6][2][26] = 12.162789
alphaiw[7][2][26] = 10.107130
alphaiw[8][2][26] = 8.539517
alphaiw[9][2][26] = 7.319097
alphaiw[10][2][26] = 6.350931
alphaiw[11][2][26] = 5.569974
alphaiw[12][2][26] = 4.400540
alphaiw[13][2][26] = 3.578679
alphaiw[14][2][26] = 2.977546
alphaiw[15][2][26] = 2.523277
alphaiw[16][2][26] = 2.170594
alphaiw[17][2][26] = 1.566269
alphaiw[18][2][26] = 1.190756
alphaiw[19][2][26] = 0.761939
alphaiw[20][2][26] = 0.532588
alphaiw[21][2][26] = 0.270644
alphaiw[22][2][26] = 0.164092
# REF CoH9  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][26] = -0.017560
hcount[3][26] = 9.0000000
ascale[3][26] = 1.0000000
refcnD3[3][26] = 7.7785448
refcn[3][26] = 7.2692216
refsys[3][26] = 1
alphaiw[0][3][26] = 44.719860
alphaiw[1][3][26] = 43.972620
alphaiw[2][3][26] = 41.967916
alphaiw[3][3][26] = 36.120289
alphaiw[4][3][26] = 30.086467
alphaiw[5][3][26] = 24.919171
alphaiw[6][3][26] = 20.743780
alphaiw[7][3][26] = 17.422686
alphaiw[8][3][26] = 14.781193
alphaiw[9][3][26] = 12.666897
alphaiw[10][3][26] = 10.959405
alphaiw[11][3][26] = 9.566807
alphaiw[12][3][26] = 7.465590
alphaiw[13][3][26] = 5.986686
alphaiw[14][3][26] = 4.910316
alphaiw[15][3][26] = 4.103823
alphaiw[16][3][26] = 3.484229
alphaiw[17][3][26] = 2.442901
alphaiw[18][3][26] = 1.814561
alphaiw[19][3][26] = 1.122276
alphaiw[20][3][26] = 0.766421
alphaiw[21][3][26] = 0.376273
alphaiw[22][3][26] = 0.223999
# REF Ni  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][27] = 1.0000000
hcount[0][27] = 0.0000000
ascale[0][27] = 1.0000000
refcnD3[0][27] = 0.0000000
refcn[0][27] = 0.0000000
refsys[0][27] = 1
alphaiw[0][0][27] = 65.147167
alphaiw[1][0][27] = 59.749770
alphaiw[2][0][27] = 48.428659
alphaiw[3][0][27] = 28.584902
alphaiw[4][0][27] = 17.826945
alphaiw[5][0][27] = 12.195564
alphaiw[6][0][27] = 8.986606
alphaiw[7][0][27] = 6.994269
alphaiw[8][0][27] = 5.667531
alphaiw[9][0][27] = 4.733577
alphaiw[10][0][27] = 4.046377
alphaiw[11][0][27] = 3.522370
alphaiw[12][0][27] = 2.780149
alphaiw[13][0][27] = 2.282084
alphaiw[14][0][27] = 1.925622
alphaiw[15][0][27] = 1.658070
alphaiw[16][0][27] = 1.449828
alphaiw[17][0][27] = 1.087150
alphaiw[18][0][27] = 0.853784
alphaiw[19][0][27] = 0.573310
alphaiw[20][0][27] = 0.414084
alphaiw[21][0][27] = 0.220813
alphaiw[22][0][27] = 0.137377
# REF NiH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][27] = -0.063302
hcount[1][27] = 2.0000000
ascale[1][27] = 1.0000000
refcnD3[1][27] = 1.7937354
refcn[1][27] = 1.6839654
refsys[1][27] = 1
alphaiw[0][1][27] = 33.201046
alphaiw[1][1][27] = 31.909291
alphaiw[2][1][27] = 29.367097
alphaiw[3][1][27] = 23.191230
alphaiw[4][1][27] = 17.868607
alphaiw[5][1][27] = 13.945318
alphaiw[6][1][27] = 11.136828
alphaiw[7][1][27] = 9.104199
alphaiw[8][1][27] = 7.599218
alphaiw[9][1][27] = 6.457067
alphaiw[10][1][27] = 5.569926
alphaiw[11][1][27] = 4.866417
alphaiw[12][1][27] = 3.832098
alphaiw[13][1][27] = 3.117481
alphaiw[14][1][27] = 2.600025
alphaiw[15][1][27] = 2.211148
alphaiw[16][1][27] = 1.909984
alphaiw[17][1][27] = 1.393701
alphaiw[18][1][27] = 1.070972
alphaiw[19][1][27] = 0.697587
alphaiw[20][1][27] = 0.494156
alphaiw[21][1][27] = 0.256639
alphaiw[22][1][27] = 0.157607
# REF NiH8  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][27] = -0.017477
hcount[2][27] = 8.0000000
ascale[2][27] = 1.0000000
refcnD3[2][27] = 6.5458490
refcn[2][27] = 6.1452671
refsys[2][27] = 1
alphaiw[0][2][27] = 43.855794
alphaiw[1][2][27] = 42.992833
alphaiw[2][2][27] = 40.750250
alphaiw[3][2][27] = 34.492631
alphaiw[4][2][27] = 28.324481
alphaiw[5][2][27] = 23.225307
alphaiw[6][2][27] = 19.204567
alphaiw[7][2][27] = 16.059292
alphaiw[8][2][27] = 13.586405
alphaiw[9][2][27] = 11.623304
alphaiw[10][2][27] = 10.047358
alphaiw[11][2][27] = 8.767658
alphaiw[12][2][27] = 6.845021
alphaiw[13][2][27] = 5.496552
alphaiw[14][2][27] = 4.516751
alphaiw[15][2][27] = 3.783011
alphaiw[16][2][27] = 3.219203
alphaiw[17][2][27] = 2.270307
alphaiw[18][2][27] = 1.695788
alphaiw[19][2][27] = 1.058993
alphaiw[20][2][27] = 0.728823
alphaiw[21][2][27] = 0.362709
alphaiw[22][2][27] = 0.217752
# REF NiH8  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][27] = -0.016856
hcount[3][27] = 8.0000000
ascale[3][27] = 1.0000000
refcnD3[3][27] = 6.2917894
refcn[3][27] = 5.9067550
refsys[3][27] = 1
alphaiw[0][3][27] = 46.997143
alphaiw[1][3][27] = 45.768398
alphaiw[2][3][27] = 42.654655
alphaiw[3][3][27] = 34.825760
alphaiw[4][3][27] = 28.059929
alphaiw[5][3][27] = 22.862388
alphaiw[6][3][27] = 18.888143
alphaiw[7][3][27] = 15.811924
alphaiw[8][3][27] = 13.398820
alphaiw[9][3][27] = 11.481502
alphaiw[10][3][27] = 9.939362
alphaiw[11][3][27] = 8.684458
alphaiw[12][3][27] = 6.793741
alphaiw[13][3][27] = 5.463442
alphaiw[14][3][27] = 4.494535
alphaiw[15][3][27] = 3.767642
alphaiw[16][3][27] = 3.208313
alphaiw[17][3][27] = 2.265347
alphaiw[18][3][27] = 1.693367
alphaiw[19][3][27] = 1.058362
alphaiw[20][3][27] = 0.728677
alphaiw[21][3][27] = 0.362770
alphaiw[22][3][27] = 0.217810
# REF Cu  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][28] = 1.0000000
hcount[0][28] = 0.0000000
ascale[0][28] = 1.0000000
refcnD3[0][28] = 0.0000000
refcn[0][28] = 0.0000000
refsys[0][28] = 1
alphaiw[0][0][28] = 51.765985
alphaiw[1][0][28] = 46.429169
alphaiw[2][0][28] = 36.020498
alphaiw[3][0][28] = 20.595270
alphaiw[4][0][28] = 13.215535
alphaiw[5][0][28] = 9.459074
alphaiw[6][0][28] = 7.296012
alphaiw[7][0][28] = 5.914575
alphaiw[8][0][28] = 4.959302
alphaiw[9][0][28] = 4.258313
alphaiw[10][0][28] = 3.720822
alphaiw[11][0][28] = 3.295010
alphaiw[12][0][28] = 2.662929
alphaiw[13][0][28] = 2.217186
alphaiw[14][0][28] = 1.887189
alphaiw[15][0][28] = 1.633874
alphaiw[16][0][28] = 1.433781
alphaiw[17][0][28] = 1.080486
alphaiw[18][0][28] = 0.850958
alphaiw[19][0][28] = 0.573910
alphaiw[20][0][28] = 0.416221
alphaiw[21][0][28] = 0.223936
alphaiw[22][0][28] = 0.140169
# REF CuH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][28] = -0.112946
hcount[1][28] = 1.0000000
ascale[1][28] = 1.0000000
refcnD3[1][28] = 0.9576249
refcn[1][28] = 0.8976537
refsys[1][28] = 1
alphaiw[0][1][28] = 32.264059
alphaiw[1][1][28] = 30.764319
alphaiw[2][1][28] = 27.334646
alphaiw[3][1][28] = 19.993186
alphaiw[4][1][28] = 14.660545
alphaiw[5][1][28] = 11.174588
alphaiw[6][1][28] = 8.857867
alphaiw[7][1][28] = 7.250474
alphaiw[8][1][28] = 6.085602
alphaiw[9][1][28] = 5.209141
alphaiw[10][1][28] = 4.529043
alphaiw[11][1][28] = 3.987944
alphaiw[12][1][28] = 3.185656
alphaiw[13][1][28] = 2.623835
alphaiw[14][1][28] = 2.211707
alphaiw[15][1][28] = 1.898358
alphaiw[16][1][28] = 1.653167
alphaiw[17][1][28] = 1.226606
alphaiw[18][1][28] = 0.954929
alphaiw[19][1][28] = 0.634040
alphaiw[20][1][28] = 0.455265
alphaiw[21][1][28] = 0.241516
alphaiw[22][1][28] = 0.150087
# REF Zn  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][29] = 1.0000000
hcount[0][29] = 0.0000000
ascale[0][29] = 1.0000000
refcnD3[0][29] = 0.0000000
refcn[0][29] = 0.0000000
refsys[0][29] = 1
alphaiw[0][0][29] = 44.876428
alphaiw[1][0][29] = 42.401538
alphaiw[2][0][29] = 36.501102
alphaiw[3][0][29] = 24.058046
alphaiw[4][0][29] = 15.996169
alphaiw[5][0][29] = 11.327572
alphaiw[6][0][29] = 8.512598
alphaiw[7][0][29] = 6.705011
alphaiw[8][0][29] = 5.475051
alphaiw[9][0][29] = 4.596280
alphaiw[10][0][29] = 3.942606
alphaiw[11][0][29] = 3.439969
alphaiw[12][0][29] = 2.721607
alphaiw[13][0][29] = 2.235502
alphaiw[14][0][29] = 1.886097
alphaiw[15][0][29] = 1.623552
alphaiw[16][0][29] = 1.419456
alphaiw[17][0][29] = 1.065721
alphaiw[18][0][29] = 0.839896
alphaiw[19][0][29] = 0.569878
alphaiw[20][0][29] = 0.416179
alphaiw[21][0][29] = 0.227177
alphaiw[22][0][29] = 0.143800
# REF ZnH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][29] = -0.110017
hcount[1][29] = 2.0000000
ascale[1][29] = 1.0000000
refcnD3[1][29] = 1.9418958
refcn[1][29] = 1.7518356
refsys[1][29] = 1
alphaiw[0][1][29] = 29.230449
alphaiw[1][1][29] = 28.643422
alphaiw[2][1][29] = 27.038988
alphaiw[3][1][29] = 22.287081
alphaiw[4][1][29] = 17.554696
alphaiw[5][1][29] = 13.805959
alphaiw[6][1][29] = 11.032227
alphaiw[7][1][29] = 8.997638
alphaiw[8][1][29] = 7.485816
alphaiw[9][1][29] = 6.339904
alphaiw[10][1][29] = 5.452872
alphaiw[11][1][29] = 4.752376
alphaiw[12][1][29] = 3.728663
alphaiw[13][1][29] = 3.026494
alphaiw[14][1][29] = 2.521046
alphaiw[15][1][29] = 2.143061
alphaiw[16][1][29] = 1.851577
alphaiw[17][1][29] = 1.354751
alphaiw[18][1][29] = 1.045991
alphaiw[19][1][29] = 0.689336
alphaiw[20][1][29] = 0.493942
alphaiw[21][1][29] = 0.262494
alphaiw[22][1][29] = 0.163864
# REF Ga  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][30] = 1.0000000
hcount[0][30] = 0.0000000
ascale[0][30] = 1.0000000
refcnD3[0][30] = 0.0000000
refcn[0][30] = 0.0000000
refsys[0][30] = 1
alphaiw[0][0][30] = 56.279843
alphaiw[1][0][30] = 51.916787
alphaiw[2][0][30] = 43.231087
alphaiw[3][0][30] = 28.141620
alphaiw[4][0][30] = 18.846282
alphaiw[5][0][30] = 13.299465
alphaiw[6][0][30] = 9.860045
alphaiw[7][0][30] = 7.619398
alphaiw[8][0][30] = 6.089462
alphaiw[9][0][30] = 5.000764
alphaiw[10][0][30] = 4.198182
alphaiw[11][0][30] = 3.588476
alphaiw[12][0][30] = 2.734744
alphaiw[13][0][30] = 2.173884
alphaiw[14][0][30] = 1.781811
alphaiw[15][0][30] = 1.494409
alphaiw[16][0][30] = 1.275812
alphaiw[17][0][30] = 0.908619
alphaiw[18][0][30] = 0.683973
alphaiw[19][0][30] = 0.430069
alphaiw[20][0][30] = 0.295904
alphaiw[21][0][30] = 0.145899
alphaiw[22][0][30] = 0.086797
# REF GaH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][30] = -0.127970
hcount[1][30] = 1.0000000
ascale[1][30] = 1.0000000
refcnD3[1][30] = 0.9600556
refcn[1][30] = 0.8876501
refsys[1][30] = 1
alphaiw[0][1][30] = 53.304611
alphaiw[1][1][30] = 49.906725
alphaiw[2][1][30] = 42.692650
alphaiw[3][1][30] = 29.225347
alphaiw[4][1][30] = 20.424395
alphaiw[5][1][30] = 14.888228
alphaiw[6][1][30] = 11.291618
alphaiw[7][1][30] = 8.859227
alphaiw[8][1][30] = 7.150055
alphaiw[9][1][30] = 5.907330
alphaiw[10][1][30] = 4.976388
alphaiw[11][1][30] = 4.260735
alphaiw[12][1][30] = 3.247125
alphaiw[13][1][30] = 2.575145
alphaiw[14][1][30] = 2.103673
alphaiw[15][1][30] = 1.757959
alphaiw[16][1][30] = 1.495452
alphaiw[17][1][30] = 1.056739
alphaiw[18][1][30] = 0.790728
alphaiw[19][1][30] = 0.493305
alphaiw[20][1][30] = 0.337804
alphaiw[21][1][30] = 0.165477
alphaiw[22][1][30] = 0.098099
# REF GaH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][30] = -0.074190
hcount[2][30] = 2.0000000
ascale[2][30] = 1.0000000
refcnD3[2][30] = 1.9315358
refcn[2][30] = 1.7858631
refsys[2][30] = 1
alphaiw[0][2][30] = 40.695347
alphaiw[1][2][30] = 38.659806
alphaiw[2][2][30] = 34.927101
alphaiw[3][2][30] = 27.029208
alphaiw[4][2][30] = 20.510416
alphaiw[5][2][30] = 15.731136
alphaiw[6][2][30] = 12.317190
alphaiw[7][2][30] = 9.862639
alphaiw[8][2][30] = 8.065521
alphaiw[9][2][30] = 6.721017
alphaiw[10][2][30] = 5.693153
alphaiw[11][2][30] = 4.891263
alphaiw[12][2][30] = 3.739105
alphaiw[13][2][30] = 2.965931
alphaiw[14][2][30] = 2.420056
alphaiw[15][2][30] = 2.018687
alphaiw[16][2][30] = 1.713741
alphaiw[17][2][30] = 1.204977
alphaiw[18][2][30] = 0.897962
alphaiw[19][2][30] = 0.557065
alphaiw[20][2][30] = 0.380155
alphaiw[21][2][30] = 0.185367
alphaiw[22][2][30] = 0.109629
# REF Ge  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][31] = 1.0000000
hcount[0][31] = 0.0000000
ascale[0][31] = 1.0000000
refcnD3[0][31] = 0.0000000
refcn[0][31] = 0.0000000
refsys[0][31] = 1
alphaiw[0][0][31] = 41.618428
alphaiw[1][0][31] = 39.983316
alphaiw[2][0][31] = 35.987296
alphaiw[3][0][31] = 26.610397
alphaiw[4][0][31] = 19.228683
alphaiw[5][0][31] = 14.174315
alphaiw[6][0][31] = 10.763847
alphaiw[7][0][31] = 8.417950
alphaiw[8][0][31] = 6.758796
alphaiw[9][0][31] = 5.551482
alphaiw[10][0][31] = 4.649318
alphaiw[11][0][31] = 3.958827
alphaiw[12][0][31] = 2.988756
alphaiw[13][0][31] = 2.353508
alphaiw[14][0][31] = 1.913139
alphaiw[15][0][31] = 1.593736
alphaiw[16][0][31] = 1.353481
alphaiw[17][0][31] = 0.956617
alphaiw[18][0][31] = 0.718490
alphaiw[19][0][31] = 0.452963
alphaiw[20][0][31] = 0.313250
alphaiw[21][0][31] = 0.156123
alphaiw[22][0][31] = 0.093526
# REF GeH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][31] = -0.063748
hcount[1][31] = 1.0000000
ascale[1][31] = 1.0000000
refcnD3[1][31] = 0.9433517
refcn[1][31] = 0.8991739
refsys[1][31] = 1
alphaiw[0][1][31] = 40.452044
alphaiw[1][1][31] = 39.026416
alphaiw[2][1][31] = 35.580984
alphaiw[3][1][31] = 27.366653
alphaiw[4][1][31] = 20.534233
alphaiw[5][1][31] = 15.579149
alphaiw[6][1][31] = 12.076983
alphaiw[7][1][31] = 9.582154
alphaiw[8][1][31] = 7.770827
alphaiw[9][1][31] = 6.426477
alphaiw[10][1][31] = 5.406671
alphaiw[11][1][31] = 4.617060
alphaiw[12][1][31] = 3.494390
alphaiw[13][1][31] = 2.751197
alphaiw[14][1][31] = 2.232871
alphaiw[15][1][31] = 1.855822
alphaiw[16][1][31] = 1.571962
alphaiw[17][1][31] = 1.103779
alphaiw[18][1][31] = 0.824316
alphaiw[19][1][31] = 0.515407
alphaiw[20][1][31] = 0.354562
alphaiw[21][1][31] = 0.175462
alphaiw[22][1][31] = 0.104725
# REF GeH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][31] = -0.038061
hcount[2][31] = 2.0000000
ascale[2][31] = 1.0000000
refcnD3[2][31] = 1.9446517
refcn[2][31] = 1.8535823
refsys[2][31] = 1
alphaiw[0][2][31] = 40.441822
alphaiw[1][2][31] = 39.254536
alphaiw[2][2][31] = 36.247886
alphaiw[3][2][31] = 28.622222
alphaiw[4][2][31] = 21.979232
alphaiw[5][2][31] = 16.992556
alphaiw[6][2][31] = 13.362654
alphaiw[7][2][31] = 10.713895
alphaiw[8][2][31] = 8.753971
alphaiw[9][2][31] = 7.277683
alphaiw[10][2][31] = 6.144879
alphaiw[11][2][31] = 5.259943
alphaiw[12][2][31] = 3.990018
alphaiw[13][2][31] = 3.142183
alphaiw[14][2][31] = 2.548002
alphaiw[15][2][31] = 2.114693
alphaiw[16][2][31] = 1.788172
alphaiw[17][2][31] = 1.249995
alphaiw[18][2][31] = 0.929818
alphaiw[19][2][31] = 0.578012
alphaiw[20][2][31] = 0.396169
alphaiw[21][2][31] = 0.195088
alphaiw[22][2][31] = 0.116142
# REF GeH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][31] = -0.026811
hcount[3][31] = 3.0000000
ascale[3][31] = 1.0000000
refcnD3[3][31] = 2.9186305
refcn[3][31] = 2.7819490
refsys[3][31] = 1
alphaiw[0][3][31] = 37.671630
alphaiw[1][3][31] = 36.852586
alphaiw[2][3][31] = 34.692659
alphaiw[3][3][31] = 28.682658
alphaiw[4][3][31] = 22.848509
alphaiw[5][3][31] = 18.117957
alphaiw[6][3][31] = 14.493695
alphaiw[7][3][31] = 11.756816
alphaiw[8][3][31] = 9.683181
alphaiw[9][3][31] = 8.094677
alphaiw[10][3][31] = 6.860638
alphaiw[11][3][31] = 5.887707
alphaiw[12][3][31] = 4.478402
alphaiw[13][3][31] = 3.529551
alphaiw[14][3][31] = 2.861317
alphaiw[15][3][31] = 2.372693
alphaiw[16][3][31] = 2.004029
alphaiw[17][3][31] = 1.396373
alphaiw[18][3][31] = 1.035615
alphaiw[19][3][31] = 0.640959
alphaiw[20][3][31] = 0.438122
alphaiw[21][3][31] = 0.215038
alphaiw[22][3][31] = 0.127832
# REF GeH4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][31] = -0.020740
hcount[4][31] = 4.0000000
ascale[4][31] = 1.0000000
refcnD3[4][31] = 3.8972494
refcn[4][31] = 3.7147385
refsys[4][31] = 1
alphaiw[0][4][31] = 34.944388
alphaiw[1][4][31] = 34.458955
alphaiw[2][4][31] = 33.093230
alphaiw[3][4][31] = 28.684965
alphaiw[4][4][31] = 23.681505
alphaiw[5][4][31] = 19.219309
alphaiw[6][4][31] = 15.607448
alphaiw[7][4][31] = 12.786991
alphaiw[8][4][31] = 10.602923
alphaiw[9][4][31] = 8.904595
alphaiw[10][4][31] = 7.571069
alphaiw[11][4][31] = 6.511424
alphaiw[12][4][31] = 4.964395
alphaiw[13][4][31] = 3.915469
alphaiw[14][4][31] = 3.173740
alphaiw[15][4][31] = 2.630148
alphaiw[16][4][31] = 2.219564
alphaiw[17][4][31] = 1.542725
alphaiw[18][4][31] = 1.141522
alphaiw[19][4][31] = 0.704137
alphaiw[20][4][31] = 0.480353
alphaiw[21][4][31] = 0.235271
alphaiw[22][4][31] = 0.139760
# REF As  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][32] = 1.0000000
hcount[0][32] = 0.0000000
ascale[0][32] = 1.0000000
refcnD3[0][32] = 0.0000000
refcn[0][32] = 0.0000000
refsys[0][32] = 1
alphaiw[0][0][32] = 30.962272
alphaiw[1][0][32] = 30.268248
alphaiw[2][0][32] = 28.411729
alphaiw[3][0][32] = 23.141906
alphaiw[4][0][32] = 18.045976
alphaiw[5][0][32] = 14.023820
alphaiw[6][0][32] = 11.035463
alphaiw[7][0][32] = 8.837463
alphaiw[8][0][32] = 7.206503
alphaiw[9][0][32] = 5.977460
alphaiw[10][0][32] = 5.035207
alphaiw[11][0][32] = 4.300404
alphaiw[12][0][32] = 3.249619
alphaiw[13][0][32] = 2.552120
alphaiw[14][0][32] = 2.066240
alphaiw[15][0][32] = 1.713930
alphaiw[16][0][32] = 1.449791
alphaiw[17][0][32] = 1.017200
alphaiw[18][0][32] = 0.761236
alphaiw[19][0][32] = 0.479810
alphaiw[20][0][32] = 0.332960
alphaiw[21][0][32] = 0.167380
alphaiw[22][0][32] = 0.100787
# REF AsH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][32] = -0.006647
hcount[1][32] = 1.0000000
ascale[1][32] = 1.0000000
refcnD3[1][32] = 0.9889213
refcn[1][32] = 0.9670867
refsys[1][32] = 1
alphaiw[0][1][32] = 32.985723
alphaiw[1][1][32] = 32.273872
alphaiw[2][1][32] = 30.390308
alphaiw[3][1][32] = 25.072547
alphaiw[4][1][32] = 19.854555
alphaiw[5][1][32] = 15.640329
alphaiw[6][1][32] = 12.439523
alphaiw[7][1][32] = 10.041642
alphaiw[8][1][32] = 8.236303
alphaiw[9][1][32] = 6.860263
alphaiw[10][1][32] = 5.795801
alphaiw[11][1][32] = 4.959752
alphaiw[12][1][32] = 3.754897
alphaiw[13][1][32] = 2.949119
alphaiw[14][1][32] = 2.385199
alphaiw[15][1][32] = 1.975215
alphaiw[16][1][32] = 1.667456
alphaiw[17][1][32] = 1.163531
alphaiw[18][1][32] = 0.866261
alphaiw[19][1][32] = 0.541615
alphaiw[20][1][32] = 0.373843
alphaiw[21][1][32] = 0.186653
alphaiw[22][1][32] = 0.112054
# REF AsH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][32] = -0.003829
hcount[2][32] = 2.0000000
ascale[2][32] = 1.0000000
refcnD3[2][32] = 1.9793210
refcn[2][32] = 1.9356192
refsys[2][32] = 1
alphaiw[0][2][32] = 34.540326
alphaiw[1][2][32] = 33.850638
alphaiw[2][2][32] = 32.037431
alphaiw[3][2][32] = 26.839363
alphaiw[4][2][32] = 21.573001
alphaiw[5][2][32] = 17.199643
alphaiw[6][2][32] = 13.804941
alphaiw[7][2][32] = 11.219087
alphaiw[8][2][32] = 9.247315
alphaiw[9][2][32] = 7.729644
alphaiw[10][2][32] = 6.546639
alphaiw[11][2][32] = 5.611889
alphaiw[12][2][32] = 4.256050
alphaiw[13][2][32] = 3.343639
alphaiw[14][2][32] = 2.702615
alphaiw[15][2][32] = 2.235518
alphaiw[16][2][32] = 1.884491
alphaiw[17][2][32] = 1.309680
alphaiw[18][2][32] = 0.971287
alphaiw[19][2][32] = 0.603554
alphaiw[20][2][32] = 0.414892
alphaiw[21][2][32] = 0.206085
alphaiw[22][2][32] = 0.123448
# REF AsH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][32] = -0.002695
hcount[3][32] = 3.0000000
ascale[3][32] = 1.0000000
refcnD3[3][32] = 2.9709108
refcn[3][32] = 2.9053155
refsys[3][32] = 1
alphaiw[0][3][32] = 35.562697
alphaiw[1][3][32] = 34.973825
alphaiw[2][3][32] = 33.355324
alphaiw[3][3][32] = 28.426567
alphaiw[4][3][32] = 23.186760
alphaiw[5][3][32] = 18.694717
alphaiw[6][3][32] = 15.129009
alphaiw[7][3][32] = 12.368925
alphaiw[8][3][32] = 10.239332
alphaiw[9][3][32] = 8.585595
alphaiw[10][3][32] = 7.287737
alphaiw[11][3][32] = 6.256794
alphaiw[12][3][32] = 4.752959
alphaiw[13][3][32] = 3.735493
alphaiw[14][3][32] = 3.018263
alphaiw[15][3][32] = 2.494597
alphaiw[16][3][32] = 2.100649
alphaiw[17][3][32] = 1.455395
alphaiw[18][3][32] = 1.076065
alphaiw[19][3][32] = 0.665378
alphaiw[20][3][32] = 0.455874
alphaiw[21][3][32] = 0.225499
alphaiw[22][3][32] = 0.134845
# REF Se  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][33] = 1.0000000
hcount[0][33] = 0.0000000
ascale[0][33] = 1.0000000
refcnD3[0][33] = 0.0000000
refcn[0][33] = 0.0000000
refsys[0][33] = 1
alphaiw[0][0][33] = 25.723486
alphaiw[1][0][33] = 25.296756
alphaiw[2][0][33] = 24.126696
alphaiw[3][0][33] = 20.575468
alphaiw[4][0][33] = 16.802178
alphaiw[5][0][33] = 13.565282
alphaiw[6][0][33] = 10.995214
alphaiw[7][0][33] = 9.004639
alphaiw[8][0][33] = 7.466708
alphaiw[9][0][33] = 6.270139
alphaiw[10][0][33] = 5.329086
alphaiw[11][0][33] = 4.580074
alphaiw[12][0][33] = 3.484948
alphaiw[13][0][33] = 2.742465
alphaiw[14][0][33] = 2.218600
alphaiw[15][0][33] = 1.836066
alphaiw[16][0][33] = 1.548375
alphaiw[17][0][33] = 1.077518
alphaiw[18][0][33] = 0.800872
alphaiw[19][0][33] = 0.500784
alphaiw[20][0][33] = 0.346626
alphaiw[21][0][33] = 0.174616
alphaiw[22][0][33] = 0.105570
# REF SeH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][33] = 0.1243693
hcount[1][33] = 1.0000000
ascale[1][33] = 1.0000000
refcnD3[1][33] = 0.9900564
refcn[1][33] = 0.9210034
refsys[1][33] = 1
alphaiw[0][1][33] = 28.514497
alphaiw[1][1][33] = 28.047524
alphaiw[2][1][33] = 26.774072
alphaiw[3][1][33] = 22.929392
alphaiw[4][1][33] = 18.832968
alphaiw[5][1][33] = 15.289905
alphaiw[6][1][33] = 12.450380
alphaiw[7][1][33] = 10.232453
alphaiw[8][1][33] = 8.506950
alphaiw[9][1][33] = 7.157053
alphaiw[10][1][33] = 6.090795
alphaiw[11][1][33] = 5.239175
alphaiw[12][1][33] = 3.989226
alphaiw[13][1][33] = 3.138509
alphaiw[14][1][33] = 2.536766
alphaiw[15][1][33] = 2.096690
alphaiw[16][1][33] = 1.765469
alphaiw[17][1][33] = 1.223386
alphaiw[18][1][33] = 0.905468
alphaiw[19][1][33] = 0.562191
alphaiw[20][1][33] = 0.387153
alphaiw[21][1][33] = 0.193667
alphaiw[22][1][33] = 0.116708
# REF SeH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][33] = 0.0722599
hcount[2][33] = 2.0000000
ascale[2][33] = 1.0000000
refcnD3[2][33] = 1.9812472
refcn[2][33] = 1.8430619
refsys[2][33] = 1
alphaiw[0][2][33] = 30.989068
alphaiw[1][2][33] = 30.503214
alphaiw[2][2][33] = 29.171581
alphaiw[3][2][33] = 25.115694
alphaiw[4][2][33] = 20.751592
alphaiw[5][2][33] = 16.939750
alphaiw[6][2][33] = 13.855678
alphaiw[7][2][33] = 11.426706
alphaiw[8][2][33] = 9.524229
alphaiw[9][2][33] = 8.027919
alphaiw[10][2][33] = 6.841031
alphaiw[11][2][33] = 5.889891
alphaiw[12][2][33] = 4.488750
alphaiw[13][2][33] = 3.531678
alphaiw[14][2][33] = 2.853107
alphaiw[15][2][33] = 2.356114
alphaiw[16][2][33] = 1.981754
alphaiw[17][2][33] = 1.368936
alphaiw[18][2][33] = 1.009951
alphaiw[19][2][33] = 0.623645
alphaiw[20][2][33] = 0.427779
alphaiw[21][2][33] = 0.212840
alphaiw[22][2][33] = 0.127954
# REF Br  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][34] = 1.0000000
hcount[0][34] = 0.0000000
ascale[0][34] = 1.0000000
refcnD3[0][34] = 0.0000000
refcn[0][34] = 0.0000000
refsys[0][34] = 1
alphaiw[0][0][34] = 20.816078
alphaiw[1][0][34] = 20.576020
alphaiw[2][0][34] = 19.898713
alphaiw[3][0][34] = 17.681390
alphaiw[4][0][34] = 15.073697
alphaiw[5][0][34] = 12.631850
alphaiw[6][0][34] = 10.552897
alphaiw[7][0][34] = 8.852481
alphaiw[8][0][34] = 7.481290
alphaiw[9][0][34] = 6.377416
alphaiw[10][0][34] = 5.484894
alphaiw[11][0][34] = 4.758153
alphaiw[12][0][34] = 3.667636
alphaiw[13][0][34] = 2.908237
alphaiw[14][0][34] = 2.362410
alphaiw[15][0][34] = 1.958751
alphaiw[16][0][34] = 1.652603
alphaiw[17][0][34] = 1.147946
alphaiw[18][0][34] = 0.850671
alphaiw[19][0][34] = 0.529731
alphaiw[20][0][34] = 0.366379
alphaiw[21][0][34] = 0.185432
alphaiw[22][0][34] = 0.112745
# REF BrH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][34] = 0.2707067
hcount[1][34] = 1.0000000
ascale[1][34] = 1.0000000
refcnD3[1][34] = 0.9973539
refcn[1][34] = 0.8709020
refsys[1][34] = 1
alphaiw[0][1][34] = 23.781804
alphaiw[1][1][34] = 23.504360
alphaiw[2][1][34] = 22.723260
alphaiw[3][1][34] = 20.178153
alphaiw[4][1][34] = 17.197575
alphaiw[5][1][34] = 14.411214
alphaiw[6][1][34] = 12.039011
alphaiw[7][1][34] = 10.097533
alphaiw[8][1][34] = 8.530969
alphaiw[9][1][34] = 7.269305
alphaiw[10][1][34] = 6.249026
alphaiw[11][1][34] = 5.418235
alphaiw[12][1][34] = 4.171682
alphaiw[13][1][34] = 3.303754
alphaiw[14][1][34] = 2.680019
alphaiw[15][1][34] = 2.218846
alphaiw[16][1][34] = 1.869192
alphaiw[17][1][34] = 1.293319
alphaiw[18][1][34] = 0.954754
alphaiw[19][1][34] = 0.590606
alphaiw[20][1][34] = 0.406397
alphaiw[21][1][34] = 0.204111
alphaiw[22][1][34] = 0.123635
# REF Kr  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][35] = 1.0000000
hcount[0][35] = 0.0000000
ascale[0][35] = 1.0000000
refcnD3[0][35] = 0.0000000
refcn[0][35] = 0.0000000
refsys[0][35] = 1
alphaiw[0][0][35] = 16.877125
alphaiw[1][0][35] = 16.740408
alphaiw[2][0][35] = 16.347344
alphaiw[3][0][35] = 14.986857
alphaiw[4][0][35] = 13.246528
alphaiw[5][0][35] = 11.480208
alphaiw[6][0][35] = 9.869799
alphaiw[7][0][35] = 8.477324
alphaiw[8][0][35] = 7.303505
alphaiw[9][0][35] = 6.324374
alphaiw[10][0][35] = 5.509605
alphaiw[11][0][35] = 4.830266
alphaiw[12][0][35] = 3.782513
alphaiw[13][0][35] = 3.031366
alphaiw[14][0][35] = 2.479780
alphaiw[15][0][35] = 2.065328
alphaiw[16][0][35] = 1.747276
alphaiw[17][0][35] = 1.216441
alphaiw[18][0][35] = 0.900720
alphaiw[19][0][35] = 0.559163
alphaiw[20][0][35] = 0.386125
alphaiw[21][0][35] = 0.195908
alphaiw[22][0][35] = 0.119708
# REF Rb  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][36] = 1.0000000
hcount[0][36] = 0.0000000
ascale[0][36] = 1.0000000
refcnD3[0][36] = 0.0000000
refcn[0][36] = 0.0000000
refsys[0][36] = 1
alphaiw[0][0][36] = 410.157065
alphaiw[1][0][36] = 214.362942
alphaiw[2][0][36] = 92.218950
alphaiw[3][0][36] = 33.076276
alphaiw[4][0][36] = 19.170255
alphaiw[5][0][36] = 13.645349
alphaiw[6][0][36] = 10.695332
alphaiw[7][0][36] = 8.811501
alphaiw[8][0][36] = 7.469953
alphaiw[9][0][36] = 6.448738
alphaiw[10][0][36] = 5.638124
alphaiw[11][0][36] = 4.976663
alphaiw[12][0][36] = 3.961996
alphaiw[13][0][36] = 3.224446
alphaiw[14][0][36] = 2.669751
alphaiw[15][0][36] = 2.242105
alphaiw[16][0][36] = 1.905917
alphaiw[17][0][36] = 1.326290
alphaiw[18][0][36] = 0.969886
alphaiw[19][0][36] = 0.577583
alphaiw[20][0][36] = 0.380457
alphaiw[21][0][36] = 0.174357
alphaiw[22][0][36] = 0.099238
# REF RbH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][36] = -0.251897
hcount[1][36] = 1.0000000
ascale[1][36] = 1.0000000
refcnD3[1][36] = 0.9738387
refcn[1][36] = 0.7708334
refsys[1][36] = 1
alphaiw[0][1][36] = 62.104688
alphaiw[1][1][36] = 55.373742
alphaiw[2][1][36] = 43.568287
alphaiw[3][1][36] = 27.498358
alphaiw[4][1][36] = 19.549769
alphaiw[5][1][36] = 15.066350
alphaiw[6][1][36] = 12.178566
alphaiw[7][1][36] = 10.141392
alphaiw[8][1][36] = 8.615826
alphaiw[9][1][36] = 7.426858
alphaiw[10][1][36] = 6.474094
alphaiw[11][1][36] = 5.694906
alphaiw[12][1][36] = 4.503146
alphaiw[13][1][36] = 3.643549
alphaiw[14][1][36] = 3.002477
alphaiw[15][1][36] = 2.511975
alphaiw[16][1][36] = 2.128857
alphaiw[17][1][36] = 1.473719
alphaiw[18][1][36] = 1.074337
alphaiw[19][1][36] = 0.637708
alphaiw[20][1][36] = 0.419426
alphaiw[21][1][36] = 0.191938
alphaiw[22][1][36] = 0.109190
# REF Sr  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][37] = 1.0000000
hcount[0][37] = 0.0000000
ascale[0][37] = 1.0000000
refcnD3[0][37] = 0.0000000
refcn[0][37] = 0.0000000
refsys[0][37] = 1
alphaiw[0][0][37] = 207.095983
alphaiw[1][0][37] = 167.406264
alphaiw[2][0][37] = 107.539519
alphaiw[3][0][37] = 46.886459
alphaiw[4][0][37] = 26.202786
alphaiw[5][0][37] = 17.415170
alphaiw[6][0][37] = 12.860338
alphaiw[7][0][37] = 10.131734
alphaiw[8][0][37] = 8.316981
alphaiw[9][0][37] = 7.015600
alphaiw[10][0][37] = 6.030545
alphaiw[11][0][37] = 5.255411
alphaiw[12][0][37] = 4.109542
alphaiw[13][0][37] = 3.304190
alphaiw[14][0][37] = 2.711556
alphaiw[15][0][37] = 2.261726
alphaiw[16][0][37] = 1.912304
alphaiw[17][0][37] = 1.318561
alphaiw[18][0][37] = 0.958995
alphaiw[19][0][37] = 0.567999
alphaiw[20][0][37] = 0.373306
alphaiw[21][0][37] = 0.170832
alphaiw[22][0][37] = 0.097239
# REF SrH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][37] = -0.259339
hcount[1][37] = 1.0000000
ascale[1][37] = 1.0000000
refcnD3[1][37] = 0.9800998
refcn[1][37] = 0.7921264
refsys[1][37] = 1
alphaiw[0][1][37] = 203.756962
alphaiw[1][1][37] = 136.252038
alphaiw[2][1][37] = 79.334283
alphaiw[3][1][37] = 39.070915
alphaiw[4][1][37] = 24.849554
alphaiw[5][1][37] = 17.859882
alphaiw[6][1][37] = 13.776024
alphaiw[7][1][37] = 11.111530
alphaiw[8][1][37] = 9.234787
alphaiw[9][1][37] = 7.838288
alphaiw[10][1][37] = 6.756700
alphaiw[11][1][37] = 5.893845
alphaiw[12][1][37] = 4.605894
alphaiw[13][1][37] = 3.696805
alphaiw[14][1][37] = 3.028186
alphaiw[15][1][37] = 2.521733
alphaiw[16][1][37] = 2.129264
alphaiw[17][1][37] = 1.464706
alphaiw[18][1][37] = 1.063829
alphaiw[19][1][37] = 0.629274
alphaiw[20][1][37] = 0.413377
alphaiw[21][1][37] = 0.189124
alphaiw[22][1][37] = 0.107656
# REF SrH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][37] = -0.140028
hcount[2][37] = 2.0000000
ascale[2][37] = 1.0000000
refcnD3[2][37] = 1.9143497
refcn[2][37] = 1.5471964
refsys[2][37] = 1
alphaiw[0][2][37] = 56.736669
alphaiw[1][2][37] = 53.831215
alphaiw[2][2][37] = 47.269520
alphaiw[3][2][37] = 33.946102
alphaiw[4][2][37] = 24.818241
alphaiw[5][2][37] = 18.952146
alphaiw[6][2][37] = 15.037431
alphaiw[7][2][37] = 12.291681
alphaiw[8][2][37] = 10.277239
alphaiw[9][2][37] = 8.743309
alphaiw[10][2][37] = 7.539985
alphaiw[11][2][37] = 6.573510
alphaiw[12][2][37] = 5.125584
alphaiw[13][2][37] = 4.103526
alphaiw[14][2][37] = 3.353575
alphaiw[15][2][37] = 2.787174
alphaiw[16][2][37] = 2.349499
alphaiw[17][2][37] = 1.611355
alphaiw[18][2][37] = 1.168115
alphaiw[19][2][37] = 0.689506
alphaiw[20][2][37] = 0.452465
alphaiw[21][2][37] = 0.206769
alphaiw[22][2][37] = 0.117643
# REF Y - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][38] = 1.0000000
hcount[0][38] = 0.0000000
ascale[0][38] = 1.0000000
refcnD3[0][38] = 0.0000000
refcn[0][38] = 0.0000000
refsys[0][38] = 1
alphaiw[0][0][38] = 156.581653
alphaiw[1][0][38] = 133.409657
alphaiw[2][0][38] = 94.681039
alphaiw[3][0][38] = 47.188739
alphaiw[4][0][38] = 27.862127
alphaiw[5][0][38] = 18.834877
alphaiw[6][0][38] = 13.909262
alphaiw[7][0][38] = 10.890046
alphaiw[8][0][38] = 8.873022
alphaiw[9][0][38] = 7.435267
alphaiw[10][0][38] = 6.358550
alphaiw[11][0][38] = 5.521139
alphaiw[12][0][38] = 4.301473
alphaiw[13][0][38] = 3.456660
alphaiw[14][0][38] = 2.839926
alphaiw[15][0][38] = 2.373408
alphaiw[16][0][38] = 2.011261
alphaiw[17][0][38] = 1.394577
alphaiw[18][0][38] = 1.019051
alphaiw[19][0][38] = 0.607535
alphaiw[20][0][38] = 0.400891
alphaiw[21][0][38] = 0.184354
alphaiw[22][0][38] = 0.105142
# REF YH2 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][38] = -0.127404
hcount[1][38] = 2.0000000
ascale[1][38] = 1.0000000
refcnD3[1][38] = 1.9153462
refcn[1][38] = 1.6157896
refsys[1][38] = 1
alphaiw[0][1][38] = 126.805232
alphaiw[1][1][38] = 88.774717
alphaiw[2][1][38] = 64.146469
alphaiw[3][1][38] = 40.299881
alphaiw[4][1][38] = 28.249978
alphaiw[5][1][38] = 21.064366
alphaiw[6][1][38] = 16.418629
alphaiw[7][1][38] = 13.233417
alphaiw[8][1][38] = 10.944149
alphaiw[9][1][38] = 9.233952
alphaiw[10][1][38] = 7.915134
alphaiw[11][1][38] = 6.871327
alphaiw[12][1][38] = 5.333037
alphaiw[13][1][38] = 4.263639
alphaiw[14][1][38] = 3.485546
alphaiw[15][1][38] = 2.900255
alphaiw[16][1][38] = 2.448596
alphaiw[17][1][38] = 1.686164
alphaiw[18][1][38] = 1.226606
alphaiw[19][1][38] = 0.727519
alphaiw[20][1][38] = 0.478764
alphaiw[21][1][38] = 0.219488
alphaiw[22][1][38] = 0.125019
# REF YH3 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][38] = -0.088296
hcount[2][38] = 3.0000000
ascale[2][38] = 1.0000000
refcnD3[2][38] = 2.8902873
refcn[2][38] = 2.4382517
refsys[2][38] = 1
alphaiw[0][2][38] = 51.945575
alphaiw[1][2][38] = 50.416201
alphaiw[2][2][38] = 46.537324
alphaiw[3][2][38] = 36.679059
alphaiw[4][2][38] = 28.198633
alphaiw[5][2][38] = 21.978551
alphaiw[6][2][38] = 17.529577
alphaiw[7][2][38] = 14.303992
alphaiw[8][2][38] = 11.907765
alphaiw[9][2][38] = 10.081074
alphaiw[10][2][38] = 8.654701
alphaiw[11][2][38] = 7.517097
alphaiw[12][2][38] = 5.831010
alphaiw[13][2][38] = 4.655568
alphaiw[14][2][38] = 3.800424
alphaiw[15][2][38] = 3.157980
alphaiw[16][2][38] = 2.663016
alphaiw[17][2][38] = 1.829659
alphaiw[18][2][38] = 1.328988
alphaiw[19][2][38] = 0.786886
alphaiw[20][2][38] = 0.517375
alphaiw[21][2][38] = 0.236961
alphaiw[22][2][38] = 0.134916
# REF Zr  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][39] = 1.0000000
hcount[0][39] = 0.0000000
ascale[0][39] = 1.0000000
refcnD3[0][39] = 0.0000000
refcn[0][39] = 0.0000000
refsys[0][39] = 1
alphaiw[0][0][39] = 129.164925
alphaiw[1][0][39] = 112.911526
alphaiw[2][0][39] = 84.274415
alphaiw[3][0][39] = 45.212357
alphaiw[4][0][39] = 27.689932
alphaiw[5][0][39] = 19.085638
alphaiw[6][0][39] = 14.239079
alphaiw[7][0][39] = 11.202400
alphaiw[8][0][39] = 9.144776
alphaiw[9][0][39] = 7.666666
alphaiw[10][0][39] = 6.556369
alphaiw[11][0][39] = 5.692818
alphaiw[12][0][39] = 4.438211
alphaiw[13][0][39] = 3.572630
alphaiw[14][0][39] = 2.942201
alphaiw[15][0][39] = 2.465478
alphaiw[16][0][39] = 2.094978
alphaiw[17][0][39] = 1.461690
alphaiw[18][0][39] = 1.073454
alphaiw[19][0][39] = 0.644436
alphaiw[20][0][39] = 0.427085
alphaiw[21][0][39] = 0.197477
alphaiw[22][0][39] = 0.112889
# REF ZrH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][39] = -0.122159
hcount[1][39] = 2.0000000
ascale[1][39] = 1.0000000
refcnD3[1][39] = 1.9355337
refcn[1][39] = 1.6613079
refsys[1][39] = 1
alphaiw[0][1][39] = 59.532936
alphaiw[1][1][39] = 59.073144
alphaiw[2][1][39] = 49.300426
alphaiw[3][1][39] = 35.690159
alphaiw[4][1][39] = 26.593064
alphaiw[5][1][39] = 20.477752
alphaiw[6][1][39] = 16.262168
alphaiw[7][1][39] = 13.255204
alphaiw[8][1][39] = 11.038098
alphaiw[9][1][39] = 9.354339
alphaiw[10][1][39] = 8.042385
alphaiw[11][1][39] = 6.997363
alphaiw[12][1][39] = 5.449593
alphaiw[13][1][39] = 4.369860
alphaiw[14][1][39] = 3.582545
alphaiw[15][1][39] = 2.989061
alphaiw[16][1][39] = 2.530009
alphaiw[17][1][39] = 1.751842
alphaiw[18][1][39] = 1.279873
alphaiw[19][1][39] = 0.763597
alphaiw[20][1][39] = 0.504335
alphaiw[21][1][39] = 0.232273
alphaiw[22][1][39] = 0.132563
# REF ZrH4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][39] = -0.065406
hcount[2][39] = 4.0000000
ascale[2][39] = 1.0000000
refcnD3[2][39] = 3.9106049
refcn[2][39] = 3.3565517
refsys[2][39] = 1
alphaiw[0][2][39] = 53.703368
alphaiw[1][2][39] = 52.369477
alphaiw[2][2][39] = 48.877138
alphaiw[3][2][39] = 39.478899
alphaiw[4][2][39] = 30.942483
alphaiw[5][2][39] = 24.428692
alphaiw[6][2][39] = 19.626671
alphaiw[7][2][39] = 16.068764
alphaiw[8][2][39] = 13.388110
alphaiw[9][2][39] = 11.328112
alphaiw[10][2][39] = 9.713752
alphaiw[11][2][39] = 8.425390
alphaiw[12][2][39] = 6.519867
alphaiw[13][2][39] = 5.197782
alphaiw[14][2][39] = 4.240383
alphaiw[15][2][39] = 3.523590
alphaiw[16][2][39] = 2.972554
alphaiw[17][2][39] = 2.046084
alphaiw[18][2][39] = 1.489232
alphaiw[19][2][39] = 0.884724
alphaiw[20][2][39] = 0.583020
alphaiw[21][2][39] = 0.267810
alphaiw[22][2][39] = 0.152673
# REF Nb  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][40] = 1.0000000
hcount[0][40] = 0.0000000
ascale[0][40] = 1.0000000
refcnD3[0][40] = 0.0000000
refcn[0][40] = 0.0000000
refsys[0][40] = 1
alphaiw[0][0][40] = 112.586822
alphaiw[1][0][40] = 98.994621
alphaiw[2][0][40] = 75.521910
alphaiw[3][0][40] = 42.543035
alphaiw[4][0][40] = 26.810162
alphaiw[5][0][40] = 18.790495
alphaiw[6][0][40] = 14.171359
alphaiw[7][0][40] = 11.231937
alphaiw[8][0][40] = 9.216594
alphaiw[9][0][40] = 7.755670
alphaiw[10][0][40] = 6.650862
alphaiw[11][0][40] = 5.787480
alphaiw[12][0][40] = 4.527927
alphaiw[13][0][40] = 3.656402
alphaiw[14][0][40] = 3.020627
alphaiw[15][0][40] = 2.539086
alphaiw[16][0][40] = 2.164069
alphaiw[17][0][40] = 1.520244
alphaiw[18][0][40] = 1.122624
alphaiw[19][0][40] = 0.679094
alphaiw[20][0][40] = 0.452131
alphaiw[21][0][40] = 0.210232
alphaiw[22][0][40] = 0.120456
# REF NbH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][40] = -0.091202
hcount[1][40] = 2.0000000
ascale[1][40] = 1.0000000
refcnD3[1][40] = 1.9544827
refcn[1][40] = 1.7496230
refsys[1][40] = 1
alphaiw[0][1][40] = 55.998678
alphaiw[1][1][40] = 60.874956
alphaiw[2][1][40] = 50.695340
alphaiw[3][1][40] = 35.664339
alphaiw[4][1][40] = 26.453174
alphaiw[5][1][40] = 20.435936
alphaiw[6][1][40] = 16.298890
alphaiw[7][1][40] = 13.335167
alphaiw[8][1][40] = 11.137728
alphaiw[9][1][40] = 9.460495
alphaiw[10][1][40] = 8.148463
alphaiw[11][1][40] = 7.100418
alphaiw[12][1][40] = 5.544352
alphaiw[13][1][40] = 4.456943
alphaiw[14][1][40] = 3.663207
alphaiw[15][1][40] = 3.064182
alphaiw[16][1][40] = 2.600116
alphaiw[17][1][40] = 1.810738
alphaiw[18][1][40] = 1.329122
alphaiw[19][1][40] = 0.798216
alphaiw[20][1][40] = 0.529355
alphaiw[21][1][40] = 0.245055
alphaiw[22][1][40] = 0.140174
# REF NbH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][40] = -0.063134
hcount[2][40] = 3.0000000
ascale[2][40] = 1.0000000
refcnD3[2][40] = 2.9225230
refcn[2][40] = 2.6161978
refsys[2][40] = 1
alphaiw[0][2][40] = 51.332910
alphaiw[1][2][40] = 49.028495
alphaiw[2][2][40] = 44.643395
alphaiw[3][2][40] = 35.367784
alphaiw[4][2][40] = 27.683028
alphaiw[5][2][40] = 21.941396
alphaiw[6][2][40] = 17.722080
alphaiw[7][2][40] = 14.588015
alphaiw[8][2][40] = 12.215970
alphaiw[9][2][40] = 10.383881
alphaiw[10][2][40] = 8.941044
alphaiw[11][2][40] = 7.784351
alphaiw[12][2][40] = 6.063769
alphaiw[13][2][40] = 4.861951
alphaiw[14][2][40] = 3.986578
alphaiw[15][2][40] = 3.327711
alphaiw[16][2][40] = 2.818673
alphaiw[17][2][40] = 1.956296
alphaiw[18][2][40] = 1.432715
alphaiw[19][2][40] = 0.858157
alphaiw[20][2][40] = 0.568318
alphaiw[21][2][40] = 0.262695
alphaiw[22][2][40] = 0.150175
# REF Mo  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][41] = 1.0000000
hcount[0][41] = 0.0000000
ascale[0][41] = 1.0000000
refcnD3[0][41] = 0.0000000
refcn[0][41] = 0.0000000
refsys[0][41] = 1
alphaiw[0][0][41] = 80.116637
alphaiw[1][0][41] = 72.003349
alphaiw[2][0][41] = 56.346451
alphaiw[3][0][41] = 33.362273
alphaiw[4][0][41] = 22.252173
alphaiw[5][0][41] = 16.366645
alphaiw[6][0][41] = 12.804535
alphaiw[7][0][41] = 10.429681
alphaiw[8][0][41] = 8.735268
alphaiw[9][0][41] = 7.465626
alphaiw[10][0][41] = 6.478934
alphaiw[11][0][41] = 5.690486
alphaiw[12][0][41] = 4.511516
alphaiw[13][0][41] = 3.675865
alphaiw[14][0][41] = 3.056621
alphaiw[15][0][41] = 2.582610
alphaiw[16][0][41] = 2.210641
alphaiw[17][0][41] = 1.566256
alphaiw[18][0][41] = 1.164147
alphaiw[19][0][41] = 0.710637
alphaiw[20][0][41] = 0.475829
alphaiw[21][0][41] = 0.222808
alphaiw[22][0][41] = 0.128023
# REF MoH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][41] = -0.006585
hcount[1][41] = 2.0000000
ascale[1][41] = 1.0000000
refcnD3[1][41] = 1.9420290
refcn[1][41] = 1.8934537
refsys[1][41] = 1
alphaiw[0][1][41] = 57.369622
alphaiw[1][1][41] = 53.661960
alphaiw[2][1][41] = 46.451919
alphaiw[3][1][41] = 33.772110
alphaiw[4][1][41] = 25.379699
alphaiw[5][1][41] = 19.800864
alphaiw[6][1][41] = 15.925503
alphaiw[7][1][41] = 13.122304
alphaiw[8][1][41] = 11.024900
alphaiw[9][1][41] = 9.410788
alphaiw[10][1][41] = 8.138962
alphaiw[11][1][41] = 7.116693
alphaiw[12][1][41] = 5.587834
alphaiw[13][1][41] = 4.511388
alphaiw[14][1][41] = 3.721465
alphaiw[15][1][41] = 3.122921
alphaiw[16][1][41] = 2.657693
alphaiw[17][1][41] = 1.862570
alphaiw[18][1][41] = 1.374244
alphaiw[19][1][41] = 0.831550
alphaiw[20][1][41] = 0.554164
alphaiw[21][1][41] = 0.258173
alphaiw[22][1][41] = 0.148084
# REF MoH12 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][41] = -0.001168
hcount[2][41] = 12.0000000
ascale[2][41] = 1.0000000
refcnD3[2][41] = 11.0556407
refcn[2][41] = 10.779109
refsys[2][41] = 1
alphaiw[0][2][41] = 67.262495
alphaiw[1][2][41] = 66.030395
alphaiw[2][2][41] = 62.757562
alphaiw[3][2][41] = 53.526977
alphaiw[4][2][41] = 44.375156
alphaiw[5][2][41] = 36.677644
alphaiw[6][2][41] = 30.482979
alphaiw[7][2][41] = 25.552744
alphaiw[8][2][41] = 21.626180
alphaiw[9][2][41] = 18.480496
alphaiw[10][2][41] = 15.939293
alphaiw[11][2][41] = 13.867069
alphaiw[12][2][41] = 10.742802
alphaiw[13][2][41] = 8.547249
alphaiw[14][2][41] = 6.952371
alphaiw[15][2][41] = 5.760152
alphaiw[16][2][41] = 4.846812
alphaiw[17][2][41] = 3.321119
alphaiw[18][2][41] = 2.411497
alphaiw[19][2][41] = 1.430319
alphaiw[20][2][41] = 0.942506
alphaiw[21][2][41] = 0.433342
alphaiw[22][2][41] = 0.247221
# REF MoH6  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][41] = -0.002348
hcount[3][41] = 6.0000000
ascale[3][41] = 1.0000000
refcnD3[3][41] = 5.7368981
refcn[3][41] = 5.5934028
refsys[3][41] = 1
alphaiw[0][3][41] = 57.112244
alphaiw[1][3][41] = 54.550714
alphaiw[2][3][41] = 49.860754
alphaiw[3][3][41] = 40.509415
alphaiw[4][3][41] = 32.739662
alphaiw[5][3][41] = 26.635047
alphaiw[6][3][41] = 21.913973
alphaiw[7][3][41] = 18.259358
alphaiw[8][3][41] = 15.406158
alphaiw[9][3][41] = 13.152324
alphaiw[10][3][41] = 11.348983
alphaiw[11][3][41] = 9.887544
alphaiw[12][3][41] = 7.693957
alphaiw[13][3][41] = 6.154076
alphaiw[14][3][41] = 5.032646
alphaiw[15][3][41] = 4.190721
alphaiw[16][3][41] = 3.542461
alphaiw[17][3][41] = 2.450264
alphaiw[18][3][41] = 1.791415
alphaiw[19][3][41] = 1.071898
alphaiw[20][3][41] = 0.709912
alphaiw[21][3][41] = 0.328404
alphaiw[22][3][41] = 0.187852
# REF Tc  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][42] = 1.0000000
hcount[0][42] = 0.0000000
ascale[0][42] = 1.0000000
refcnD3[0][42] = 0.0000000
refcn[0][42] = 0.0000000
refsys[0][42] = 1
alphaiw[0][0][42] = 92.938716
alphaiw[1][0][42] = 81.945245
alphaiw[2][0][42] = 63.369858
alphaiw[3][0][42] = 37.329673
alphaiw[4][0][42] = 24.356485
alphaiw[5][0][42] = 17.477939
alphaiw[6][0][42] = 13.411025
alphaiw[7][0][42] = 10.775534
alphaiw[8][0][42] = 8.942979
alphaiw[9][0][42] = 7.598660
alphaiw[10][0][42] = 6.571203
alphaiw[11][0][42] = 5.760507
alphaiw[12][0][42] = 4.563170
alphaiw[13][0][42] = 3.722711
alphaiw[14][0][42] = 3.102452
alphaiw[15][0][42] = 2.628137
alphaiw[16][0][42] = 2.255676
alphaiw[17][0][42] = 1.608508
alphaiw[18][0][42] = 1.202289
alphaiw[19][0][42] = 0.740278
alphaiw[20][0][42] = 0.498615
alphaiw[21][0][42] = 0.235388
alphaiw[22][0][42] = 0.135759
# REF TcH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][42] = -0.051445
hcount[1][42] = 2.0000000
ascale[1][42] = 1.0000000
refcnD3[1][42] = 1.6681692
refcn[1][42] = 1.5637002
refsys[1][42] = 1
alphaiw[0][1][42] = 75.873032
alphaiw[1][1][42] = 65.910410
alphaiw[2][1][42] = 51.904042
alphaiw[3][1][42] = 34.708332
alphaiw[4][1][42] = 25.478439
alphaiw[5][1][42] = 19.743396
alphaiw[6][1][42] = 15.850184
alphaiw[7][1][42] = 13.060364
alphaiw[8][1][42] = 10.982655
alphaiw[9][1][42] = 9.387576
alphaiw[10][1][42] = 8.132048
alphaiw[11][1][42] = 7.122942
alphaiw[12][1][42] = 5.612141
alphaiw[13][1][42] = 4.545747
alphaiw[14][1][42] = 3.760951
alphaiw[15][1][42] = 3.164632
alphaiw[16][1][42] = 2.699929
alphaiw[17][1][42] = 1.902605
alphaiw[18][1][42] = 1.410276
alphaiw[19][1][42] = 0.859403
alphaiw[20][1][42] = 0.575519
alphaiw[21][1][42] = 0.269922
alphaiw[22][1][42] = 0.155294
# REF TcH11 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][42] = -0.010498
hcount[2][42] = 11.0000000
ascale[2][42] = 1.0000000
refcnD3[2][42] = 9.5402025
refcn[2][42] = 8.9427476
refsys[2][42] = 1
alphaiw[0][2][42] = 58.575198
alphaiw[1][2][42] = 57.704757
alphaiw[2][2][42] = 55.328360
alphaiw[3][2][42] = 48.168460
alphaiw[4][2][42] = 40.534063
alphaiw[5][2][42] = 33.827461
alphaiw[6][2][42] = 28.302820
alphaiw[7][2][42] = 23.846724
alphaiw[8][2][42] = 20.266943
alphaiw[9][2][42] = 17.380956
alphaiw[10][2][42] = 15.037877
alphaiw[11][2][42] = 13.119227
alphaiw[12][2][42] = 10.211896
alphaiw[13][2][42] = 8.157094
alphaiw[14][2][42] = 6.657503
alphaiw[15][2][42] = 5.532127
alphaiw[16][2][42] = 4.667077
alphaiw[17][2][42] = 3.215204
alphaiw[18][2][42] = 2.344370
alphaiw[19][2][42] = 1.398797
alphaiw[20][2][42] = 0.925315
alphaiw[21][2][42] = 0.427669
alphaiw[22][2][42] = 0.244583
# REF Ru  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][43] = 1.0000000
hcount[0][43] = 0.0000000
ascale[0][43] = 1.0000000
refcnD3[0][43] = 0.0000000
refcn[0][43] = 0.0000000
refsys[0][43] = 1
alphaiw[0][0][43] = 64.287365
alphaiw[1][0][43] = 58.298413
alphaiw[2][0][43] = 46.624119
alphaiw[3][0][43] = 28.908146
alphaiw[4][0][43] = 19.886007
alphaiw[5][0][43] = 14.941497
alphaiw[6][0][43] = 11.882049
alphaiw[7][0][43] = 9.806737
alphaiw[8][0][43] = 8.305091
alphaiw[9][0][43] = 7.166903
alphaiw[10][0][43] = 6.273686
alphaiw[11][0][43] = 5.553606
alphaiw[12][0][43] = 4.463856
alphaiw[13][0][43] = 3.679251
alphaiw[14][0][43] = 3.089448
alphaiw[15][0][43] = 2.632226
alphaiw[16][0][43] = 2.269482
alphaiw[17][0][43] = 1.631709
alphaiw[18][0][43] = 1.226673
alphaiw[19][0][43] = 0.761368
alphaiw[20][0][43] = 0.515611
alphaiw[21][0][43] = 0.245321
alphaiw[22][0][43] = 0.142030
# REF RuH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][43] = 0.0000000
hcount[1][43] = 2.0000000
ascale[1][43] = 1.0000000
refcnD3[1][43] = 1.8584393
refcn[1][43] = 1.8228688
refsys[1][43] = 1
alphaiw[0][1][43] = 45.701517
alphaiw[1][1][43] = 44.164055
alphaiw[2][1][43] = 40.082862
alphaiw[3][1][43] = 30.995286
alphaiw[4][1][43] = 23.861835
alphaiw[5][1][43] = 18.825910
alphaiw[6][1][43] = 15.252147
alphaiw[7][1][43] = 12.643918
alphaiw[8][1][43] = 10.682665
alphaiw[9][1][43] = 9.167642
alphaiw[10][1][43] = 7.969709
alphaiw[11][1][43] = 7.003388
alphaiw[12][1][43] = 5.550189
alphaiw[13][1][43] = 4.518732
alphaiw[14][1][43] = 3.755624
alphaiw[15][1][43] = 3.172841
alphaiw[16][1][43] = 2.716526
alphaiw[17][1][43] = 1.928130
alphaiw[18][1][43] = 1.437056
alphaiw[19][1][43] = 0.882577
alphaiw[20][1][43] = 0.594137
alphaiw[21][1][43] = 0.280742
alphaiw[22][1][43] = 0.162118
# REF RuH10 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][43] = -0.000000
hcount[2][43] = 10.0000000
ascale[2][43] = 1.0000000
refcnD3[2][43] = 8.8894766
refcn[2][43] = 8.7193322
refsys[2][43] = 1
alphaiw[0][2][43] = 53.644961
alphaiw[1][2][43] = 52.902165
alphaiw[2][2][43] = 50.853003
alphaiw[3][2][43] = 44.529115
alphaiw[4][2][43] = 37.624573
alphaiw[5][2][43] = 31.488417
alphaiw[6][2][43] = 26.409750
alphaiw[7][2][43] = 22.304063
alphaiw[8][2][43] = 19.000204
alphaiw[9][2][43] = 16.332148
alphaiw[10][2][43] = 14.162083
alphaiw[11][2][43] = 12.381732
alphaiw[12][2][43] = 9.676360
alphaiw[13][2][43] = 7.757011
alphaiw[14][2][43] = 6.351238
alphaiw[15][2][43] = 5.292753
alphaiw[16][2][43] = 4.476623
alphaiw[17][2][43] = 3.100659
alphaiw[18][2][43] = 2.270461
alphaiw[19][2][43] = 1.363047
alphaiw[20][2][43] = 0.905393
alphaiw[21][2][43] = 0.420911
alphaiw[22][2][43] = 0.241416
# REF Rh  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][44] = 1.0000000
hcount[0][44] = 0.0000000
ascale[0][44] = 1.0000000
refcnD3[0][44] = 0.0000000
refcn[0][44] = 0.0000000
refsys[0][44] = 1
alphaiw[0][0][44] = 68.154245
alphaiw[1][0][44] = 62.996005
alphaiw[2][0][44] = 52.080740
alphaiw[3][0][44] = 32.914433
alphaiw[4][0][44] = 22.111706
alphaiw[5][0][44] = 16.125792
alphaiw[6][0][44] = 12.511546
alphaiw[7][0][44] = 10.140680
alphaiw[8][0][44] = 8.478807
alphaiw[9][0][44] = 7.252515
alphaiw[10][0][44] = 6.310849
alphaiw[11][0][44] = 5.564759
alphaiw[12][0][44] = 4.456397
alphaiw[13][0][44] = 3.671740
alphaiw[14][0][44] = 3.087314
alphaiw[15][0][44] = 2.636162
alphaiw[16][0][44] = 2.278615
alphaiw[17][0][44] = 1.648687
alphaiw[18][0][44] = 1.246265
alphaiw[19][0][44] = 0.779926
alphaiw[20][0][44] = 0.531143
alphaiw[21][0][44] = 0.254701
alphaiw[22][0][44] = 0.148012
# REF RhH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][44] = 0.0147804
hcount[1][44] = 2.0000000
ascale[1][44] = 1.0000000
refcnD3[1][44] = 1.9003284
refcn[1][44] = 1.8416796
refsys[1][44] = 1
alphaiw[0][1][44] = 43.341753
alphaiw[1][1][44] = 41.484181
alphaiw[2][1][44] = 37.519889
alphaiw[3][1][44] = 29.065156
alphaiw[4][1][44] = 22.517841
alphaiw[5][1][44] = 17.884875
alphaiw[6][1][44] = 14.579721
alphaiw[7][1][44] = 12.153230
alphaiw[8][1][44] = 10.317903
alphaiw[9][1][44] = 8.892386
alphaiw[10][1][44] = 7.759670
alphaiw[11][1][44] = 6.841952
alphaiw[12][1][44] = 5.454235
alphaiw[13][1][44] = 4.462803
alphaiw[14][1][44] = 3.725126
alphaiw[15][1][44] = 3.158889
alphaiw[16][1][44] = 2.713484
alphaiw[17][1][44] = 1.938859
alphaiw[18][1][44] = 1.452430
alphaiw[19][1][44] = 0.898552
alphaiw[20][1][44] = 0.607894
alphaiw[21][1][44] = 0.289287
alphaiw[22][1][44] = 0.167629
# REF RhH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][44] = 0.0110215
hcount[2][44] = 3.0000000
ascale[2][44] = 1.0000000
refcnD3[2][44] = 2.9695702
refcn[2][44] = 2.8779220
refsys[2][44] = 1
alphaiw[0][2][44] = 37.744249
alphaiw[1][2][44] = 36.631308
alphaiw[2][2][44] = 34.021047
alphaiw[3][2][44] = 27.904718
alphaiw[4][2][44] = 22.621942
alphaiw[5][2][44] = 18.536441
alphaiw[6][2][44] = 15.427909
alphaiw[7][2][44] = 13.036677
alphaiw[8][2][44] = 11.165346
alphaiw[9][2][44] = 9.675293
alphaiw[10][2][44] = 8.469730
alphaiw[11][2][44] = 7.480214
alphaiw[12][2][44] = 5.965645
alphaiw[13][2][44] = 4.873802
alphaiw[14][2][44] = 4.058772
alphaiw[15][2][44] = 3.433102
alphaiw[16][2][44] = 2.941713
alphaiw[17][2][44] = 2.090629
alphaiw[18][2][44] = 1.559711
alphaiw[19][2][44] = 0.959748
alphaiw[20][2][44] = 0.647266
alphaiw[21][2][44] = 0.306922
alphaiw[22][2][44] = 0.177624
# REF RhH5  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][44] = 0.0067688
hcount[3][44] = 5.0000000
ascale[3][44] = 1.0000000
refcnD3[3][44] = 4.8441608
refcn[3][44] = 4.6946581
refsys[3][44] = 1
alphaiw[0][3][44] = 50.73626
alphaiw[1][3][44] = 49.44361
alphaiw[2][3][44] = 46.21237
alphaiw[3][3][44] = 37.73368
alphaiw[4][3][44] = 30.02656
alphaiw[5][3][44] = 24.11966
alphaiw[6][3][44] = 19.72591
alphaiw[7][3][44] = 16.42287
alphaiw[8][3][44] = 13.88985
alphaiw[9][3][44] = 11.90753
alphaiw[10][3][44] = 10.32727
alphaiw[11][3][44] = 9.04681
alphaiw[12][3][44] = 7.11814
alphaiw[13][3][44] = 5.75356
alphaiw[14][3][44] = 4.75065
alphaiw[15][3][44] = 3.99069
alphaiw[16][3][44] = 3.40031
alphaiw[17][3][44] = 2.39202
alphaiw[18][3][44] = 1.77261
alphaiw[19][3][44] = 1.08191
alphaiw[20][3][44] = 0.72627
alphaiw[21][3][44] = 0.34244
alphaiw[22][3][44] = 0.19770
# REF Pd  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][45] = 1.0000000
hcount[0][45] = 0.0000000
ascale[0][45] = 1.0000000
refcnD3[0][45] = 0.0000000
refcn[0][45] = 0.0000000
refsys[0][45] = 1
alphaiw[0][0][45] = 60.886463
alphaiw[1][0][45] = 56.847894
alphaiw[2][0][45] = 47.854060
alphaiw[3][0][45] = 30.984190
alphaiw[4][0][45] = 21.047250
alphaiw[5][0][45] = 15.448553
alphaiw[6][0][45] = 12.042586
alphaiw[7][0][45] = 9.798469
alphaiw[8][0][45] = 8.220432
alphaiw[9][0][45] = 7.052989
alphaiw[10][0][45] = 6.154531
alphaiw[11][0][45] = 5.441296
alphaiw[12][0][45] = 4.379115
alphaiw[13][0][45] = 3.624712
alphaiw[14][0][45] = 3.060902
alphaiw[15][0][45] = 2.624031
alphaiw[16][0][45] = 2.276415
alphaiw[17][0][45] = 1.659838
alphaiw[18][0][45] = 1.262249
alphaiw[19][0][45] = 0.796723
alphaiw[20][0][45] = 0.545738
alphaiw[21][0][45] = 0.263964
alphaiw[22][0][45] = 0.154104
# REF PdH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][45] = 0.0000000
hcount[1][45] = 2.0000000
ascale[1][45] = 1.0000000
refcnD3[1][45] = 1.8630498
refcn[1][45] = 1.8273911
refsys[1][45] = 1
alphaiw[0][1][45] = 40.211029
alphaiw[1][1][45] = 38.507250
alphaiw[2][1][45] = 34.893224
alphaiw[3][1][45] = 27.213802
alphaiw[4][1][45] = 21.237164
alphaiw[5][1][45] = 16.980547
alphaiw[6][1][45] = 13.926091
alphaiw[7][1][45] = 11.670735
alphaiw[8][1][45] = 9.955198
alphaiw[9][1][45] = 8.615618
alphaiw[10][1][45] = 7.546033
alphaiw[11][1][45] = 6.675740
alphaiw[12][1][45] = 5.352711
alphaiw[13][1][45] = 4.401641
alphaiw[14][1][45] = 3.690236
alphaiw[15][1][45] = 3.141536
alphaiw[16][1][45] = 2.707993
alphaiw[17][1][45] = 1.948922
alphaiw[18][1][45] = 1.468103
alphaiw[19][1][45] = 0.915494
alphaiw[20][1][45] = 0.622708
alphaiw[21][1][45] = 0.298713
alphaiw[22][1][45] = 0.173825
# REF PdH8  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][45] = -0.000000
hcount[2][45] = 8.0000000
ascale[2][45] = 1.0000000
refcnD3[2][45] = 5.7094967
refcn[2][45] = 5.6002170
refsys[2][45] = 1
alphaiw[0][2][45] = 52.944971
alphaiw[1][2][45] = 51.810182
alphaiw[2][2][45] = 48.865009
alphaiw[3][2][45] = 40.952725
alphaiw[4][2][45] = 33.519847
alphaiw[5][2][45] = 27.525465
alphaiw[6][2][45] = 22.848608
alphaiw[7][2][45] = 19.202662
alphaiw[8][2][45] = 16.334556
alphaiw[9][2][45] = 14.050940
alphaiw[10][2][45] = 12.209470
alphaiw[11][2][45] = 10.706050
alphaiw[12][2][45] = 8.427293
alphaiw[13][2][45] = 6.808578
alphaiw[14][2][45] = 5.617656
alphaiw[15][2][45] = 4.715485
alphaiw[16][2][45] = 4.015181
alphaiw[17][2][45] = 2.821102
alphaiw[18][2][45] = 2.089152
alphaiw[19][2][45] = 1.274570
alphaiw[20][2][45] = 0.855733
alphaiw[21][2][45] = 0.403884
alphaiw[22][2][45] = 0.233396
# REF Ag  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][46] = 1.0000000
hcount[0][46] = 0.0000000
ascale[0][46] = 1.0000000
refcnD3[0][46] = 0.0000000
refcn[0][46] = 0.0000000
refsys[0][46] = 1
alphaiw[0][0][46] = 54.198988
alphaiw[1][0][46] = 49.048966
alphaiw[2][0][46] = 38.982940
alphaiw[3][0][46] = 23.982132
alphaiw[4][0][46] = 16.605029
alphaiw[5][0][46] = 12.637376
alphaiw[6][0][46] = 10.199536
alphaiw[7][0][46] = 8.543737
alphaiw[8][0][46] = 7.336607
alphaiw[9][0][46] = 6.411655
alphaiw[10][0][46] = 5.677212
alphaiw[11][0][46] = 5.078469
alphaiw[12][0][46] = 4.159269
alphaiw[13][0][46] = 3.486053
alphaiw[14][0][46] = 2.972017
alphaiw[15][0][46] = 2.567373
alphaiw[16][0][46] = 2.241401
alphaiw[17][0][46] = 1.654077
alphaiw[18][0][46] = 1.268597
alphaiw[19][0][46] = 0.809553
alphaiw[20][0][46] = 0.558150
alphaiw[21][0][46] = 0.272162
alphaiw[22][0][46] = 0.159464
# REF AgH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][46] = -0.086255
hcount[1][46] = 1.0000000
ascale[1][46] = 1.0000000
refcnD3[1][46] = 0.9678840
refcn[1][46] = 0.9114228
refsys[1][46] = 1
alphaiw[0][1][46] = 36.600098
alphaiw[1][1][46] = 35.120874
alphaiw[2][1][46] = 31.646179
alphaiw[3][1][46] = 24.022829
alphaiw[4][1][46] = 18.342535
alphaiw[5][1][46] = 14.498831
alphaiw[6][1][46] = 11.846336
alphaiw[7][1][46] = 9.937887
alphaiw[8][1][46] = 8.508175
alphaiw[9][1][46] = 7.400244
alphaiw[10][1][46] = 6.517904
alphaiw[11][1][46] = 5.799569
alphaiw[12][1][46] = 4.703076
alphaiw[13][1][46] = 3.908253
alphaiw[14][1][46] = 3.307942
alphaiw[15][1][46] = 2.840261
alphaiw[16][1][46] = 2.467052
alphaiw[17][1][46] = 1.803418
alphaiw[18][1][46] = 1.374383
alphaiw[19][1][46] = 0.870389
alphaiw[20][1][46] = 0.597548
alphaiw[21][1][46] = 0.289925
alphaiw[22][1][46] = 0.169525
# REF Cd  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][47] = 1.0000000
hcount[0][47] = 0.0000000
ascale[0][47] = 1.0000000
refcnD3[0][47] = 0.0000000
refcn[0][47] = 0.0000000
refsys[0][47] = 1
alphaiw[0][0][47] = 51.243030
alphaiw[1][0][47] = 48.350299
alphaiw[2][0][47] = 41.574630
alphaiw[3][0][47] = 27.789000
alphaiw[4][0][47] = 19.132182
alphaiw[5][0][47] = 14.138223
alphaiw[6][0][47] = 11.078456
alphaiw[7][0][47] = 9.058780
alphaiw[8][0][47] = 7.637831
alphaiw[9][0][47] = 6.585903
alphaiw[10][0][47] = 5.775337
alphaiw[11][0][47] = 5.130712
alphaiw[12][0][47] = 4.167516
alphaiw[13][0][47] = 3.479859
alphaiw[14][0][47] = 2.963026
alphaiw[15][0][47] = 2.560092
alphaiw[16][0][47] = 2.237329
alphaiw[17][0][47] = 1.657875
alphaiw[18][0][47] = 1.277296
alphaiw[19][0][47] = 0.821518
alphaiw[20][0][47] = 0.569810
alphaiw[21][0][47] = 0.280660
alphaiw[22][0][47] = 0.165459
# REF CdH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][47] = -0.085704
hcount[1][47] = 2.0000000
ascale[1][47] = 1.0000000
refcnD3[1][47] = 1.9538938
refcn[1][47] = 1.7735607
refsys[1][47] = 1
alphaiw[0][1][47] = 35.914033
alphaiw[1][1][47] = 35.156618
alphaiw[2][1][47] = 33.106848
alphaiw[3][1][47] = 27.196953
alphaiw[4][1][47] = 21.514531
alphaiw[5][1][47] = 17.119136
alphaiw[6][1][47] = 13.899297
alphaiw[7][1][47] = 11.535577
alphaiw[8][1][47] = 9.764835
alphaiw[9][1][47] = 8.405468
alphaiw[10][1][47] = 7.336894
alphaiw[11][1][47] = 6.478807
alphaiw[12][1][47] = 5.193079
alphaiw[13][1][47] = 4.280985
alphaiw[14][1][47] = 3.603605
alphaiw[15][1][47] = 3.082669
alphaiw[16][1][47] = 2.671033
alphaiw[17][1][47] = 1.946992
alphaiw[18][1][47] = 1.483157
alphaiw[19][1][47] = 0.940672
alphaiw[20][1][47] = 0.647242
alphaiw[21][1][47] = 0.315697
alphaiw[22][1][47] = 0.185340
# REF In  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][48] = 1.0000000
hcount[0][48] = 0.0000000
ascale[0][48] = 1.0000000
refcnD3[0][48] = 0.0000000
refcn[0][48] = 0.0000000
refsys[0][48] = 1
alphaiw[0][0][48] = 72.915096
alphaiw[1][0][48] = 66.075360
alphaiw[2][0][48] = 53.357828
alphaiw[3][0][48] = 33.564411
alphaiw[4][0][48] = 22.468734
alphaiw[5][0][48] = 16.147243
alphaiw[6][0][48] = 12.310526
alphaiw[7][0][48] = 9.824579
alphaiw[8][0][48] = 8.117394
alphaiw[9][0][48] = 6.886056
alphaiw[10][0][48] = 5.961084
alphaiw[11][0][48] = 5.242540
alphaiw[12][0][48] = 4.199599
alphaiw[13][0][48] = 3.477891
alphaiw[14][0][48] = 2.947254
alphaiw[15][0][48] = 2.539803
alphaiw[16][0][48] = 2.216839
alphaiw[17][0][48] = 1.643071
alphaiw[18][0][48] = 1.269037
alphaiw[19][0][48] = 0.821496
alphaiw[20][0][48] = 0.572970
alphaiw[21][0][48] = 0.284411
alphaiw[22][0][48] = 0.168182
# REF InH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][48] = -0.116574
hcount[1][48] = 1.0000000
ascale[1][48] = 1.0000000
refcnD3[1][48] = 0.9633083
refcn[1][48] = 0.8865745
refsys[1][48] = 1
alphaiw[0][1][48] = 68.544832
alphaiw[1][1][48] = 63.349955
alphaiw[2][1][48] = 52.915864
alphaiw[3][1][48] = 35.162040
alphaiw[4][1][48] = 24.463873
alphaiw[5][1][48] = 18.015128
alphaiw[6][1][48] = 13.920401
alphaiw[7][1][48] = 11.178065
alphaiw[8][1][48] = 9.251344
alphaiw[9][1][48] = 7.840657
alphaiw[10][1][48] = 6.771077
alphaiw[11][1][48] = 5.935902
alphaiw[12][1][48] = 4.720928
alphaiw[13][1][48] = 3.882154
alphaiw[14][1][48] = 3.269048
alphaiw[15][1][48] = 2.801645
alphaiw[16][1][48] = 2.433884
alphaiw[17][1][48] = 1.787784
alphaiw[18][1][48] = 1.372279
alphaiw[19][1][48] = 0.881481
alphaiw[20][1][48] = 0.612040
alphaiw[21][1][48] = 0.302117
alphaiw[22][1][48] = 0.178219
# REF InH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][48] = -0.065976
hcount[2][48] = 2.0000000
ascale[2][48] = 1.0000000
refcnD3[2][48] = 1.9378428
refcn[2][48] = 1.7834809
refsys[2][48] = 1
alphaiw[0][2][48] = 50.762214
alphaiw[1][2][48] = 48.038549
alphaiw[2][2][48] = 43.056737
alphaiw[3][2][48] = 32.827883
alphaiw[4][2][48] = 24.763454
alphaiw[5][2][48] = 19.065123
alphaiw[6][2][48] = 15.096996
alphaiw[7][2][48] = 12.285146
alphaiw[8][2][48] = 10.237552
alphaiw[9][2][48] = 8.703149
alphaiw[10][2][48] = 7.522008
alphaiw[11][2][48] = 6.590652
alphaiw[12][2][48] = 5.225297
alphaiw[13][2][48] = 4.279084
alphaiw[14][2][48] = 3.588018
alphaiw[15][2][48] = 3.062818
alphaiw[16][2][48] = 2.651268
alphaiw[17][2][48] = 1.933449
alphaiw[18][2][48] = 1.476325
alphaiw[19][2][48] = 0.941874
alphaiw[20][2][48] = 0.651306
alphaiw[21][2][48] = 0.319858
alphaiw[22][2][48] = 0.188263
# REF InH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][48] = -0.046501
hcount[3][48] = 3.0000000
ascale[3][48] = 1.0000000
refcnD3[3][48] = 2.9352867
refcn[3][48] = 2.7014719
refsys[3][48] = 1
alphaiw[0][3][48] = 41.187107
alphaiw[1][3][48] = 40.413017
alphaiw[2][3][48] = 38.289250
alphaiw[3][3][48] = 31.921085
alphaiw[4][3][48] = 25.448113
alphaiw[5][3][48] = 20.222504
alphaiw[6][3][48] = 16.301084
alphaiw[7][3][48] = 13.395450
alphaiw[8][3][48] = 11.219682
alphaiw[9][3][48] = 9.559738
alphaiw[10][3][48] = 8.267006
alphaiw[11][3][48] = 7.239992
alphaiw[12][3][48] = 5.725513
alphaiw[13][3][48] = 4.672877
alphaiw[14][3][48] = 3.904591
alphaiw[15][3][48] = 3.322126
alphaiw[16][3][48] = 2.867179
alphaiw[17][3][48] = 2.078243
alphaiw[18][3][48] = 1.579824
alphaiw[19][3][48] = 1.002018
alphaiw[20][3][48] = 0.690445
alphaiw[21][3][48] = 0.337563
alphaiw[22][3][48] = 0.198291
# REF Sn  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][49] = 1.0000000
hcount[0][49] = 0.0000000
ascale[0][49] = 1.0000000
refcnD3[0][49] = 0.0000000
refcn[0][49] = 0.0000000
refsys[0][49] = 1
alphaiw[0][0][49] = 57.304027
alphaiw[1][0][49] = 54.447626
alphaiw[2][0][49] = 47.795707
alphaiw[3][0][49] = 33.684146
alphaiw[4][0][49] = 23.737667
alphaiw[5][0][49] = 17.396052
alphaiw[6][0][49] = 13.302431
alphaiw[7][0][49] = 10.562040
alphaiw[8][0][49] = 8.652561
alphaiw[9][0][49] = 7.270817
alphaiw[10][0][49] = 6.236602
alphaiw[11][0][49] = 5.439304
alphaiw[12][0][49] = 4.298863
alphaiw[13][0][49] = 3.526646
alphaiw[14][0][49] = 2.970100
alphaiw[15][0][49] = 2.549782
alphaiw[16][0][49] = 2.220896
alphaiw[17][0][49] = 1.644680
alphaiw[18][0][49] = 1.272870
alphaiw[19][0][49] = 0.828859
alphaiw[20][0][49] = 0.581241
alphaiw[21][0][49] = 0.291260
alphaiw[22][0][49] = 0.173220
# REF SnH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][49] = -0.067360
hcount[1][49] = 1.0000000
ascale[1][49] = 1.0000000
refcnD3[1][49] = 0.9514464
refcn[1][49] = 0.9000383
refsys[1][49] = 1
alphaiw[0][1][49] = 53.729832
alphaiw[1][1][49] = 51.432979
alphaiw[2][1][49] = 46.071670
alphaiw[3][1][49] = 34.202409
alphaiw[4][1][49] = 25.130279
alphaiw[5][1][49] = 18.931654
alphaiw[6][1][49] = 14.724627
alphaiw[7][1][49] = 11.806627
alphaiw[8][1][49] = 9.721799
alphaiw[9][1][49] = 8.186310
alphaiw[10][1][49] = 7.022806
alphaiw[11][1][49] = 6.118305
alphaiw[12][1][49] = 4.815571
alphaiw[13][1][49] = 3.930333
alphaiw[14][1][49] = 3.292968
alphaiw[15][1][49] = 2.813279
alphaiw[16][1][49] = 2.439693
alphaiw[17][1][49] = 1.790733
alphaiw[18][1][49] = 1.376968
alphaiw[19][1][49] = 0.889143
alphaiw[20][1][49] = 0.620382
alphaiw[21][1][49] = 0.308887
alphaiw[22][1][49] = 0.183171
# REF SnH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][49] = -0.038842
hcount[2][49] = 2.0000000
ascale[2][49] = 1.0000000
refcnD3[2][49] = 1.9504941
refcn[2][49] = 1.8451060
refsys[2][49] = 1
alphaiw[0][2][49] = 53.391205
alphaiw[1][2][49] = 51.458937
alphaiw[2][2][49] = 46.753692
alphaiw[3][2][49] = 35.723112
alphaiw[4][2][49] = 26.868293
alphaiw[5][2][49] = 20.583279
alphaiw[6][2][49] = 16.184518
alphaiw[7][2][49] = 13.061050
alphaiw[8][2][49] = 10.790505
alphaiw[9][2][49] = 9.097333
alphaiw[10][2][49] = 7.803117
alphaiw[11][2][49] = 6.791032
alphaiw[12][2][49] = 5.326346
alphaiw[13][2][49] = 4.328822
alphaiw[14][2][49] = 3.611391
alphaiw[15][2][49] = 3.073014
alphaiw[16][2][49] = 2.655317
alphaiw[17][2][49] = 1.934719
alphaiw[18][2][49] = 1.479711
alphaiw[19][2][49] = 0.948820
alphaiw[20][2][49] = 0.659233
alphaiw[21][2][49] = 0.326462
alphaiw[22][2][49] = 0.193115
# REF SnH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][49] = -0.027063
hcount[3][49] = 3.0000000
ascale[3][49] = 1.0000000
refcnD3[3][49] = 2.9259053
refcn[3][49] = 2.7678143
refsys[3][49] = 1
alphaiw[0][3][49] = 48.172100
alphaiw[1][3][49] = 46.965447
alphaiw[2][3][49] = 43.840663
alphaiw[3][3][49] = 35.494069
alphaiw[4][3][49] = 27.796548
alphaiw[5][3][49] = 21.830347
alphaiw[6][3][49] = 17.423969
alphaiw[7][3][49] = 14.186616
alphaiw[8][3][49] = 11.779841
alphaiw[9][3][49] = 9.957587
alphaiw[10][3][49] = 8.550083
alphaiw[11][3][49] = 7.441474
alphaiw[12][3][49] = 5.826956
alphaiw[13][3][49] = 4.722797
alphaiw[14][3][49] = 3.928072
alphaiw[15][3][49] = 3.332392
alphaiw[16][3][49] = 2.871263
alphaiw[17][3][49] = 2.079475
alphaiw[18][3][49] = 1.583129
alphaiw[19][3][49] = 1.008864
alphaiw[20][3][49] = 0.698273
alphaiw[21][3][49] = 0.344076
alphaiw[22][3][49] = 0.203065
# REF SnH4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][49] = -0.020858
hcount[4][49] = 4.0000000
ascale[4][49] = 1.0000000
refcnD3[4][49] = 3.9123253
refcn[4][49] = 3.7009365
refsys[4][49] = 1
alphaiw[0][4][49] = 44.380973
alphaiw[1][4][49] = 43.665701
alphaiw[2][4][49] = 41.675138
alphaiw[3][4][49] = 35.458376
alphaiw[4][4][49] = 28.757538
alphaiw[5][4][49] = 23.070696
alphaiw[6][4][49] = 18.649286
alphaiw[7][4][49] = 15.298862
alphaiw[8][4][49] = 12.758326
alphaiw[9][4][49] = 10.809349
alphaiw[10][4][49] = 9.290444
alphaiw[11][4][49] = 8.086742
alphaiw[12][4][49] = 6.324265
alphaiw[13][4][49] = 5.114544
alphaiw[14][4][49] = 4.243170
alphaiw[15][4][49] = 3.590593
alphaiw[16][4][49] = 3.086303
alphaiw[17][4][49] = 2.223700
alphaiw[18][4][49] = 1.686200
alphaiw[19][4][49] = 1.068738
alphaiw[20][4][49] = 0.737222
alphaiw[21][4][49] = 0.361662
alphaiw[22][4][49] = 0.213001
# REF Sb  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][50] = 1.0000000
hcount[0][50] = 0.0000000
ascale[0][50] = 1.0000000
refcnD3[0][50] = 0.0000000
refcn[0][50] = 0.0000000
refsys[0][50] = 1
alphaiw[0][0][50] = 44.835845
alphaiw[1][0][50] = 43.513056
alphaiw[2][0][50] = 40.092645
alphaiw[3][0][50] = 31.177478
alphaiw[4][0][50] = 23.451152
alphaiw[5][0][50] = 17.847175
alphaiw[6][0][50] = 13.923960
alphaiw[7][0][50] = 11.156629
alphaiw[8][0][50] = 9.162750
alphaiw[9][0][50] = 7.689873
alphaiw[10][0][50] = 6.574468
alphaiw[11][0][50] = 5.709838
alphaiw[12][0][50] = 4.472546
alphaiw[13][0][50] = 3.640447
alphaiw[14][0][50] = 3.047237
alphaiw[15][0][50] = 2.604419
alphaiw[16][0][50] = 2.261635
alphaiw[17][0][50] = 1.669346
alphaiw[18][0][50] = 1.292070
alphaiw[19][0][50] = 0.844220
alphaiw[20][0][50] = 0.594297
alphaiw[21][0][50] = 0.299911
alphaiw[22][0][50] = 0.179120
# REF SbH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][50] = -0.042941
hcount[1][50] = 1.0000000
ascale[1][50] = 1.0000000
refcnD3[1][50] = 0.9749338
refcn[1][50] = 0.9349184
refsys[1][50] = 1
alphaiw[0][1][50] = 45.991641
alphaiw[1][1][50] = 44.745029
alphaiw[2][1][50] = 41.520860
alphaiw[3][1][50] = 32.982031
alphaiw[4][1][50] = 25.316081
alphaiw[5][1][50] = 19.559047
alphaiw[6][1][50] = 15.415074
alphaiw[7][1][50] = 12.429723
alphaiw[8][1][50] = 10.244498
alphaiw[9][1][50] = 8.611166
alphaiw[10][1][50] = 7.363473
alphaiw[11][1][50] = 6.390207
alphaiw[12][1][50] = 4.989502
alphaiw[13][1][50] = 4.044029
alphaiw[14][1][50] = 3.369871
alphaiw[15][1][50] = 2.867628
alphaiw[16][1][50] = 2.480117
alphaiw[17][1][50] = 1.815071
alphaiw[18][1][50] = 1.395870
alphaiw[19][1][50] = 0.904307
alphaiw[20][1][50] = 0.633322
alphaiw[21][1][50] = 0.317504
alphaiw[22][1][50] = 0.189055
# REF SbH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][50] = -0.024265
hcount[2][50] = 2.0000000
ascale[2][50] = 1.0000000
refcnD3[2][50] = 1.9522816
refcn[2][50] = 1.8721518
refsys[2][50] = 1
alphaiw[0][2][50] = 46.649688
alphaiw[1][2][50] = 45.519771
alphaiw[2][2][50] = 42.592706
alphaiw[3][2][50] = 34.603943
alphaiw[4][2][50] = 27.077516
alphaiw[5][2][50] = 21.205970
alphaiw[6][2][50] = 16.863631
alphaiw[7][2][50] = 13.674290
alphaiw[8][2][50] = 11.306740
alphaiw[9][2][50] = 9.518843
alphaiw[10][2][50] = 8.142768
alphaiw[11][2][50] = 7.063506
alphaiw[12][2][50] = 5.502482
alphaiw[13][2][50] = 4.445215
alphaiw[14][2][50] = 3.690972
alphaiw[15][2][50] = 3.129808
alphaiw[16][2][50] = 2.697879
alphaiw[17][2][50] = 1.960455
alphaiw[18][2][50] = 1.499480
alphaiw[19][2][50] = 0.964316
alphaiw[20][2][50] = 0.672307
alphaiw[21][2][50] = 0.335084
alphaiw[22][2][50] = 0.198984
# REF SbH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][50] = -0.016930
hcount[3][50] = 3.0000000
ascale[3][50] = 1.0000000
refcnD3[3][50] = 2.9314677
refcn[3][50] = 2.8111480
refsys[3][50] = 1
alphaiw[0][3][50] = 46.755275
alphaiw[1][3][50] = 45.832302
alphaiw[2][3][50] = 43.334618
alphaiw[3][3][50] = 36.039438
alphaiw[4][3][50] = 28.727266
alphaiw[5][3][50] = 22.784520
alphaiw[6][3][50] = 18.268814
alphaiw[7][3][50] = 14.890333
alphaiw[8][3][50] = 12.349605
alphaiw[9][3][50] = 10.412967
alphaiw[10][3][50] = 8.912329
alphaiw[11][3][50] = 7.729642
alphaiw[12][3][50] = 6.011326
alphaiw[13][3][50] = 4.843831
alphaiw[14][3][50] = 4.010374
alphaiw[15][3][50] = 3.390802
alphaiw[16][3][50] = 2.914774
alphaiw[17][3][50] = 2.105369
alphaiw[18][3][50] = 1.602790
alphaiw[19][3][50] = 1.024171
alphaiw[20][3][50] = 0.711207
alphaiw[21][3][50] = 0.352647
alphaiw[22][3][50] = 0.208912
# REF Te  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][51] = 1.0000000
hcount[0][51] = 0.0000000
ascale[0][51] = 1.0000000
refcnD3[0][51] = 0.0000000
refcn[0][51] = 0.0000000
refsys[0][51] = 1
alphaiw[0][0][51] = 38.755867
alphaiw[1][0][51] = 37.889105
alphaiw[2][0][51] = 35.576577
alphaiw[3][0][51] = 29.054147
alphaiw[4][0][51] = 22.798548
alphaiw[5][0][51] = 17.884226
alphaiw[6][0][51] = 14.235417
alphaiw[7][0][51] = 11.547716
alphaiw[8][0][51] = 9.548637
alphaiw[9][0][51] = 8.037558
alphaiw[10][0][51] = 6.874542
alphaiw[11][0][51] = 5.963113
alphaiw[12][0][51] = 4.647748
alphaiw[13][0][51] = 3.760397
alphaiw[14][0][51] = 3.129939
alphaiw[15][0][51] = 2.662449
alphaiw[16][0][51] = 2.303436
alphaiw[17][0][51] = 1.691006
alphaiw[18][0][51] = 1.306746
alphaiw[19][0][51] = 0.855446
alphaiw[20][0][51] = 0.604504
alphaiw[21][0][51] = 0.307588
alphaiw[22][0][51] = 0.184646
# REF TeH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][51] = -0.029795
hcount[1][51] = 1.0000000
ascale[1][51] = 1.0000000
refcnD3[1][51] = 0.9811484
refcn[1][51] = 0.9480065
refsys[1][51] = 1
alphaiw[0][1][51] = 41.280066
alphaiw[1][1][51] = 40.403687
alphaiw[2][1][51] = 38.064803
alphaiw[3][1][51] = 31.414732
alphaiw[4][1][51] = 24.916541
alphaiw[5][1][51] = 19.709544
alphaiw[6][1][51] = 15.778957
alphaiw[7][1][51] = 12.846323
alphaiw[8][1][51] = 10.643649
alphaiw[9][1][51] = 8.966281
alphaiw[10][1][51] = 7.668033
alphaiw[11][1][51] = 6.646383
alphaiw[12][1][51] = 5.166127
alphaiw[13][1][51] = 4.164784
alphaiw[14][1][51] = 3.453065
alphaiw[15][1][51] = 2.925973
alphaiw[16][1][51] = 2.522122
alphaiw[17][1][51] = 1.836787
alphaiw[18][1][51] = 1.410531
alphaiw[19][1][51] = 0.915473
alphaiw[20][1][51] = 0.643469
alphaiw[21][1][51] = 0.325143
alphaiw[22][1][51] = 0.194556
# REF TeH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][51] = -0.016912
hcount[2][51] = 2.0000000
ascale[2][51] = 1.0000000
refcnD3[2][51] = 1.9638752
refcn[2][51] = 1.8975380
refsys[2][51] = 1
alphaiw[0][2][51] = 43.376754
alphaiw[1][2][51] = 42.522037
alphaiw[2][2][51] = 40.223337
alphaiw[3][2][51] = 33.567921
alphaiw[4][2][51] = 26.905158
alphaiw[5][2][51] = 21.452944
alphaiw[6][2][51] = 17.269553
alphaiw[7][2][51] = 14.109887
alphaiw[8][2][51] = 11.714873
alphaiw[9][2][51] = 9.878445
alphaiw[10][2][51] = 8.449714
alphaiw[11][2][51] = 7.321033
alphaiw[12][2][51] = 5.679614
alphaiw[13][2][51] = 4.566184
alphaiw[14][2][51] = 3.774254
alphaiw[15][2][51] = 3.188176
alphaiw[16][2][51] = 2.739868
alphaiw[17][2][51] = 1.982102
alphaiw[18][2][51] = 1.514048
alphaiw[19][2][51] = 0.975382
alphaiw[20][2][51] = 0.682368
alphaiw[21][2][51] = 0.342670
alphaiw[22][2][51] = 0.204449
# REF I - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][52] = 1.0000000
hcount[0][52] = 0.0000000
ascale[0][52] = 1.0000000
refcnD3[0][52] = 0.0000000
refcn[0][52] = 0.0000000
refsys[0][52] = 1
alphaiw[0][0][52] = 32.536448
alphaiw[1][0][52] = 32.013553
alphaiw[2][0][52] = 30.570166
alphaiw[3][0][52] = 26.137184
alphaiw[4][0][52] = 21.402428
alphaiw[5][0][52] = 17.350523
alphaiw[6][0][52] = 14.143925
alphaiw[7][0][52] = 11.666403
alphaiw[8][0][52] = 9.755750
alphaiw[9][0][52] = 8.271224
alphaiw[10][0][52] = 7.104601
alphaiw[11][0][52] = 6.175985
alphaiw[12][0][52] = 4.815390
alphaiw[13][0][52] = 3.886710
alphaiw[14][0][52] = 3.224139
alphaiw[15][0][52] = 2.733062
alphaiw[16][0][52] = 2.357107
alphaiw[17][0][52] = 1.720699
alphaiw[18][0][52] = 1.326035
alphaiw[19][0][52] = 0.867499
alphaiw[20][0][52] = 0.614098
alphaiw[21][0][52] = 0.314104
alphaiw[22][0][52] = 0.189286
# REF IH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][52] = 0.1321310
hcount[1][52] = 1.0000000
ascale[1][52] = 1.0000000
refcnD3[1][52] = 0.9968217
refcn[1][52] = 0.9118051
refsys[1][52] = 1
alphaiw[0][1][52] = 35.593976
alphaiw[1][1][52] = 35.039184
alphaiw[2][1][52] = 33.505892
alphaiw[3][1][52] = 28.772597
alphaiw[4][1][52] = 23.666492
alphaiw[5][1][52] = 19.251056
alphaiw[6][1][52] = 15.726802
alphaiw[7][1][52] = 12.986425
alphaiw[8][1][52] = 10.863135
alphaiw[9][1][52] = 9.207645
alphaiw[10][1][52] = 7.903267
alphaiw[11][1][52] = 6.862980
alphaiw[12][1][52] = 5.335989
alphaiw[13][1][52] = 4.292550
alphaiw[14][1][52] = 3.548248
alphaiw[15][1][52] = 2.997256
alphaiw[16][1][52] = 2.576248
alphaiw[17][1][52] = 1.866641
alphaiw[18][1][52] = 1.429864
alphaiw[19][1][52] = 0.927513
alphaiw[20][1][52] = 0.653057
alphaiw[21][1][52] = 0.331671
alphaiw[22][1][52] = 0.199205
# REF Xe  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][53] = 1.0000000
hcount[0][53] = 0.0000000
ascale[0][53] = 1.0000000
refcnD3[0][53] = 0.0000000
refcn[0][53] = 0.0000000
refsys[0][53] = 1
alphaiw[0][0][53] = 27.327705
alphaiw[1][0][53] = 27.011076
alphaiw[2][0][53] = 26.115786
alphaiw[3][0][53] = 23.173450
alphaiw[4][0][53] = 19.714026
alphaiw[5][0][53] = 16.495216
alphaiw[6][0][53] = 13.778284
alphaiw[7][0][53] = 11.574565
alphaiw[8][0][53] = 9.810695
alphaiw[9][0][53] = 8.399866
alphaiw[10][0][53] = 7.265426
alphaiw[11][0][53] = 6.345824
alphaiw[12][0][53] = 4.971844
alphaiw[13][0][53] = 4.016921
alphaiw[14][0][53] = 3.328625
alphaiw[15][0][53] = 2.815986
alphaiw[16][0][53] = 2.423009
alphaiw[17][0][53] = 1.759547
alphaiw[18][0][53] = 1.351327
alphaiw[19][0][53] = 0.881958
alphaiw[20][0][53] = 0.624687
alphaiw[21][0][53] = 0.320697
alphaiw[22][0][53] = 0.193838
# REF Cs  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][54] = 1.0000000
hcount[0][54] = 0.0000000
ascale[0][54] = 1.0000000
refcnD3[0][54] = 0.0000000
refcn[0][54] = 0.0000000
refsys[0][54] = 1
alphaiw[0][0][54] = 537.089754
alphaiw[1][0][54] = 251.203112
alphaiw[2][0][54] = 104.671685
alphaiw[3][0][54] = 40.190839
alphaiw[4][0][54] = 24.938115
alphaiw[5][0][54] = 18.396765
alphaiw[6][0][54] = 14.577986
alphaiw[7][0][54] = 11.965166
alphaiw[8][0][54] = 10.026435
alphaiw[9][0][54] = 8.523417
alphaiw[10][0][54] = 7.327029
alphaiw[11][0][54] = 6.357436
alphaiw[12][0][54] = 4.899043
alphaiw[13][0][54] = 3.874259
alphaiw[14][0][54] = 3.130184
alphaiw[15][0][54] = 2.575151
alphaiw[16][0][54] = 2.151544
alphaiw[17][0][54] = 1.450130
alphaiw[18][0][54] = 1.038439
alphaiw[19][0][54] = 0.603657
alphaiw[20][0][54] = 0.392712
alphaiw[21][0][54] = 0.177663
alphaiw[22][0][54] = 0.100685
# REF CsH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][54] = -0.116692
hcount[1][54] = 1.0000000
ascale[1][54] = 1.0000000
refcnD3[1][54] = 0.9908590
refcn[1][54] = 0.8733520
refsys[1][54] = 1
alphaiw[0][1][54] = 65.701829
alphaiw[1][1][54] = 59.891843
alphaiw[2][1][54] = 49.370313
alphaiw[3][1][54] = 33.872693
alphaiw[4][1][54] = 25.250989
alphaiw[5][1][54] = 19.857604
alphaiw[6][1][54] = 16.106158
alphaiw[7][1][54] = 13.327861
alphaiw[8][1][54] = 11.193174
alphaiw[9][1][54] = 9.513636
alphaiw[10][1][54] = 8.169261
alphaiw[11][1][54] = 7.078258
alphaiw[12][1][54] = 5.439260
alphaiw[13][1][54] = 4.291439
alphaiw[14][1][54] = 3.460945
alphaiw[15][1][54] = 2.843320
alphaiw[16][1][54] = 2.373102
alphaiw[17][1][54] = 1.596808
alphaiw[18][1][54] = 1.142490
alphaiw[19][1][54] = 0.663665
alphaiw[20][1][54] = 0.431652
alphaiw[21][1][54] = 0.195261
alphaiw[22][1][54] = 0.110658
# REF Ba  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][55] = 1.0000000
hcount[0][55] = 0.0000000
ascale[0][55] = 1.0000000
refcnD3[0][55] = 0.0000000
refcn[0][55] = 0.0000000
refsys[0][55] = 1
alphaiw[0][0][55] = 288.240883
alphaiw[1][0][55] = 220.124081
alphaiw[2][0][55] = 131.490276
alphaiw[3][0][55] = 55.258660
alphaiw[4][0][55] = 31.589328
alphaiw[5][0][55] = 21.625708
alphaiw[6][0][55] = 16.333913
alphaiw[7][0][55] = 13.045546
alphaiw[8][0][55] = 10.778353
alphaiw[9][0][55] = 9.105096
alphaiw[10][0][55] = 7.813337
alphaiw[11][0][55] = 6.785062
alphaiw[12][0][55] = 5.256600
alphaiw[13][0][55] = 4.186380
alphaiw[14][0][55] = 3.406533
alphaiw[15][0][55] = 2.821154
alphaiw[16][0][55] = 2.371190
alphaiw[17][0][55] = 1.617456
alphaiw[18][0][55] = 1.168208
alphaiw[19][0][55] = 0.686284
alphaiw[20][0][55] = 0.449036
alphaiw[21][0][55] = 0.204432
alphaiw[22][0][55] = 0.116151
# REF BaH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][55] = -0.137475
hcount[1][55] = 1.0000000
ascale[1][55] = 1.0000000
refcnD3[1][55] = 0.9796616
refcn[1][55] = 0.8634825
refsys[1][55] = 1
alphaiw[0][1][55] = 309.571607
alphaiw[1][1][55] = 175.354583
alphaiw[2][1][55] = 94.606625
alphaiw[3][1][55] = 46.083078
alphaiw[4][1][55] = 30.014726
alphaiw[5][1][55] = 22.068441
alphaiw[6][1][55] = 17.288674
alphaiw[7][1][55] = 14.063913
alphaiw[8][1][55] = 11.725316
alphaiw[9][1][55] = 9.947246
alphaiw[10][1][55] = 8.551040
alphaiw[11][1][55] = 7.429082
alphaiw[12][1][55] = 5.751137
alphaiw[13][1][55] = 4.573564
alphaiw[14][1][55] = 3.716131
alphaiw[15][1][55] = 3.073594
alphaiw[16][1][55] = 2.580602
alphaiw[17][1][55] = 1.757023
alphaiw[18][1][55] = 1.267661
alphaiw[19][1][55] = 0.744016
alphaiw[20][1][55] = 0.486682
alphaiw[21][1][55] = 0.221586
alphaiw[22][1][55] = 0.125920
# REF BaH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][55] = -0.073652
hcount[2][55] = 2.0000000
ascale[2][55] = 1.0000000
refcnD3[2][55] = 1.8466817
refcn[2][55] = 1.6276819
refsys[2][55] = 1
alphaiw[0][2][55] = 66.960579
alphaiw[1][2][55] = 63.003480
alphaiw[2][2][55] = 54.822192
alphaiw[3][2][55] = 39.727200
alphaiw[4][2][55] = 29.637299
alphaiw[5][2][55] = 23.026030
alphaiw[6][2][55] = 18.486059
alphaiw[7][2][55] = 15.210619
alphaiw[8][2][55] = 12.750214
alphaiw[9][2][55] = 10.843929
alphaiw[10][2][55] = 9.331644
alphaiw[11][2][55] = 8.109616
alphaiw[12][2][55] = 6.275307
alphaiw[13][2][55] = 4.986028
alphaiw[14][2][55] = 4.047502
alphaiw[15][2][55] = 3.344815
alphaiw[16][2][55] = 2.806240
alphaiw[17][2][55] = 1.908012
alphaiw[18][2][55] = 1.375385
alphaiw[19][2][55] = 0.806474
alphaiw[20][2][55] = 0.527292
alphaiw[21][2][55] = 0.239946
alphaiw[22][2][55] = 0.136310
# REF La  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][56] = 1.0000000
hcount[0][56] = 0.0000000
ascale[0][56] = 1.0000000
refcnD3[0][56] = 0.0000000
refcn[0][56] = 0.0000000
refsys[0][56] = 1
alphaiw[0][0][56] = 215.814022
alphaiw[1][0][56] = 176.844927
alphaiw[2][0][56] = 118.315876
alphaiw[3][0][56] = 56.550664
alphaiw[4][0][56] = 33.702504
alphaiw[5][0][56] = 23.215220
alphaiw[6][0][56] = 17.433557
alphaiw[7][0][56] = 13.811135
alphaiw[8][0][56] = 11.328988
alphaiw[9][0][56] = 9.517330
alphaiw[10][0][56] = 8.134309
alphaiw[11][0][56] = 7.043702
alphaiw[12][0][56] = 5.438214
alphaiw[13][0][56] = 4.323105
alphaiw[14][0][56] = 3.513947
alphaiw[15][0][56] = 2.907964
alphaiw[16][0][56] = 2.442821
alphaiw[17][0][56] = 1.664809
alphaiw[18][0][56] = 1.201774
alphaiw[19][0][56] = 0.705655
alphaiw[20][0][56] = 0.461628
alphaiw[21][0][56] = 0.210118
alphaiw[22][0][56] = 0.119325
# REF LaH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][56] = -0.081517
hcount[1][56] = 2.0000000
ascale[1][56] = 1.0000000
refcnD3[1][56] = 1.9373359
refcn[1][56] = 1.7075853
refsys[1][56] = 1
alphaiw[0][1][56] = 174.170367
alphaiw[1][1][56] = 109.810479
alphaiw[2][1][56] = 78.418401
alphaiw[3][1][56] = 48.332041
alphaiw[4][1][56] = 33.898796
alphaiw[5][1][56] = 25.446805
alphaiw[6][1][56] = 19.974223
alphaiw[7][1][56] = 16.182284
alphaiw[8][1][56] = 13.419449
alphaiw[9][1][56] = 11.327988
alphaiw[10][1][56] = 9.697455
alphaiw[11][1][56] = 8.396705
alphaiw[12][1][56] = 6.468387
alphaiw[13][1][56] = 5.126915
alphaiw[14][1][56] = 4.155773
alphaiw[15][1][56] = 3.430942
alphaiw[16][1][56] = 2.876474
alphaiw[17][1][56] = 1.953517
alphaiw[18][1][56] = 1.407211
alphaiw[19][1][56] = 0.824504
alphaiw[20][1][56] = 0.538860
alphaiw[21][1][56] = 0.245048
alphaiw[22][1][56] = 0.139111
# REF LaH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][56] = -0.056217
hcount[2][56] = 3.0000000
ascale[2][56] = 1.0000000
refcnD3[2][56] = 2.9175394
refcn[2][56] = 2.5715454
refsys[2][56] = 1
alphaiw[0][2][56] = 66.659954
alphaiw[1][2][56] = 64.378446
alphaiw[2][2][56] = 58.716817
alphaiw[3][2][56] = 45.158105
alphaiw[4][2][56] = 34.306121
alphaiw[5][2][56] = 26.662211
alphaiw[6][2][56] = 21.276929
alphaiw[7][2][56] = 17.377851
alphaiw[8][2][56] = 14.467311
alphaiw[9][2][56] = 12.233856
alphaiw[10][2][56] = 10.479323
alphaiw[11][2][56] = 9.073843
alphaiw[12][2][56] = 6.984992
alphaiw[13][2][56] = 5.530896
alphaiw[14][2][56] = 4.478993
alphaiw[15][2][56] = 3.694764
alphaiw[16][2][56] = 3.095547
alphaiw[17][2][56] = 2.099735
alphaiw[18][2][56] = 1.511413
alphaiw[19][2][56] = 0.884879
alphaiw[20][2][56] = 0.578122
alphaiw[21][2][56] = 0.262823
alphaiw[22][2][56] = 0.149185
# REF CeH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][57] = -0.062252
hcount[0][57] = 3.0000000
ascale[0][57] = 1.0000000
refcnD3[0][57] = 2.7990573
refcn[0][57] = 2.4671143
refsys[0][57] = 1
alphaiw[0][0][57] = 63.180335
alphaiw[1][0][57] = 60.865515
alphaiw[2][0][57] = 55.607700
alphaiw[3][0][57] = 42.973042
alphaiw[4][0][57] = 32.816056
alphaiw[5][0][57] = 25.641065
alphaiw[6][0][57] = 20.571766
alphaiw[7][0][57] = 16.891402
alphaiw[8][0][57] = 14.137805
alphaiw[9][0][57] = 12.021012
alphaiw[10][0][57] = 10.355847
alphaiw[11][0][57] = 9.020485
alphaiw[12][0][57] = 7.033048
alphaiw[13][0][57] = 5.646675
alphaiw[14][0][57] = 4.641099
alphaiw[15][0][57] = 3.888773
alphaiw[16][0][57] = 3.311337
alphaiw[17][0][57] = 2.342065
alphaiw[18][0][57] = 1.757648
alphaiw[19][0][57] = 1.111105
alphaiw[20][0][57] = 0.773722
alphaiw[21][0][57] = 0.391875
alphaiw[22][0][57] = 0.236510
# REF Pr  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][58] = 1.0000000
hcount[0][58] = 0.0000000
ascale[0][58] = 1.0000000
refcnD3[0][58] = 0.0000000
refcn[0][58] = 0.0000000
refsys[0][58] = 1
alphaiw[0][0][58] = 253.607583
alphaiw[1][0][58] = 185.347808
alphaiw[2][0][58] = 117.313120
alphaiw[3][0][58] = 51.498699
alphaiw[4][0][58] = 29.519486
alphaiw[5][0][58] = 20.146903
alphaiw[6][0][58] = 15.212103
alphaiw[7][0][58] = 12.192518
alphaiw[8][0][58] = 10.140610
alphaiw[9][0][58] = 8.641755
alphaiw[10][0][58] = 7.491010
alphaiw[11][0][58] = 6.576282
alphaiw[12][0][58] = 5.211962
alphaiw[13][0][58] = 4.246966
alphaiw[14][0][58] = 3.534580
alphaiw[15][0][58] = 2.992422
alphaiw[16][0][58] = 2.569909
alphaiw[17][0][58] = 1.846148
alphaiw[18][0][58] = 1.399822
alphaiw[19][0][58] = 0.896355
alphaiw[20][0][58] = 0.629215
alphaiw[21][0][58] = 0.322538
alphaiw[22][0][58] = 0.196051
# REF PrH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][58] = -0.058331
hcount[1][58] = 3.0000000
ascale[1][58] = 1.0000000
refcnD3[1][58] = 2.9424525
refcn[1][58] = 2.5935041
refsys[1][58] = 1
alphaiw[0][1][58] = 61.237349
alphaiw[1][1][58] = 58.933543
alphaiw[2][1][58] = 53.974340
alphaiw[3][1][58] = 41.934343
alphaiw[4][1][58] = 32.128125
alphaiw[5][1][58] = 25.148137
alphaiw[6][1][58] = 20.200000
alphaiw[7][1][58] = 16.603161
alphaiw[8][1][58] = 13.910901
alphaiw[9][1][58] = 11.840607
alphaiw[10][1][58] = 10.211203
alphaiw[11][1][58] = 8.903510
alphaiw[12][1][58] = 6.954188
alphaiw[13][1][58] = 5.590819
alphaiw[14][1][58] = 4.599184
alphaiw[15][1][58] = 3.855372
alphaiw[16][1][58] = 3.283205
alphaiw[17][1][58] = 2.320258
alphaiw[18][1][58] = 1.738506
alphaiw[19][1][58] = 1.095239
alphaiw[20][1][58] = 0.760711
alphaiw[21][1][58] = 0.384219
alphaiw[22][1][58] = 0.231825
# REF Nd  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][59] = 1.0000000
hcount[0][59] = 0.0000000
ascale[0][59] = 1.0000000
refcnD3[0][59] = 0.0000000
refcn[0][59] = 0.0000000
refsys[0][59] = 1
alphaiw[0][0][59] = 224.576218
alphaiw[1][0][59] = 179.268440
alphaiw[2][0][59] = 114.550986
alphaiw[3][0][59] = 50.771190
alphaiw[4][0][59] = 29.095983
alphaiw[5][0][59] = 19.808641
alphaiw[6][0][59] = 14.925121
alphaiw[7][0][59] = 11.948305
alphaiw[8][0][59] = 9.933874
alphaiw[9][0][59] = 8.467360
alphaiw[10][0][59] = 7.343940
alphaiw[11][0][59] = 6.451928
alphaiw[12][0][59] = 5.121535
alphaiw[13][0][59] = 4.179022
alphaiw[14][0][59] = 3.481477
alphaiw[15][0][59] = 2.949184
alphaiw[16][0][59] = 2.533329
alphaiw[17][0][59] = 1.818715
alphaiw[18][0][59] = 1.376835
alphaiw[19][0][59] = 0.878329
alphaiw[20][0][59] = 0.614662
alphaiw[21][0][59] = 0.313830
alphaiw[22][0][59] = 0.190548
# REF NdH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][59] = -0.058858
hcount[1][59] = 3.0000000
ascale[1][59] = 1.0000000
refcnD3[1][59] = 2.9455002
refcn[1][59] = 2.5961903
refsys[1][59] = 1
alphaiw[0][1][59] = 59.890892
alphaiw[1][1][59] = 57.866372
alphaiw[2][1][59] = 53.021458
alphaiw[3][1][59] = 41.230896
alphaiw[4][1][59] = 31.602617
alphaiw[5][1][59] = 24.739628
alphaiw[6][1][59] = 19.873838
alphaiw[7][1][59] = 16.338945
alphaiw[8][1][59] = 13.695098
alphaiw[9][1][59] = 11.663288
alphaiw[10][1][59] = 10.064654
alphaiw[11][1][59] = 8.781592
alphaiw[12][1][59] = 6.867769
alphaiw[13][1][59] = 5.527173
alphaiw[14][1][59] = 4.550238
alphaiw[15][1][59] = 3.816026
alphaiw[16][1][59] = 3.250234
alphaiw[17][1][59] = 2.295824
alphaiw[18][1][59] = 1.718049
alphaiw[19][1][59] = 1.079066
alphaiw[20][1][59] = 0.747553
alphaiw[21][1][59] = 0.376280
alphaiw[22][1][59] = 0.226803
# REF Pm  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][60] = 1.0000000
hcount[0][60] = 0.0000000
ascale[0][60] = 1.0000000
refcnD3[0][60] = 0.0000000
refcn[0][60] = 0.0000000
refsys[0][60] = 1
alphaiw[0][0][60] = 216.554028
alphaiw[1][0][60] = 174.068560
alphaiw[2][0][60] = 112.065720
alphaiw[3][0][60] = 49.952154
alphaiw[4][0][60] = 28.596474
alphaiw[5][0][60] = 19.419480
alphaiw[6][0][60] = 14.602742
alphaiw[7][0][60] = 11.678126
alphaiw[8][0][60] = 9.707294
alphaiw[9][0][60] = 8.277384
alphaiw[10][0][60] = 7.184435
alphaiw[11][0][60] = 6.317557
alphaiw[12][0][60] = 5.024555
alphaiw[13][0][60] = 4.106845
alphaiw[14][0][60] = 3.425753
alphaiw[15][0][60] = 2.904466
alphaiw[16][0][60] = 2.496078
alphaiw[17][0][60] = 1.791729
alphaiw[18][0][60] = 1.354683
alphaiw[19][0][60] = 0.861084
alphaiw[20][0][60] = 0.600580
alphaiw[21][0][60] = 0.305096
alphaiw[22][0][60] = 0.184887
# REF PmH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][60] = -0.059249
hcount[1][60] = 3.0000000
ascale[1][60] = 1.0000000
refcnD3[1][60] = 2.9412711
refcn[1][60] = 2.5924628
refsys[1][60] = 1
alphaiw[0][1][60] = 57.985708
alphaiw[1][1][60] = 56.052021
alphaiw[2][1][60] = 51.403655
alphaiw[3][1][60] = 40.171587
alphaiw[4][1][60] = 30.904360
alphaiw[5][1][60] = 24.236081
alphaiw[6][1][60] = 19.486483
alphaiw[7][1][60] = 16.030339
alphaiw[8][1][60] = 13.444628
alphaiw[9][1][60] = 11.457725
alphaiw[10][1][60] = 9.894536
alphaiw[11][1][60] = 8.639729
alphaiw[12][1][60] = 6.766731
alphaiw[13][1][60] = 5.452628
alphaiw[14][1][60] = 4.493082
alphaiw[15][1][60] = 3.770449
alphaiw[16][1][60] = 3.212505
alphaiw[17][1][60] = 2.268898
alphaiw[18][1][60] = 1.696212
alphaiw[19][1][60] = 1.062298
alphaiw[20][1][60] = 0.733940
alphaiw[21][1][60] = 0.367879
alphaiw[22][1][60] = 0.221370
# REF Sm  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][61] = 1.0000000
hcount[0][61] = 0.0000000
ascale[0][61] = 1.0000000
refcnD3[0][61] = 0.0000000
refcn[0][61] = 0.0000000
refsys[0][61] = 1
alphaiw[0][0][61] = 209.482163
alphaiw[1][0][61] = 169.326427
alphaiw[2][0][61] = 109.749627
alphaiw[3][0][61] = 49.167775
alphaiw[4][0][61] = 28.122160
alphaiw[5][0][61] = 19.050873
alphaiw[6][0][61] = 14.295470
alphaiw[7][0][61] = 11.417844
alphaiw[8][0][61] = 9.486232
alphaiw[9][0][61] = 8.089520
alphaiw[10][0][61] = 7.024533
alphaiw[11][0][61] = 6.181026
alphaiw[12][0][61] = 4.923494
alphaiw[13][0][61] = 4.029989
alphaiw[14][0][61] = 3.365424
alphaiw[15][0][61] = 2.855524
alphaiw[16][0][61] = 2.455098
alphaiw[17][0][61] = 1.762206
alphaiw[18][0][61] = 1.330862
alphaiw[19][0][61] = 0.843075
alphaiw[20][0][61] = 0.586070
alphaiw[21][0][61] = 0.296116
alphaiw[22][0][61] = 0.179013
# REF SmH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][61] = -0.059525
hcount[1][61] = 3.0000000
ascale[1][61] = 1.0000000
refcnD3[1][61] = 2.9299875
refcn[1][61] = 2.5825173
refsys[1][61] = 1
alphaiw[0][1][61] = 60.497555
alphaiw[1][1][61] = 56.891426
alphaiw[2][1][61] = 51.731083
alphaiw[3][1][61] = 40.110070
alphaiw[4][1][61] = 30.721129
alphaiw[5][1][61] = 24.019679
alphaiw[6][1][61] = 19.272005
alphaiw[7][1][61] = 15.832016
alphaiw[8][1][61] = 13.267410
alphaiw[9][1][61] = 11.302199
alphaiw[10][1][61] = 9.759277
alphaiw[11][1][61] = 8.522505
alphaiw[12][1][61] = 6.678381
alphaiw[13][1][61] = 5.384803
alphaiw[14][1][61] = 4.439564
alphaiw[15][1][61] = 3.726888
alphaiw[16][1][61] = 3.175931
alphaiw[17][1][61] = 2.242361
alphaiw[18][1][61] = 1.674619
alphaiw[19][1][61] = 1.045712
alphaiw[20][1][61] = 0.720426
alphaiw[21][1][61] = 0.359399
alphaiw[22][1][61] = 0.215795
# REF Eu  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][62] = 1.0000000
hcount[0][62] = 0.0000000
ascale[0][62] = 1.0000000
refcnD3[0][62] = 0.0000000
refcn[0][62] = 0.0000000
refsys[0][62] = 1
alphaiw[0][0][62] = 203.211190
alphaiw[1][0][62] = 165.077409
alphaiw[2][0][62] = 107.694135
alphaiw[3][0][62] = 48.483528
alphaiw[4][0][62] = 27.717371
alphaiw[5][0][62] = 18.737904
alphaiw[6][0][62] = 14.032982
alphaiw[7][0][62] = 11.193248
alphaiw[8][0][62] = 9.293347
alphaiw[9][0][62] = 7.923768
alphaiw[10][0][62] = 6.881926
alphaiw[11][0][62] = 6.058006
alphaiw[12][0][62] = 4.830714
alphaiw[13][0][62] = 3.958291
alphaiw[14][0][62] = 3.308410
alphaiw[15][0][62] = 2.808821
alphaiw[16][0][62] = 2.415735
alphaiw[17][0][62] = 1.733699
alphaiw[18][0][62] = 1.307943
alphaiw[19][0][62] = 0.825945
alphaiw[20][0][62] = 0.572379
alphaiw[21][0][62] = 0.287715
alphaiw[22][0][62] = 0.173530
# REF EuH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][62] = -0.086960
hcount[1][62] = 2.0000000
ascale[1][62] = 1.0000000
refcnD3[1][62] = 1.8285994
refcn[1][62] = 1.6117440
refsys[1][62] = 1
alphaiw[0][1][62] = 58.384682
alphaiw[1][1][62] = 55.507483
alphaiw[2][1][62] = 48.959660
alphaiw[3][1][62] = 35.523918
alphaiw[4][1][62] = 26.242259
alphaiw[5][1][62] = 20.240692
alphaiw[6][1][62] = 16.211361
alphaiw[7][1][62] = 13.369167
alphaiw[8][1][62] = 11.273474
alphaiw[9][1][62] = 9.670586
alphaiw[10][1][62] = 8.408047
alphaiw[11][1][62] = 7.390020
alphaiw[12][1][62] = 5.855904
alphaiw[13][1][62] = 4.763549
alphaiw[14][1][62] = 3.954376
alphaiw[15][1][62] = 3.337076
alphaiw[16][1][62] = 2.855116
alphaiw[17][1][62] = 2.028187
alphaiw[18][1][62] = 1.518745
alphaiw[19][1][62] = 0.949133
alphaiw[20][1][62] = 0.653054
alphaiw[21][1][62] = 0.324660
alphaiw[22][1][62] = 0.194604
# REF Gd  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][63] = 1.0000000
hcount[0][63] = 0.0000000
ascale[0][63] = 1.0000000
refcnD3[0][63] = 0.0000000
refcn[0][63] = 0.0000000
refsys[0][63] = 1
alphaiw[0][0][63] = 141.842064
alphaiw[1][0][63] = 116.857104
alphaiw[2][0][63] = 82.453115
alphaiw[3][0][63] = 42.863886
alphaiw[4][0][63] = 26.423041
alphaiw[5][0][63] = 18.596381
alphaiw[6][0][63] = 14.246531
alphaiw[7][0][63] = 11.513922
alphaiw[8][0][63] = 9.633252
alphaiw[9][0][63] = 8.250098
alphaiw[10][0][63] = 7.183090
alphaiw[11][0][63] = 6.331129
alphaiw[12][0][63] = 5.051461
alphaiw[13][0][63] = 4.136730
alphaiw[14][0][63] = 3.454182
alphaiw[15][0][63] = 2.929505
alphaiw[16][0][63] = 2.516989
alphaiw[17][0][63] = 1.802377
alphaiw[18][0][63] = 1.357257
alphaiw[19][0][63] = 0.854586
alphaiw[20][0][63] = 0.590978
alphaiw[21][0][63] = 0.296218
alphaiw[22][0][63] = 0.178451
# REF GdH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][63] = -0.060289
hcount[1][63] = 3.0000000
ascale[1][63] = 1.0000000
refcnD3[1][63] = 2.8731575
refcn[1][63] = 2.5324269
refsys[1][63] = 1
alphaiw[0][1][63] = 59.952187
alphaiw[1][1][63] = 57.629962
alphaiw[2][1][63] = 52.345291
alphaiw[3][1][63] = 40.458893
alphaiw[4][1][63] = 30.890198
alphaiw[5][1][63] = 24.049901
alphaiw[6][1][63] = 19.215604
alphaiw[7][1][63] = 15.730229
alphaiw[8][1][63] = 13.146431
alphaiw[9][1][63] = 11.177013
alphaiw[10][1][63] = 9.637805
alphaiw[11][1][63] = 8.408508
alphaiw[12][1][63] = 6.582324
alphaiw[13][1][63] = 5.305077
alphaiw[14][1][63] = 4.372777
alphaiw[15][1][63] = 3.669853
alphaiw[16][1][63] = 3.126128
alphaiw[17][1][63] = 2.203592
alphaiw[18][1][63] = 1.641669
alphaiw[19][1][63] = 1.019184
alphaiw[20][1][63] = 0.698284
alphaiw[21][1][63] = 0.345109
alphaiw[22][1][63] = 0.206276
# REF Tb  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][64] = 1.0000000
hcount[0][64] = 0.0000000
ascale[0][64] = 1.0000000
refcnD3[0][64] = 0.0000000
refcn[0][64] = 0.0000000
refsys[0][64] = 1
alphaiw[0][0][64] = 229.301596
alphaiw[1][0][64] = 148.757206
alphaiw[2][0][64] = 83.899259
alphaiw[3][0][64] = 37.752528
alphaiw[4][0][64] = 23.041168
alphaiw[5][0][64] = 16.403061
alphaiw[6][0][64] = 12.736196
alphaiw[7][0][64] = 10.418308
alphaiw[8][0][64] = 8.807251
alphaiw[9][0][64] = 7.609554
alphaiw[10][0][64] = 6.675731
alphaiw[11][0][64] = 5.922550
alphaiw[12][0][64] = 4.776031
alphaiw[13][0][64] = 3.943182
alphaiw[14][0][64] = 3.313300
alphaiw[15][0][64] = 2.823649
alphaiw[16][0][64] = 2.435078
alphaiw[17][0][64] = 1.754007
alphaiw[18][0][64] = 1.324569
alphaiw[19][0][64] = 0.835127
alphaiw[20][0][64] = 0.577030
alphaiw[21][0][64] = 0.288271
alphaiw[22][0][64] = 0.173283
# REF TbH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][64] = -0.061188
hcount[1][64] = 3.0000000
ascale[1][64] = 1.0000000
refcnD3[1][64] = 2.9086175
refcn[1][64] = 2.5636816
refsys[1][64] = 1
alphaiw[0][1][64] = 55.777762
alphaiw[1][1][64] = 53.954002
alphaiw[2][1][64] = 49.462726
alphaiw[3][1][64] = 38.525983
alphaiw[4][1][64] = 29.546291
alphaiw[5][1][64] = 23.104919
alphaiw[6][1][64] = 18.529420
alphaiw[7][1][64] = 15.213415
alphaiw[8][1][64] = 12.744915
alphaiw[9][1][64] = 10.857631
alphaiw[10][1][64] = 9.379301
alphaiw[11][1][64] = 8.196533
alphaiw[12][1][64] = 6.435615
alphaiw[13][1][64] = 5.200463
alphaiw[14][1][64] = 4.296280
alphaiw[15][1][64] = 3.612608
alphaiw[16][1][64] = 3.082335
alphaiw[17][1][64] = 2.179043
alphaiw[18][1][64] = 1.626176
alphaiw[19][1][64] = 1.011008
alphaiw[20][1][64] = 0.692793
alphaiw[21][1][64] = 0.342077
alphaiw[22][1][64] = 0.204287
# REF Dy  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][65] = 1.0000000
hcount[0][65] = 0.0000000
ascale[0][65] = 1.0000000
refcnD3[0][65] = 0.0000000
refcn[0][65] = 0.0000000
refsys[0][65] = 1
alphaiw[0][0][65] = 232.465673
alphaiw[1][0][65] = 135.183600
alphaiw[2][0][65] = 80.128695
alphaiw[3][0][65] = 37.748697
alphaiw[4][0][65] = 23.243451
alphaiw[5][0][65] = 16.533084
alphaiw[6][0][65] = 12.796963
alphaiw[7][0][65] = 10.434174
alphaiw[8][0][65] = 8.796647
alphaiw[9][0][65] = 7.584248
alphaiw[10][0][65] = 6.642866
alphaiw[11][0][65] = 5.886345
alphaiw[12][0][65] = 4.739358
alphaiw[13][0][65] = 3.909141
alphaiw[14][0][65] = 3.282441
alphaiw[15][0][65] = 2.795715
alphaiw[16][0][65] = 2.409623
alphaiw[17][0][65] = 1.733022
alphaiw[18][0][65] = 1.306472
alphaiw[19][0][65] = 0.820768
alphaiw[20][0][65] = 0.565311
alphaiw[21][0][65] = 0.280990
alphaiw[22][0][65] = 0.168537
# REF DyH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][65] = -0.061545
hcount[1][65] = 3.0000000
ascale[1][65] = 1.0000000
refcnD3[1][65] = 2.8965380
refcn[1][65] = 2.5530347
refsys[1][65] = 1
alphaiw[0][1][65] = 60.409043
alphaiw[1][1][65] = 55.987255
alphaiw[2][1][65] = 50.381966
alphaiw[3][1][65] = 38.521988
alphaiw[4][1][65] = 29.357315
alphaiw[5][1][65] = 22.888221
alphaiw[6][1][65] = 18.324783
alphaiw[7][1][65] = 15.031182
alphaiw[8][1][65] = 12.586142
alphaiw[9][1][65] = 10.720333
alphaiw[10][1][65] = 9.260666
alphaiw[11][1][65] = 8.093738
alphaiw[12][1][65] = 6.357191
alphaiw[13][1][65] = 5.138933
alphaiw[14][1][65] = 4.246467
alphaiw[15][1][65] = 3.571002
alphaiw[16][1][65] = 3.046571
alphaiw[17][1][65] = 2.151968
alphaiw[18][1][65] = 1.603683
alphaiw[19][1][65] = 0.993567
alphaiw[20][1][65] = 0.678619
alphaiw[21][1][65] = 0.333268
alphaiw[22][1][65] = 0.198535
# REF Ho  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][66] = 1.0000000
hcount[0][66] = 0.0000000
ascale[0][66] = 1.0000000
refcnD3[0][66] = 0.0000000
refcn[0][66] = 0.0000000
refsys[0][66] = 1
alphaiw[0][0][66] = 174.357971
alphaiw[1][0][66] = 145.347573
alphaiw[2][0][66] = 98.338614
alphaiw[3][0][66] = 45.665339
alphaiw[4][0][66] = 26.153573
alphaiw[5][0][66] = 17.569707
alphaiw[6][0][66] = 13.068631
alphaiw[7][0][66] = 10.373435
alphaiw[8][0][66] = 8.590915
alphaiw[9][0][66] = 7.320636
alphaiw[10][0][66] = 6.363345
alphaiw[11][0][66] = 5.611175
alphaiw[12][0][66] = 4.495400
alphaiw[13][0][66] = 3.701462
alphaiw[14][0][66] = 3.106638
alphaiw[15][0][66] = 2.645848
alphaiw[16][0][66] = 2.280375
alphaiw[17][0][66] = 1.638715
alphaiw[18][0][66] = 1.232937
alphaiw[19][0][66] = 0.770103
alphaiw[20][0][66] = 0.527188
alphaiw[21][0][66] = 0.259120
alphaiw[22][0][66] = 0.154548
# REF HoH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][66] = -0.062493
hcount[1][66] = 3.0000000
ascale[1][66] = 1.0000000
refcnD3[1][66] = 2.9242363
refcn[1][66] = 2.5774482
refsys[1][66] = 1
alphaiw[0][1][66] = 52.479085
alphaiw[1][1][66] = 50.945598
alphaiw[2][1][66] = 47.054139
alphaiw[3][1][66] = 37.164182
alphaiw[4][1][66] = 28.686232
alphaiw[5][1][66] = 22.476409
alphaiw[6][1][66] = 18.030054
alphaiw[7][1][66] = 14.800068
alphaiw[8][1][66] = 12.395537
alphaiw[9][1][66] = 10.558682
alphaiw[10][1][66] = 9.121281
alphaiw[11][1][66] = 7.972217
alphaiw[12][1][66] = 6.262562
alphaiw[13][1][66] = 5.063208
alphaiw[14][1][66] = 4.184311
alphaiw[15][1][66] = 3.518731
alphaiw[16][1][66] = 3.001610
alphaiw[17][1][66] = 2.118447
alphaiw[18][1][66] = 1.576447
alphaiw[19][1][66] = 0.973047
alphaiw[20][1][66] = 0.662046
alphaiw[21][1][66] = 0.322782
alphaiw[22][1][66] = 0.191548
# REF Er  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][67] = 1.0000000
hcount[0][67] = 0.0000000
ascale[0][67] = 1.0000000
refcnD3[0][67] = 0.0000000
refcn[0][67] = 0.0000000
refsys[0][67] = 1
alphaiw[0][0][67] = 169.508670
alphaiw[1][0][67] = 141.831130
alphaiw[2][0][67] = 96.485463
alphaiw[3][0][67] = 44.989839
alphaiw[4][0][67] = 25.737266
alphaiw[5][0][67] = 17.245707
alphaiw[6][0][67] = 12.796044
alphaiw[7][0][67] = 10.138386
alphaiw[8][0][67] = 8.386711
alphaiw[9][0][67] = 7.142803
alphaiw[10][0][67] = 6.208261
alphaiw[11][0][67] = 5.475683
alphaiw[12][0][67] = 4.391080
alphaiw[13][0][67] = 3.619821
alphaiw[14][0][67] = 3.041451
alphaiw[15][0][67] = 2.592658
alphaiw[16][0][67] = 2.236016
alphaiw[17][0][67] = 1.607971
alphaiw[18][0][67] = 1.209386
alphaiw[19][0][67] = 0.753586
alphaiw[20][0][67] = 0.514264
alphaiw[21][0][67] = 0.251088
alphaiw[22][0][67] = 0.149174
# REF ErH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][67] = -0.062568
hcount[1][67] = 3.0000000
ascale[1][67] = 1.0000000
refcnD3[1][67] = 2.9281879
refcn[1][67] = 2.5809311
refsys[1][67] = 1
alphaiw[0][1][67] = 50.924370
alphaiw[1][1][67] = 49.486902
alphaiw[2][1][67] = 45.817816
alphaiw[3][1][67] = 36.374442
alphaiw[4][1][67] = 28.160638
alphaiw[5][1][67] = 22.090451
alphaiw[6][1][67] = 17.725205
alphaiw[7][1][67] = 14.548770
alphaiw[8][1][67] = 12.183411
alphaiw[9][1][67] = 10.377178
alphaiw[10][1][67] = 8.964651
alphaiw[11][1][67] = 7.836215
alphaiw[12][1][67] = 6.158438
alphaiw[13][1][67] = 4.981896
alphaiw[14][1][67] = 4.119484
alphaiw[15][1][67] = 3.465931
alphaiw[16][1][67] = 2.957682
alphaiw[17][1][67] = 2.088232
alphaiw[18][1][67] = 1.553483
alphaiw[19][1][67] = 0.957121
alphaiw[20][1][67] = 0.649644
alphaiw[21][1][67] = 0.315081
alphaiw[22][1][67] = 0.186384
# REF Tm  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][68] = 1.0000000
hcount[0][68] = 0.0000000
ascale[0][68] = 1.0000000
refcnD3[0][68] = 0.0000000
refcn[0][68] = 0.0000000
refsys[0][68] = 1
alphaiw[0][0][68] = 164.874479
alphaiw[1][0][68] = 138.503417
alphaiw[2][0][68] = 94.779764
alphaiw[3][0][68] = 44.438558
alphaiw[4][0][68] = 25.431212
alphaiw[5][0][68] = 17.015897
alphaiw[6][0][68] = 12.602812
alphaiw[7][0][68] = 9.969761
alphaiw[8][0][68] = 8.237858
alphaiw[9][0][68] = 7.010945
alphaiw[10][0][68] = 6.091283
alphaiw[11][0][68] = 5.371750
alphaiw[12][0][68] = 4.308437
alphaiw[13][0][68] = 3.553167
alphaiw[14][0][68] = 2.986727
alphaiw[15][0][68] = 2.546850
alphaiw[16][0][68] = 2.196927
alphaiw[17][0][68] = 1.579620
alphaiw[18][0][68] = 1.187037
alphaiw[19][0][68] = 0.737597
alphaiw[20][0][68] = 0.501822
alphaiw[21][0][68] = 0.243644
alphaiw[22][0][68] = 0.144367
# REF TmH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][68] = -0.063047
hcount[1][68] = 3.0000000
ascale[1][68] = 1.0000000
refcnD3[1][68] = 2.9245552
refcn[1][68] = 2.5777293
refsys[1][68] = 1
alphaiw[0][1][68] = 50.925839
alphaiw[1][1][68] = 49.362774
alphaiw[2][1][68] = 45.662491
alphaiw[3][1][68] = 36.185737
alphaiw[4][1][68] = 27.970411
alphaiw[5][1][68] = 21.912208
alphaiw[6][1][68] = 17.562515
alphaiw[7][1][68] = 14.401852
alphaiw[8][1][68] = 12.051468
alphaiw[9][1][68] = 10.259076
alphaiw[10][1][68] = 8.859128
alphaiw[11][1][68] = 7.741977
alphaiw[12][1][68] = 6.083033
alphaiw[13][1][68] = 4.920920
alphaiw[14][1][68] = 4.069397
alphaiw[15][1][68] = 3.424027
alphaiw[16][1][68] = 2.921951
alphaiw[17][1][68] = 2.062318
alphaiw[18][1][68] = 1.532987
alphaiw[19][1][68] = 0.942288
alphaiw[20][1][68] = 0.637974
alphaiw[21][1][68] = 0.307983
alphaiw[22][1][68] = 0.181768
# REF Yb  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][69] = 1.0000000
hcount[0][69] = 0.0000000
ascale[0][69] = 1.0000000
refcnD3[0][69] = 0.0000000
refcn[0][69] = 0.0000000
refsys[0][69] = 1
alphaiw[0][0][69] = 163.737907
alphaiw[1][0][69] = 137.401600
alphaiw[2][0][69] = 93.809475
alphaiw[3][0][69] = 43.782804
alphaiw[4][0][69] = 24.950811
alphaiw[5][0][69] = 16.630136
alphaiw[6][0][69] = 12.278112
alphaiw[7][0][69] = 9.690577
alphaiw[8][0][69] = 7.995517
alphaiw[9][0][69] = 6.799618
alphaiw[10][0][69] = 5.906477
alphaiw[11][0][69] = 5.209733
alphaiw[12][0][69] = 4.182848
alphaiw[13][0][69] = 3.454429
alphaiw[14][0][69] = 2.907783
alphaiw[15][0][69] = 2.482574
alphaiw[16][0][69] = 2.143617
alphaiw[17][0][69] = 1.543577
alphaiw[18][0][69] = 1.160332
alphaiw[19][0][69] = 0.720056
alphaiw[20][0][69] = 0.488756
alphaiw[21][0][69] = 0.236061
alphaiw[22][0][69] = 0.139457
# REF YbH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][69] = -0.059604
hcount[1][69] = 3.0000000
ascale[1][69] = 1.0000000
refcnD3[1][69] = 2.8481749
refcn[1][69] = 2.5104070
refsys[1][69] = 1
alphaiw[0][1][69] = 54.181167
alphaiw[1][1][69] = 52.358422
alphaiw[2][1][69] = 48.190998
alphaiw[3][1][69] = 37.782998
alphaiw[4][1][69] = 28.868031
alphaiw[5][1][69] = 22.369459
alphaiw[6][1][69] = 17.764025
alphaiw[7][1][69] = 14.460142
alphaiw[8][1][69] = 12.031669
alphaiw[9][1][69] = 10.198391
alphaiw[10][1][69] = 8.778756
alphaiw[11][1][69] = 7.653945
alphaiw[12][1][69] = 5.996788
alphaiw[13][1][69] = 4.844585
alphaiw[14][1][69] = 4.004003
alphaiw[15][1][69] = 3.368389
alphaiw[16][1][69] = 2.874398
alphaiw[17][1][69] = 2.028671
alphaiw[18][1][69] = 1.507360
alphaiw[19][1][69] = 0.924831
alphaiw[20][1][69] = 0.624659
alphaiw[21][1][69] = 0.300011
alphaiw[22][1][69] = 0.176532
# REF Lu  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][70] = 1.0000000
hcount[0][70] = 0.0000000
ascale[0][70] = 1.0000000
refcnD3[0][70] = 0.0000000
refcn[0][70] = 0.0000000
refsys[0][70] = 1
alphaiw[0][0][70] = 136.853067
alphaiw[1][0][70] = 104.297562
alphaiw[2][0][70] = 76.556224
alphaiw[3][0][70] = 40.283486
alphaiw[4][0][70] = 24.151519
alphaiw[5][0][70] = 16.476439
alphaiw[6][0][70] = 12.310042
alphaiw[7][0][70] = 9.779049
alphaiw[8][0][70] = 8.098747
alphaiw[9][0][70] = 6.903053
alphaiw[10][0][70] = 6.005039
alphaiw[11][0][70] = 5.301875
alphaiw[12][0][70] = 4.262127
alphaiw[13][0][70] = 3.522791
alphaiw[14][0][70] = 2.967348
alphaiw[15][0][70] = 2.535074
alphaiw[16][0][70] = 2.190372
alphaiw[17][0][70] = 1.579766
alphaiw[18][0][70] = 1.189195
alphaiw[19][0][70] = 0.739303
alphaiw[20][0][70] = 0.502156
alphaiw[21][0][70] = 0.242392
alphaiw[22][0][70] = 0.143037
# REF LuH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][70] = -0.064128
hcount[1][70] = 3.0000000
ascale[1][70] = 1.0000000
refcnD3[1][70] = 2.9219051
refcn[1][70] = 2.5753934
refsys[1][70] = 1
alphaiw[0][1][70] = 48.945297
alphaiw[1][1][70] = 47.631723
alphaiw[2][1][70] = 44.246146
alphaiw[3][1][70] = 35.357630
alphaiw[4][1][70] = 27.450756
alphaiw[5][1][70] = 21.531168
alphaiw[6][1][70] = 17.250850
alphaiw[7][1][70] = 14.132689
alphaiw[8][1][70] = 11.813607
alphaiw[9][1][70] = 10.047028
alphaiw[10][1][70] = 8.669496
alphaiw[11][1][70] = 7.572155
alphaiw[12][1][70] = 5.946274
alphaiw[13][1][70] = 4.809752
alphaiw[14][1][70] = 3.977767
alphaiw[15][1][70] = 3.347221
alphaiw[16][1][70] = 2.856398
alphaiw[17][1][70] = 2.014731
alphaiw[18][1][70] = 1.495246
alphaiw[19][1][70] = 0.914589
alphaiw[20][1][70] = 0.615755
alphaiw[21][1][70] = 0.293829
alphaiw[22][1][70] = 0.172238
# REF Hf  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][71] = 1.0000000
hcount[0][71] = 0.0000000
ascale[0][71] = 1.0000000
refcnD3[0][71] = 0.0000000
refcn[0][71] = 0.0000000
refsys[0][71] = 1
alphaiw[0][0][71] = 106.281621
alphaiw[1][0][71] = 95.489165
alphaiw[2][0][71] = 75.303487
alphaiw[3][0][71] = 44.139310
alphaiw[4][0][71] = 28.135573
alphaiw[5][0][71] = 19.684367
alphaiw[6][0][71] = 14.752282
alphaiw[7][0][71] = 11.612087
alphaiw[8][0][71] = 9.471721
alphaiw[9][0][71] = 7.933052
alphaiw[10][0][71] = 6.779270
alphaiw[11][0][71] = 5.884326
alphaiw[12][0][71] = 4.589373
alphaiw[13][0][71] = 3.699900
alphaiw[14][0][71] = 3.053672
alphaiw[15][0][71] = 2.565368
alphaiw[16][0][71] = 2.185662
alphaiw[17][0][71] = 1.534819
alphaiw[18][0][71] = 1.133425
alphaiw[19][0][71] = 0.685922
alphaiw[20][0][71] = 0.456814
alphaiw[21][0][71] = 0.212349
alphaiw[22][0][71] = 0.121565
# REF HfH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][71] = -0.099774
hcount[1][71] = 2.0000000
ascale[1][71] = 1.0000000
refcnD3[1][71] = 1.9253917
refcn[1][71] = 1.6970575
refsys[1][71] = 1
alphaiw[0][1][71] = 82.453657
alphaiw[1][1][71] = 70.518447
alphaiw[2][1][71] = 56.740306
alphaiw[3][1][71] = 38.899378
alphaiw[4][1][71] = 28.373370
alphaiw[5][1][71] = 21.586577
alphaiw[6][1][71] = 16.996597
alphaiw[7][1][71] = 13.766043
alphaiw[8][1][71] = 11.410304
alphaiw[9][1][71] = 9.638165
alphaiw[10][1][71] = 8.268463
alphaiw[11][1][71] = 7.184789
alphaiw[12][1][71] = 5.591752
alphaiw[13][1][71] = 4.488122
alphaiw[14][1][71] = 3.686322
alphaiw[15][1][71] = 3.082734
alphaiw[16][1][71] = 2.615770
alphaiw[17][1][71] = 1.822258
alphaiw[18][1][71] = 1.338319
alphaiw[19][1][71] = 0.804595
alphaiw[20][1][71] = 0.533952
alphaiw[21][1][71] = 0.247249
alphaiw[22][1][71] = 0.141340
# REF HfH4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][71] = -0.053309
hcount[2][71] = 4.0000000
ascale[2][71] = 1.0000000
refcnD3[2][71] = 3.8839957
refcn[2][71] = 3.4233887
refsys[2][71] = 1
alphaiw[0][2][71] = 50.265710
alphaiw[1][2][71] = 49.200553
alphaiw[2][2][71] = 46.360408
alphaiw[3][2][71] = 38.334558
alphaiw[4][2][71] = 30.567224
alphaiw[5][2][71] = 24.372447
alphaiw[6][2][71] = 19.687982
alphaiw[7][2][71] = 16.168755
alphaiw[8][2][71] = 13.497546
alphaiw[9][2][71] = 11.436874
alphaiw[10][2][71] = 9.818879
alphaiw[11][2][71] = 8.526449
alphaiw[12][2][71] = 6.613923
alphaiw[13][2][71] = 5.286337
alphaiw[14][2][71] = 4.324135
alphaiw[15][2][71] = 3.602747
alphaiw[16][2][71] = 3.047163
alphaiw[17][2][71] = 2.109636
alphaiw[18][2][71] = 1.542805
alphaiw[19][2][71] = 0.922793
alphaiw[20][2][71] = 0.610691
alphaiw[21][2][71] = 0.281919
alphaiw[22][2][71] = 0.160974
# REF Ta  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][72] = 1.0000000
hcount[0][72] = 0.0000000
ascale[0][72] = 1.0000000
refcnD3[0][72] = 0.0000000
refcn[0][72] = 0.0000000
refsys[0][72] = 1
alphaiw[0][0][72] = 88.925612
alphaiw[1][0][72] = 81.931866
alphaiw[2][0][72] = 67.327728
alphaiw[3][0][72] = 41.954315
alphaiw[4][0][72] = 27.713041
alphaiw[5][0][72] = 19.829806
alphaiw[6][0][72] = 15.083398
alphaiw[7][0][72] = 11.989782
alphaiw[8][0][72] = 9.842749
alphaiw[9][0][72] = 8.278196
alphaiw[10][0][72] = 7.093519
alphaiw[11][0][72] = 6.168498
alphaiw[12][0][72] = 4.822730
alphaiw[13][0][72] = 3.895285
alphaiw[14][0][72] = 3.220738
alphaiw[15][0][72] = 2.710721
alphaiw[16][0][72] = 2.313811
alphaiw[17][0][72] = 1.632070
alphaiw[18][0][72] = 1.209934
alphaiw[19][0][72] = 0.736572
alphaiw[20][0][72] = 0.492529
alphaiw[21][0][72] = 0.230227
alphaiw[22][0][72] = 0.132140
# REF TaH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][72] = -0.106955
hcount[1][72] = 2.0000000
ascale[1][72] = 1.0000000
refcnD3[1][72] = 1.9459203
refcn[1][72] = 1.7151517
refsys[1][72] = 1
alphaiw[0][1][72] = 69.380127
alphaiw[1][1][72] = 62.652549
alphaiw[2][1][72] = 52.332199
alphaiw[3][1][72] = 37.282488
alphaiw[4][1][72] = 27.880401
alphaiw[5][1][72] = 21.600700
alphaiw[6][1][72] = 17.227662
alphaiw[7][1][72] = 14.077872
alphaiw[8][1][72] = 11.740120
alphaiw[9][1][72] = 9.958281
alphaiw[10][1][72] = 8.567963
alphaiw[11][1][72] = 7.460629
alphaiw[12][1][72] = 5.823130
alphaiw[13][1][72] = 4.683770
alphaiw[14][1][72] = 3.854322
alphaiw[15][1][72] = 3.229123
alphaiw[16][1][72] = 2.744877
alphaiw[17][1][72] = 1.920183
alphaiw[18][1][72] = 1.415312
alphaiw[19][1][72] = 0.855543
alphaiw[20][1][72] = 0.569873
alphaiw[21][1][72] = 0.265231
alphaiw[22][1][72] = 0.151976
# REF TaH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][72] = -0.073829
hcount[2][72] = 3.0000000
ascale[2][72] = 1.0000000
refcnD3[2][72] = 2.8988025
refcn[2][72] = 2.5550306
refsys[2][72] = 1
alphaiw[0][2][72] = 53.134351
alphaiw[1][2][72] = 50.138531
alphaiw[2][2][72] = 45.313537
alphaiw[3][2][72] = 36.173447
alphaiw[4][2][72] = 28.599778
alphaiw[5][2][72] = 22.792848
alphaiw[6][2][72] = 18.452525
alphaiw[7][2][72] = 15.200158
alphaiw[8][2][72] = 12.729181
alphaiw[9][2][72] = 10.818703
alphaiw[10][2][72] = 9.314751
alphaiw[11][2][72] = 8.110359
alphaiw[12][2][72] = 6.322094
alphaiw[13][2][72] = 5.075574
alphaiw[14][2][72] = 4.168636
alphaiw[15][2][72] = 3.486132
alphaiw[16][2][72] = 2.958554
alphaiw[17][2][72] = 2.063042
alphaiw[18][2][72] = 1.517189
alphaiw[19][2][72] = 0.914582
alphaiw[20][2][72] = 0.608263
alphaiw[21][2][72] = 0.282613
alphaiw[22][2][72] = 0.161831
# REF W - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][73] = 1.0000000
hcount[0][73] = 0.0000000
ascale[0][73] = 1.0000000
refcnD3[0][73] = 0.0000000
refcn[0][73] = 0.0000000
refsys[0][73] = 1
alphaiw[0][0][73] = 72.683521
alphaiw[1][0][73] = 66.572539
alphaiw[2][0][73] = 54.521866
alphaiw[3][0][73] = 35.104225
alphaiw[4][0][73] = 24.374305
alphaiw[5][0][73] = 18.188502
alphaiw[6][0][73] = 14.275821
alphaiw[7][0][73] = 11.611438
alphaiw[8][0][73] = 9.694050
alphaiw[9][0][73] = 8.255281
alphaiw[10][0][73] = 7.140087
alphaiw[11][0][73] = 6.253129
alphaiw[12][0][73] = 4.937367
alphaiw[13][0][73] = 4.014052
alphaiw[14][0][73] = 3.334874
alphaiw[15][0][73] = 2.817456
alphaiw[16][0][73] = 2.412554
alphaiw[17][0][73] = 1.712356
alphaiw[18][0][73] = 1.275376
alphaiw[19][0][73] = 0.781421
alphaiw[20][0][73] = 0.524674
alphaiw[21][0][73] = 0.246604
alphaiw[22][0][73] = 0.141895
# REF WH2 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][73] = -0.115776
hcount[1][73] = 2.0000000
ascale[1][73] = 1.0000000
refcnD3[1][73] = 1.9291561
refcn[1][73] = 1.7003756
refsys[1][73] = 1
alphaiw[0][1][73] = 57.953523
alphaiw[1][1][73] = 54.325410
alphaiw[2][1][73] = 47.371606
alphaiw[3][1][73] = 35.207775
alphaiw[4][1][73] = 26.913388
alphaiw[5][1][73] = 21.190088
alphaiw[6][1][73] = 17.112084
alphaiw[7][1][73] = 14.118444
alphaiw[8][1][73] = 11.861001
alphaiw[9][1][73] = 10.117697
alphaiw[10][1][73] = 8.742958
alphaiw[11][1][73] = 7.638771
alphaiw[12][1][73] = 5.991288
alphaiw[13][1][73] = 4.835539
alphaiw[14][1][73] = 3.989906
alphaiw[15][1][73] = 3.350358
alphaiw[16][1][73] = 2.853736
alphaiw[17][1][73] = 2.005060
alphaiw[18][1][73] = 1.483116
alphaiw[19][1][73] = 0.901211
alphaiw[20][1][73] = 0.602382
alphaiw[21][1][73] = 0.281695
alphaiw[22][1][73] = 0.161765
# REF WH12  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][73] = -0.020598
hcount[2][73] = 12.0000000
ascale[2][73] = 1.0000000
refcnD3[2][73] = 10.9152806
refcn[2][73] = 9.6208265
refsys[2][73] = 1
alphaiw[0][2][73] = 69.981198
alphaiw[1][2][73] = 68.713807
alphaiw[2][2][73] = 65.338120
alphaiw[3][2][73] = 55.759672
alphaiw[4][2][73] = 46.213780
alphaiw[5][2][73] = 38.174194
alphaiw[6][2][73] = 31.706434
alphaiw[7][2][73] = 26.562545
alphaiw[8][2][73] = 22.469033
alphaiw[9][2][73] = 19.192304
alphaiw[10][2][73] = 16.547519
alphaiw[11][2][73] = 14.392729
alphaiw[12][2][73] = 11.148004
alphaiw[13][2][73] = 8.871213
alphaiw[14][2][73] = 7.219173
alphaiw[15][2][73] = 5.985093
alphaiw[16][2][73] = 5.039987
alphaiw[17][2][73] = 3.460945
alphaiw[18][2][73] = 2.518391
alphaiw[19][2][73] = 1.499077
alphaiw[20][2][73] = 0.990365
alphaiw[21][2][73] = 0.456914
alphaiw[22][2][73] = 0.260989
# REF Re  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][74] = 1.0000000
hcount[0][74] = 0.0000000
ascale[0][74] = 1.0000000
refcnD3[0][74] = 0.0000000
refcn[0][74] = 0.0000000
refsys[0][74] = 1
alphaiw[0][0][74] = 70.906715
alphaiw[1][0][74] = 65.703714
alphaiw[2][0][74] = 55.218984
alphaiw[3][0][74] = 36.830903
alphaiw[4][0][74] = 25.636530
alphaiw[5][0][74] = 19.008041
alphaiw[6][0][74] = 14.834293
alphaiw[7][0][74] = 12.022510
alphaiw[8][0][74] = 10.018156
alphaiw[9][0][74] = 8.524354
alphaiw[10][0][74] = 7.371621
alphaiw[11][0][74] = 6.457265
alphaiw[12][0][74] = 5.103473
alphaiw[13][0][74] = 4.154435
alphaiw[14][0][74] = 3.456462
alphaiw[15][0][74] = 2.924612
alphaiw[16][0][74] = 2.508195
alphaiw[17][0][74] = 1.786967
alphaiw[18][0][74] = 1.335409
alphaiw[19][0][74] = 0.822419
alphaiw[20][0][74] = 0.554132
alphaiw[21][0][74] = 0.261705
alphaiw[22][0][74] = 0.150927
# REF ReH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][74] = -0.118434
hcount[1][74] = 2.0000000
ascale[1][74] = 1.0000000
refcnD3[1][74] = 1.8103787
refcn[1][74] = 1.5956840
refsys[1][74] = 1
alphaiw[0][1][74] = 63.204778
alphaiw[1][1][74] = 58.022872
alphaiw[2][1][74] = 48.892505
alphaiw[3][1][74] = 34.622105
alphaiw[4][1][74] = 25.845780
alphaiw[5][1][74] = 20.138726
alphaiw[6][1][74] = 16.192048
alphaiw[7][1][74] = 13.339677
alphaiw[8][1][74] = 11.207214
alphaiw[9][1][74] = 9.568270
alphaiw[10][1][74] = 8.279022
alphaiw[11][1][74] = 7.244584
alphaiw[12][1][74] = 5.701120
alphaiw[13][1][74] = 4.616791
alphaiw[14][1][74] = 3.821647
alphaiw[15][1][74] = 3.218730
alphaiw[16][1][74] = 2.749267
alphaiw[17][1][74] = 1.943263
alphaiw[18][1][74] = 1.444213
alphaiw[19][1][74] = 0.883388
alphaiw[20][1][74] = 0.592938
alphaiw[21][1][74] = 0.278790
alphaiw[22][1][74] = 0.160491
# REF ReH11 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][74] = -0.023737
hcount[2][74] = 11.0000000
ascale[2][74] = 1.0000000
refcnD3[2][74] = 9.8053562
refcn[2][74] = 8.6425291
refsys[2][74] = 1
alphaiw[0][2][74] = 61.939117
alphaiw[1][2][74] = 61.003315
alphaiw[2][2][74] = 58.452260
alphaiw[3][2][74] = 50.800125
alphaiw[4][2][74] = 42.689735
alphaiw[5][2][74] = 35.595306
alphaiw[6][2][74] = 29.765335
alphaiw[7][2][74] = 25.069030
alphaiw[8][2][74] = 21.299029
alphaiw[9][2][74] = 18.261211
alphaiw[10][2][74] = 15.795952
alphaiw[11][2][74] = 13.778166
alphaiw[12][2][74] = 10.722796
alphaiw[13][2][74] = 8.565551
alphaiw[14][2][74] = 6.992632
alphaiw[15][2][74] = 5.813046
alphaiw[16][2][74] = 4.906717
alphaiw[17][2][74] = 3.385753
alphaiw[18][2][74] = 2.472856
alphaiw[19][2][74] = 1.479700
alphaiw[20][2][74] = 0.980863
alphaiw[21][2][74] = 0.454545
alphaiw[22][2][74] = 0.260157
# REF Os  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][75] = 1.0000000
hcount[0][75] = 0.0000000
ascale[0][75] = 1.0000000
refcnD3[0][75] = 0.0000000
refcn[0][75] = 0.0000000
refsys[0][75] = 1
alphaiw[0][0][75] = 59.608352
alphaiw[1][0][75] = 56.280602
alphaiw[2][0][75] = 48.864865
alphaiw[3][0][75] = 34.160055
alphaiw[4][0][75] = 24.437497
alphaiw[5][0][75] = 18.431846
alphaiw[6][0][75] = 14.552417
alphaiw[7][0][75] = 11.894747
alphaiw[8][0][75] = 9.977549
alphaiw[9][0][75] = 8.535515
alphaiw[10][0][75] = 7.414266
alphaiw[11][0][75] = 6.519068
alphaiw[12][0][75] = 5.183034
alphaiw[13][0][75] = 4.238104
alphaiw[14][0][75] = 3.538492
alphaiw[15][0][75] = 3.002695
alphaiw[16][0][75] = 2.581539
alphaiw[17][0][75] = 1.848476
alphaiw[18][0][75] = 1.386784
alphaiw[19][0][75] = 0.858869
alphaiw[20][0][75] = 0.580842
alphaiw[21][0][75] = 0.275736
alphaiw[22][0][75] = 0.159430
# REF OsH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][75] = -0.123746
hcount[1][75] = 2.0000000
ascale[1][75] = 1.0000000
refcnD3[1][75] = 1.8857635
refcn[1][75] = 1.6621289
refsys[1][75] = 1
alphaiw[0][1][75] = 46.673142
alphaiw[1][1][75] = 44.259993
alphaiw[2][1][75] = 40.911969
alphaiw[3][1][75] = 32.798567
alphaiw[4][1][75] = 25.841610
alphaiw[5][1][75] = 20.667923
alphaiw[6][1][75] = 16.877397
alphaiw[7][1][75] = 14.053496
alphaiw[8][1][75] = 11.900979
alphaiw[9][1][75] = 10.223079
alphaiw[10][1][75] = 8.888489
alphaiw[11][1][75] = 7.807995
alphaiw[12][1][75] = 6.179288
alphaiw[13][1][75] = 5.023194
alphaiw[14][1][75] = 4.169491
alphaiw[15][1][75] = 3.519118
alphaiw[16][1][75] = 3.011053
alphaiw[17][1][75] = 2.135665
alphaiw[18][1][75] = 1.591589
alphaiw[19][1][75] = 0.977624
alphaiw[20][1][75] = 0.658111
alphaiw[21][1][75] = 0.310741
alphaiw[22][1][75] = 0.179266
# REF OsH10 - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][75] = -0.027297
hcount[2][75] = 10.0000000
ascale[2][75] = 1.0000000
refcnD3[2][75] = 9.1526928
refcn[2][75] = 8.0672658
refsys[2][75] = 1
alphaiw[0][2][75] = 55.889240
alphaiw[1][2][75] = 55.176393
alphaiw[2][2][75] = 53.189428
alphaiw[3][2][75] = 46.903932
alphaiw[4][2][75] = 39.847972
alphaiw[5][2][75] = 33.461859
alphaiw[6][2][75] = 28.119124
alphaiw[7][2][75] = 23.772572
alphaiw[8][2][75] = 20.261643
alphaiw[9][2][75] = 17.419901
alphaiw[10][2][75] = 15.105460
alphaiw[11][2][75] = 13.205262
alphaiw[12][2][75] = 10.316787
alphaiw[13][2][75] = 8.268059
alphaiw[14][2][75] = 6.768554
alphaiw[15][2][75] = 5.640385
alphaiw[16][2][75] = 4.771149
alphaiw[17][2][75] = 3.306810
alphaiw[18][2][75] = 2.423609
alphaiw[19][2][75] = 1.457536
alphaiw[20][2][75] = 0.969385
alphaiw[21][2][75] = 0.451254
alphaiw[22][2][75] = 0.258814
# REF Ir  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][76] = 1.0000000
hcount[0][76] = 0.0000000
ascale[0][76] = 1.0000000
refcnD3[0][76] = 0.0000000
refcn[0][76] = 0.0000000
refsys[0][76] = 1
alphaiw[0][0][76] = 51.549374
alphaiw[1][0][76] = 49.223427
alphaiw[2][0][76] = 43.710645
alphaiw[3][0][76] = 31.722547
alphaiw[4][0][76] = 23.208929
alphaiw[5][0][76] = 17.756659
alphaiw[6][0][76] = 14.161465
alphaiw[7][0][76] = 11.665305
alphaiw[8][0][76] = 9.846896
alphaiw[9][0][76] = 8.468434
alphaiw[10][0][76] = 7.389473
alphaiw[11][0][76] = 6.522957
alphaiw[12][0][76] = 5.219951
alphaiw[13][0][76] = 4.290101
alphaiw[14][0][76] = 3.596586
alphaiw[15][0][76] = 3.062301
alphaiw[16][0][76] = 2.640316
alphaiw[17][0][76] = 1.901304
alphaiw[18][0][76] = 1.432580
alphaiw[19][0][76] = 0.892678
alphaiw[20][0][76] = 0.606114
alphaiw[21][0][76] = 0.289262
alphaiw[22][0][76] = 0.167658
# REF IrH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][76] = -0.131076
hcount[1][76] = 2.0000000
ascale[1][76] = 1.0000000
refcnD3[1][76] = 1.8647913
refcn[1][76] = 1.6436438
refsys[1][76] = 1
alphaiw[0][1][76] = 42.720008
alphaiw[1][1][76] = 41.393198
alphaiw[2][1][76] = 38.365516
alphaiw[3][1][76] = 31.008066
alphaiw[4][1][76] = 24.665365
alphaiw[5][1][76] = 19.906638
alphaiw[6][1][76] = 16.387797
alphaiw[7][1][76] = 13.742538
alphaiw[8][1][76] = 11.709027
alphaiw[9][1][76] = 10.111502
alphaiw[10][1][76] = 8.831811
alphaiw[11][1][76] = 7.789093
alphaiw[12][1][76] = 6.204427
alphaiw[13][1][76] = 5.068924
alphaiw[14][1][76] = 4.224118
alphaiw[15][1][76] = 3.576713
alphaiw[16][1][76] = 3.068591
alphaiw[17][1][76] = 2.187985
alphaiw[18][1][76] = 1.637073
alphaiw[19][1][76] = 1.011250
alphaiw[20][1][76] = 0.683268
alphaiw[21][1][76] = 0.324225
alphaiw[22][1][76] = 0.187475
# REF IrH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][76] = -0.096880
hcount[2][76] = 3.0000000
ascale[2][76] = 1.0000000
refcnD3[2][76] = 2.9424106
refcn[2][76] = 2.5934671
refsys[2][76] = 1
alphaiw[0][2][76] = 40.199841
alphaiw[1][2][76] = 39.012518
alphaiw[2][2][76] = 36.312641
alphaiw[3][2][76] = 30.182976
alphaiw[4][2][76] = 24.828685
alphaiw[5][2][76] = 20.558789
alphaiw[6][2][76] = 17.225950
alphaiw[7][2][76] = 14.616356
alphaiw[8][2][76] = 12.549523
alphaiw[9][2][76] = 10.890120
alphaiw[10][2][76] = 9.539653
alphaiw[11][2][76] = 8.426579
alphaiw[12][2][76] = 6.716530
alphaiw[13][2][76] = 5.481003
alphaiw[14][2][76] = 4.558785
alphaiw[15][2][76] = 3.851752
alphaiw[16][2][76] = 3.297450
alphaiw[17][2][76] = 2.340093
alphaiw[18][2][76] = 1.744625
alphaiw[19][2][76] = 1.072764
alphaiw[20][2][76] = 0.722965
alphaiw[21][2][76] = 0.342056
alphaiw[22][2][76] = 0.197551
# REF IrH4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][76] = -0.072915
hcount[3][76] = 4.0000000
ascale[3][76] = 1.0000000
refcnD3[3][76] = 3.8590606
refcn[3][76] = 3.4014107
refsys[3][76] = 1
alphaiw[0][3][76] = 43.26386145384436
alphaiw[1][3][76] = 41.87270885493567
alphaiw[2][3][76] = 38.97756922651011
alphaiw[3][3][76] = 32.53546817033003
alphaiw[4][3][76] = 26.86879022042119
alphaiw[5][3][76] = 22.33690893146341
alphaiw[6][3][76] = 18.78455018030514
alphaiw[7][3][76] = 15.98539304138640
alphaiw[8][3][76] = 13.75190143503731
alphaiw[9][3][76] = 11.94555473967480
alphaiw[10][3][76] = 10.46620137271567
alphaiw[11][3][76] = 9.240900967279901
alphaiw[12][3][76] = 7.350076841077815
alphaiw[13][3][76] = 5.980769120532539
alphaiw[14][3][76] = 4.959425779459604
alphaiw[15][3][76] = 4.178206865488249
alphaiw[16][3][76] = 3.567588831572479
alphaiw[17][3][76] = 2.518521852499740
alphaiw[18][3][76] = 1.870683937182505
alphaiw[19][3][76] = 1.145148546795972
alphaiw[20][3][76] = 0.7699740139417868
alphaiw[21][3][76] = 0.3635000028076257
alphaiw[22][3][76] = 0.2098078802792818
# REF IrH5  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][76] = -0.059285
hcount[4][76] = 5.0000000
ascale[4][76] = 1.0000000
refcnD3[4][76] = 4.7494621
refcn[4][76] = 4.1862186
refsys[4][76] = 1
alphaiw[0][4][76] = 49.35671
alphaiw[1][4][76] = 48.17012
alphaiw[2][4][76] = 45.36095
alphaiw[3][4][76] = 38.05467
alphaiw[4][4][76] = 31.08405
alphaiw[5][4][76] = 25.45724
alphaiw[6][4][76] = 21.10086
alphaiw[7][4][76] = 17.72966
alphaiw[8][4][76] = 15.09013
alphaiw[9][4][76] = 12.99324
alphaiw[10][4][76] = 11.30324
alphaiw[11][4][76] = 9.92272
alphaiw[12][4][76] = 7.82659
alphaiw[13][4][76] = 6.33341
alphaiw[14][4][76] = 5.23207
alphaiw[15][4][76] = 4.39610
alphaiw[16][4][76] = 3.74621
alphaiw[17][4][76] = 2.63603
alphaiw[18][4][76] = 1.95404
alphaiw[19][4][76] = 1.19322
alphaiw[20][4][76] = 0.80105
alphaiw[21][4][76] = 0.37731
alphaiw[22][4][76] = 0.21751
# REF Pt  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][77] = 1.0000000
hcount[0][77] = 0.0000000
ascale[0][77] = 1.0000000
refcnD3[0][77] = 0.0000000
refcn[0][77] = 0.0000000
refsys[0][77] = 1
alphaiw[0][0][77] = 41.142482
alphaiw[1][0][77] = 39.318051
alphaiw[2][0][77] = 35.014809
alphaiw[3][0][77] = 25.871028
alphaiw[4][0][77] = 19.521666
alphaiw[5][0][77] = 15.425610
alphaiw[6][0][77] = 12.650762
alphaiw[7][0][77] = 10.659077
alphaiw[8][0][77] = 9.160987
alphaiw[9][0][77] = 7.992962
alphaiw[10][0][77] = 7.056585
alphaiw[11][0][77] = 6.289219
alphaiw[12][0][77] = 5.107449
alphaiw[13][0][77] = 4.242261
alphaiw[14][0][77] = 3.584554
alphaiw[15][0][77] = 3.070521
alphaiw[16][0][77] = 2.660056
alphaiw[17][0][77] = 1.931942
alphaiw[18][0][77] = 1.464141
alphaiw[19][0][77] = 0.919320
alphaiw[20][0][77] = 0.627191
alphaiw[21][0][77] = 0.301238
alphaiw[22][0][77] = 0.175140
# REF PtH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][77] = -0.132216
hcount[1][77] = 2.0000000
ascale[1][77] = 1.0000000
refcnD3[1][77] = 1.9188118
refcn[1][77] = 1.6912580
refsys[1][77] = 1
alphaiw[0][1][77] = 40.557229
alphaiw[1][1][77] = 39.359901
alphaiw[2][1][77] = 36.594445
alphaiw[3][1][77] = 29.735909
alphaiw[4][1][77] = 23.769958
alphaiw[5][1][77] = 19.275894
alphaiw[6][1][77] = 15.944451
alphaiw[7][1][77] = 13.432902
alphaiw[8][1][77] = 11.495386
alphaiw[9][1][77] = 9.967274
alphaiw[10][1][77] = 8.738150
alphaiw[11][1][77] = 7.732509
alphaiw[12][1][77] = 6.195327
alphaiw[13][1][77] = 5.085692
alphaiw[14][1][77] = 4.254759
alphaiw[15][1][77] = 3.614444
alphaiw[16][1][77] = 3.109535
alphaiw[17][1][77] = 2.229166
alphaiw[18][1][77] = 1.674600
alphaiw[19][1][77] = 1.040332
alphaiw[20][1][77] = 0.705579
alphaiw[21][1][77] = 0.336580
alphaiw[22][1][77] = 0.195126
# REF PtH8  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][77] = -0.034685
hcount[2][77] = 8.0000000
ascale[2][77] = 1.0000000
refcnD3[2][77] = 6.6668788
refcn[2][77] = 5.8762469
refsys[2][77] = 1
alphaiw[0][2][77] = 54.949141
alphaiw[1][2][77] = 53.957847
alphaiw[2][2][77] = 51.308873
alphaiw[3][2][77] = 43.740995
alphaiw[4][2][77] = 36.205363
alphaiw[5][2][77] = 29.936501
alphaiw[6][2][77] = 24.962459
alphaiw[7][2][77] = 21.044163
alphaiw[8][2][77] = 17.939503
alphaiw[9][2][77] = 15.454375
alphaiw[10][2][77] = 13.442304
alphaiw[11][2][77] = 11.794494
alphaiw[12][2][77] = 9.288853
alphaiw[13][2][77] = 7.504046
alphaiw[14][2][77] = 6.189180
alphaiw[15][2][77] = 5.192730
alphaiw[16][2][77] = 4.419384
alphaiw[17][2][77] = 3.101938
alphaiw[18][2][77] = 2.295552
alphaiw[19][2][77] = 1.399241
alphaiw[20][2][77] = 0.938656
alphaiw[21][2][77] = 0.441943
alphaiw[22][2][77] = 0.254795
# REF Au  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][78] = 1.0000000
hcount[0][78] = 0.0000000
ascale[0][78] = 1.0000000
refcnD3[0][78] = 0.0000000
refcn[0][78] = 0.0000000
refsys[0][78] = 1
alphaiw[0][0][78] = 37.729046
alphaiw[1][0][78] = 36.109184
alphaiw[2][0][78] = 32.272234
alphaiw[3][0][78] = 24.071625
alphaiw[4][0][78] = 18.338586
alphaiw[5][0][78] = 14.614363
alphaiw[6][0][78] = 12.077426
alphaiw[7][0][78] = 10.247400
alphaiw[8][0][78] = 8.863532
alphaiw[9][0][78] = 7.778331
alphaiw[10][0][78] = 6.903168
alphaiw[11][0][78] = 6.181705
alphaiw[12][0][78] = 5.061304
alphaiw[13][0][78] = 4.232170
alphaiw[14][0][78] = 3.595755
alphaiw[15][0][78] = 3.094158
alphaiw[16][0][78] = 2.690734
alphaiw[17][0][78] = 1.968367
alphaiw[18][0][78] = 1.499451
alphaiw[19][0][78] = 0.948102
alphaiw[20][0][78] = 0.649744
alphaiw[21][0][78] = 0.313943
alphaiw[22][0][78] = 0.183017
# REF AuH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][78] = -0.235380
hcount[1][78] = 1.0000000
ascale[1][78] = 1.0000000
refcnD3[1][78] = 0.9845894
refcn[1][78] = 0.8678259
refsys[1][78] = 1
alphaiw[0][1][78] = 36.615332
alphaiw[1][1][78] = 35.418752
alphaiw[2][1][78] = 32.569147
alphaiw[3][1][78] = 25.957474
alphaiw[4][1][78] = 20.578028
alphaiw[5][1][78] = 16.672052
alphaiw[6][1][78] = 13.837427
alphaiw[7][1][78] = 11.724445
alphaiw[8][1][78] = 10.101641
alphaiw[9][1][78] = 8.821577
alphaiw[10][1][78] = 7.788782
alphaiw[11][1][78] = 6.939576
alphaiw[12][1][78] = 5.629590
alphaiw[13][1][78] = 4.670785
alphaiw[14][1][78] = 3.942909
alphaiw[15][1][78] = 3.374919
alphaiw[16][1][78] = 2.922034
alphaiw[17][1][78] = 2.120372
alphaiw[18][1][78] = 1.606585
alphaiw[19][1][78] = 1.009319
alphaiw[20][1][78] = 0.689252
alphaiw[21][1][78] = 0.331686
alphaiw[22][1][78] = 0.193041
# REF Hg  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][79] = 1.0000000
hcount[0][79] = 0.0000000
ascale[0][79] = 1.0000000
refcnD3[0][79] = 0.0000000
refcn[0][79] = 0.0000000
refsys[0][79] = 1
alphaiw[0][0][79] = 37.166815
alphaiw[1][0][79] = 35.990317
alphaiw[2][0][79] = 32.987647
alphaiw[3][0][79] = 25.523763
alphaiw[4][0][79] = 19.540759
alphaiw[5][0][79] = 15.435836
alphaiw[6][0][79] = 12.612498
alphaiw[7][0][79] = 10.594960
alphaiw[8][0][79] = 9.092781
alphaiw[9][0][79] = 7.933409
alphaiw[10][0][79] = 7.011666
alphaiw[11][0][79] = 6.260929
alphaiw[12][0][79] = 5.110847
alphaiw[13][0][79] = 4.270702
alphaiw[14][0][79] = 3.630664
alphaiw[15][0][79] = 3.128094
alphaiw[16][0][79] = 2.724410
alphaiw[17][0][79] = 2.000914
alphaiw[18][0][79] = 1.529547
alphaiw[19][0][79] = 0.972200
alphaiw[20][0][79] = 0.668634
alphaiw[21][0][79] = 0.324657
alphaiw[22][0][79] = 0.189663
# REF HgH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][79] = -0.111738
hcount[1][79] = 2.0000000
ascale[1][79] = 1.0000000
refcnD3[1][79] = 1.9896302
refcn[1][79] = 1.7536780
refsys[1][79] = 1
alphaiw[0][1][79] = 35.559689
alphaiw[1][1][79] = 34.945375
alphaiw[2][1][79] = 33.260044
alphaiw[3][1][79] = 28.204623
alphaiw[4][1][79] = 23.045102
alphaiw[5][1][79] = 18.829900
alphaiw[6][1][79] = 15.602430
alphaiw[7][1][79] = 13.148449
alphaiw[8][1][79] = 11.257593
alphaiw[9][1][79] = 9.772499
alphaiw[10][1][79] = 8.583126
alphaiw[11][1][79] = 7.613322
alphaiw[12][1][79] = 6.134892
alphaiw[13][1][79] = 5.067829
alphaiw[14][1][79] = 4.266367
alphaiw[15][1][79] = 3.645737
alphaiw[16][1][79] = 3.153512
alphaiw[17][1][79] = 2.286675
alphaiw[18][1][79] = 1.733102
alphaiw[19][1][79] = 1.090281
alphaiw[20][1][79] = 0.745568
alphaiw[21][1][79] = 0.359628
alphaiw[22][1][79] = 0.209532
# REF Tl  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][80] = 1.0000000
hcount[0][80] = 0.0000000
ascale[0][80] = 1.0000000
refcnD3[0][80] = 0.0000000
refcn[0][80] = 0.0000000
refsys[0][80] = 1
alphaiw[0][0][80] = 75.478732
alphaiw[1][0][80] = 66.979768
alphaiw[2][0][80] = 52.729331
alphaiw[3][0][80] = 33.280002
alphaiw[4][0][80] = 23.164751
alphaiw[5][0][80] = 17.359802
alphaiw[6][0][80] = 13.712395
alphaiw[7][0][80] = 11.254067
alphaiw[8][0][80] = 9.501521
alphaiw[9][0][80] = 8.194264
alphaiw[10][0][80] = 7.182826
alphaiw[11][0][80] = 6.376732
alphaiw[12][0][80] = 5.170610
alphaiw[13][0][80] = 4.308914
alphaiw[14][0][80] = 3.661260
alphaiw[15][0][80] = 3.156611
alphaiw[16][0][80] = 2.752830
alphaiw[17][0][80] = 2.030088
alphaiw[18][0][80] = 1.557966
alphaiw[19][0][80] = 0.996420
alphaiw[20][0][80] = 0.688351
alphaiw[21][0][80] = 0.336572
alphaiw[22][0][80] = 0.197454
# REF TlH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][80] = -0.187126
hcount[1][80] = 1.0000000
ascale[1][80] = 1.0000000
refcnD3[1][80] = 0.9267449
refcn[1][80] = 0.8168413
refsys[1][80] = 1
alphaiw[0][1][80] = 73.790952
alphaiw[1][1][80] = 67.207703
alphaiw[2][1][80] = 55.163395
alphaiw[3][1][80] = 36.681887
alphaiw[4][1][80] = 26.109135
alphaiw[5][1][80] = 19.729920
alphaiw[6][1][80] = 15.603490
alphaiw[7][1][80] = 12.775340
alphaiw[8][1][80] = 10.741480
alphaiw[9][1][80] = 9.219153
alphaiw[10][1][80] = 8.041298
alphaiw[11][1][80] = 7.104607
alphaiw[12][1][80] = 5.710708
alphaiw[13][1][80] = 4.724035
alphaiw[14][1][80] = 3.989544
alphaiw[15][1][80] = 3.422373
alphaiw[16][1][80] = 2.972216
alphaiw[17][1][80] = 2.175290
alphaiw[18][1][80] = 1.661101
alphaiw[19][1][80] = 1.056129
alphaiw[20][1][80] = 0.727234
alphaiw[21][1][80] = 0.354235
alphaiw[22][1][80] = 0.207480
# REF TlH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][80] = -0.107239
hcount[2][80] = 2.0000000
ascale[2][80] = 1.0000000
refcnD3[2][80] = 1.9301929
refcn[2][80] = 1.7012894
refsys[2][80] = 1
alphaiw[0][2][80] = 51.215991
alphaiw[1][2][80] = 49.061859
alphaiw[2][2][80] = 44.528144
alphaiw[3][2][80] = 34.595429
alphaiw[4][2][80] = 26.615222
alphaiw[5][2][80] = 20.889795
alphaiw[6][2][80] = 16.834374
alphaiw[7][2][80] = 13.909007
alphaiw[8][2][80] = 11.740612
alphaiw[9][2][80] = 10.087644
alphaiw[10][2][80] = 8.794576
alphaiw[11][2][80] = 7.759698
alphaiw[12][2][80] = 6.213591
alphaiw[13][2][80] = 5.118832
alphaiw[14][2][80] = 4.306181
alphaiw[15][2][80] = 3.681216
alphaiw[16][2][80] = 3.187379
alphaiw[17][2][80] = 2.319174
alphaiw[18][2][80] = 1.763826
alphaiw[19][2][80] = 1.115864
alphaiw[20][2][80] = 0.766199
alphaiw[21][2][80] = 0.371962
alphaiw[22][2][80] = 0.217545
# REF TlH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][80] = -0.076031
hcount[3][80] = 3.0000000
ascale[3][80] = 1.0000000
refcnD3[3][80] = 2.9420133
refcn[3][80] = 2.5931170
refsys[3][80] = 1
alphaiw[0][3][80] = 44.423294
alphaiw[1][3][80] = 43.569595
alphaiw[2][3][80] = 41.246899
alphaiw[3][3][80] = 34.422364
alphaiw[4][3][80] = 27.630095
alphaiw[5][3][80] = 22.191964
alphaiw[6][3][80] = 18.102640
alphaiw[7][3][80] = 15.048177
alphaiw[8][3][80] = 12.735625
alphaiw[9][3][80] = 10.949566
alphaiw[10][3][80] = 9.541171
alphaiw[11][3][80] = 8.408699
alphaiw[12][3][80] = 6.711836
alphaiw[13][3][80] = 5.510139
alphaiw[14][3][80] = 4.620145
alphaiw[15][3][80] = 3.937965
alphaiw[16][3][80] = 3.400870
alphaiw[17][3][80] = 2.462039
alphaiw[18][3][80] = 1.865887
alphaiw[19][3][80] = 1.175279
alphaiw[20][3][80] = 0.804987
alphaiw[21][3][80] = 0.389627
alphaiw[22][3][80] = 0.227581
# REF Pb  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][81] = 1.0000000
hcount[0][81] = 0.0000000
ascale[0][81] = 1.0000000
refcnD3[0][81] = 0.0000000
refcn[0][81] = 0.0000000
refsys[0][81] = 1
alphaiw[0][0][81] = 63.290551
alphaiw[1][0][81] = 59.528643
alphaiw[2][0][81] = 51.260786
alphaiw[3][0][81] = 35.402585
alphaiw[4][0][81] = 25.139419
alphaiw[5][0][81] = 18.794790
alphaiw[6][0][81] = 14.704093
alphaiw[7][0][81] = 11.932208
alphaiw[8][0][81] = 9.966059
alphaiw[9][0][81] = 8.514547
alphaiw[10][0][81] = 7.405625
alphaiw[11][0][81] = 6.533443
alphaiw[12][0][81] = 5.251804
alphaiw[13][0][81] = 4.355258
alphaiw[14][0][81] = 3.691983
alphaiw[15][0][81] = 3.180898
alphaiw[16][0][81] = 2.775005
alphaiw[17][0][81] = 2.053012
alphaiw[18][0][81] = 1.582344
alphaiw[19][0][81] = 1.020152
alphaiw[20][0][81] = 0.709050
alphaiw[21][0][81] = 0.349772
alphaiw[22][0][81] = 0.206012
# REF PbH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][81] = -0.187979
hcount[1][81] = 1.0000000
ascale[1][81] = 1.0000000
refcnD3[1][81] = 0.9383046
refcn[1][81] = 0.8270301
refsys[1][81] = 1
alphaiw[0][1][81] = 57.472565
alphaiw[1][1][81] = 54.846679
alphaiw[2][1][81] = 48.857590
alphaiw[3][1][81] = 36.174994
alphaiw[4][1][81] = 26.840562
alphaiw[5][1][81] = 20.542595
alphaiw[6][1][81] = 16.259491
alphaiw[7][1][81] = 13.260503
alphaiw[8][1][81] = 11.089376
alphaiw[9][1][81] = 9.466189
alphaiw[10][1][81] = 8.216800
alphaiw[11][1][81] = 7.230192
alphaiw[12][1][81] = 5.778070
alphaiw[13][1][81] = 4.764358
alphaiw[14][1][81] = 4.017956
alphaiw[15][1][81] = 3.446130
alphaiw[16][1][81] = 2.994691
alphaiw[17][1][81] = 2.198964
alphaiw[18][1][81] = 1.686047
alphaiw[19][1][81] = 1.080031
alphaiw[20][1][81] = 0.747917
alphaiw[21][1][81] = 0.367330
alphaiw[22][1][81] = 0.215955
# REF PbH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][81] = -0.107507
hcount[2][81] = 2.0000000
ascale[2][81] = 1.0000000
refcnD3[2][81] = 1.9356017
refcn[2][81] = 1.7060568
refsys[2][81] = 1
alphaiw[0][2][81] = 53.041445
alphaiw[1][2][81] = 51.075136
alphaiw[2][2][81] = 46.836689
alphaiw[3][2][81] = 36.799054
alphaiw[4][2][81] = 28.310768
alphaiw[5][2][81] = 22.104546
alphaiw[6][2][81] = 17.682635
alphaiw[7][2][81] = 14.496763
alphaiw[8][2][81] = 12.148160
alphaiw[9][2][81] = 10.371792
alphaiw[10][2][81] = 8.994464
alphaiw[11][2][81] = 7.902054
alphaiw[12][2][81] = 6.289817
alphaiw[13][2][81] = 5.164407
alphaiw[14][2][81] = 4.337958
alphaiw[15][2][81] = 3.707231
alphaiw[16][2][81] = 3.211399
alphaiw[17][2][81] = 2.343410
alphaiw[18][2][81] = 1.788872
alphaiw[19][2][81] = 1.139532
alphaiw[20][2][81] = 0.786588
alphaiw[21][2][81] = 0.384835
alphaiw[22][2][81] = 0.225880
# REF PbH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][81] = -0.074855
hcount[3][81] = 3.0000000
ascale[3][81] = 1.0000000
refcnD3[3][81] = 2.9080975
refcn[3][81] = 2.5632233
refsys[3][81] = 1
alphaiw[0][3][81] = 53.111528
alphaiw[1][3][81] = 51.719839
alphaiw[2][3][81] = 48.173362
alphaiw[3][3][81] = 38.895949
alphaiw[4][3][81] = 30.480298
alphaiw[5][3][81] = 24.039511
alphaiw[6][3][81] = 19.320319
alphaiw[7][3][81] = 15.862550
alphaiw[8][3][81] = 13.287683
alphaiw[9][3][81] = 11.328725
alphaiw[10][3][81] = 9.805060
alphaiw[11][3][81] = 8.595004
alphaiw[12][3][81] = 6.809659
alphaiw[13][3][81] = 5.566654
alphaiw[14][3][81] = 4.657447
alphaiw[15][3][81] = 3.966620
alphaiw[16][3][81] = 3.425937
alphaiw[17][3][81] = 2.485750
alphaiw[18][3][81] = 1.890062
alphaiw[19][3][81] = 1.198145
alphaiw[20][3][81] = 0.824767
alphaiw[21][3][81] = 0.402192
alphaiw[22][3][81] = 0.235743
# REF PbH4  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[4][81] = -0.057971
hcount[4][81] = 4.0000000
ascale[4][81] = 1.0000000
refcnD3[4][81] = 3.9098204
refcn[4][81] = 3.4461509
refsys[4][81] = 1
alphaiw[0][4][81] = 50.087978
alphaiw[1][4][81] = 49.204263
alphaiw[2][4][81] = 46.771906
alphaiw[3][4][81] = 39.398243
alphaiw[4][4][81] = 31.754210
alphaiw[5][4][81] = 25.453920
alphaiw[6][4][81] = 20.642605
alphaiw[7][4][81] = 17.029771
alphaiw[8][4][81] = 14.298018
alphaiw[9][4][81] = 12.199285
alphaiw[10][4][81] = 10.556611
alphaiw[11][4][81] = 9.246867
alphaiw[12][4][81] = 7.308826
alphaiw[13][4][81] = 5.958181
alphaiw[14][4][81] = 4.971346
alphaiw[15][4][81] = 4.223163
alphaiw[16][4][81] = 3.639130
alphaiw[17][4][81] = 2.628169
alphaiw[18][4][81] = 1.991607
alphaiw[19][4][81] = 1.257053
alphaiw[20][4][81] = 0.863129
alphaiw[21][4][81] = 0.419611
alphaiw[22][4][81] = 0.245634
# REF Bi  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][82] = 1.0000000
hcount[0][82] = 0.0000000
ascale[0][82] = 1.0000000
refcnD3[0][82] = 0.0000000
refcn[0][82] = 0.0000000
refsys[0][82] = 1
alphaiw[0][0][82] = 51.191675
alphaiw[1][0][82] = 49.406993
alphaiw[2][0][82] = 44.945845
alphaiw[3][0][82] = 34.150543
alphaiw[4][0][82] = 25.504587
alphaiw[5][0][82] = 19.507350
alphaiw[6][0][82] = 15.389803
alphaiw[7][0][82] = 12.499821
alphaiw[8][0][82] = 10.411093
alphaiw[9][0][82] = 8.856117
alphaiw[10][0][82] = 7.666044
alphaiw[11][0][82] = 6.732208
alphaiw[12][0][82] = 5.370099
alphaiw[13][0][82] = 4.429298
alphaiw[14][0][82] = 3.741808
alphaiw[15][0][82] = 3.217504
alphaiw[16][0][82] = 2.804422
alphaiw[17][0][82] = 2.075742
alphaiw[18][0][82] = 1.603362
alphaiw[19][0][82] = 1.039045
alphaiw[20][0][82] = 0.725343
alphaiw[21][0][82] = 0.360305
alphaiw[22][0][82] = 0.212972
# REF BiH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][82] = -0.183919
hcount[1][82] = 1.0000000
ascale[1][82] = 1.0000000
refcnD3[1][82] = 0.9819811
refcn[1][82] = 0.8655270
refsys[1][82] = 1
alphaiw[0][1][82] = 51.614780
alphaiw[1][1][82] = 50.062956
alphaiw[2][1][82] = 46.120411
alphaiw[3][1][82] = 36.133909
alphaiw[4][1][82] = 27.611891
alphaiw[5][1][82] = 21.407734
alphaiw[6][1][82] = 17.010149
alphaiw[7][1][82] = 13.859258
alphaiw[8][1][82] = 11.551020
alphaiw[9][1][82] = 9.817429
alphaiw[10][1][82] = 8.483241
alphaiw[11][1][82] = 7.432903
alphaiw[12][1][82] = 5.898261
alphaiw[13][1][82] = 4.839422
alphaiw[14][1][82] = 4.068388
alphaiw[15][1][82] = 3.483119
alphaiw[16][1][82] = 3.024354
alphaiw[17][1][82] = 2.221757
alphaiw[18][1][82] = 1.707042
alphaiw[19][1][82] = 1.098849
alphaiw[20][1][82] = 0.764135
alphaiw[21][1][82] = 0.377815
alphaiw[22][1][82] = 0.222885
# REF BiH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][82] = -0.102857
hcount[2][82] = 2.0000000
ascale[2][82] = 1.0000000
refcnD3[2][82] = 1.9655068
refcn[2][82] = 1.7324153
refsys[2][82] = 1
alphaiw[0][2][82] = 51.747925
alphaiw[1][2][82] = 50.440623
alphaiw[2][2][82] = 47.046419
alphaiw[3][2][82] = 37.944111
alphaiw[4][2][82] = 29.609799
alphaiw[5][2][82] = 23.240622
alphaiw[6][2][82] = 18.588107
alphaiw[7][2][82] = 15.191232
alphaiw[8][2][82] = 12.672563
alphaiw[9][2][82] = 10.766051
alphaiw[10][2][82] = 9.291428
alphaiw[11][2][82] = 8.127034
alphaiw[12][2][82] = 6.422697
alphaiw[13][2][82] = 5.247262
alphaiw[14][2][82] = 4.393473
alphaiw[15][2][82] = 3.747703
alphaiw[16][2][82] = 3.243542
alphaiw[17][2][82] = 2.367390
alphaiw[18][2][82] = 1.810491
alphaiw[19][2][82] = 1.158543
alphaiw[20][2][82] = 0.802863
alphaiw[21][2][82] = 0.395302
alphaiw[22][2][82] = 0.232788
# REF BiH3  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[3][82] = -0.071437
hcount[3][82] = 3.0000000
ascale[3][82] = 1.0000000
refcnD3[3][82] = 2.9499515
refcn[3][82] = 2.6001138
refsys[3][82] = 1
alphaiw[0][3][82] = 51.517855
alphaiw[1][3][82] = 50.493293
alphaiw[2][3][82] = 47.715638
alphaiw[3][3][82] = 39.594862
alphaiw[4][3][82] = 31.508449
alphaiw[5][3][82] = 25.012318
alphaiw[6][3][82] = 20.127656
alphaiw[7][3][82] = 16.498323
alphaiw[8][3][82] = 13.777435
alphaiw[9][3][82] = 11.703145
alphaiw[10][3][82] = 10.091415
alphaiw[11][3][82] = 8.815182
alphaiw[12][3][82] = 6.943727
alphaiw[13][3][82] = 5.653011
alphaiw[14][3][82] = 4.717193
alphaiw[15][3][82] = 4.011348
alphaiw[16][3][82] = 3.462054
alphaiw[17][3][82] = 2.512673
alphaiw[18][3][82] = 1.913726
alphaiw[19][3][82] = 1.218132
alphaiw[20][3][82] = 0.841532
alphaiw[21][3][82] = 0.412771
alphaiw[22][3][82] = 0.242684
# REF Po  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][83] = 1.0000000
hcount[0][83] = 0.0000000
ascale[0][83] = 1.0000000
refcnD3[0][83] = 0.0000000
refcn[0][83] = 0.0000000
refsys[0][83] = 1
alphaiw[0][0][83] = 45.735480
alphaiw[1][0][83] = 44.517755
alphaiw[2][0][83] = 41.355483
alphaiw[3][0][83] = 32.979356
alphaiw[4][0][83] = 25.509268
alphaiw[5][0][83] = 19.924290
alphaiw[6][0][83] = 15.897768
alphaiw[7][0][83] = 12.979026
alphaiw[8][0][83] = 10.824256
alphaiw[9][0][83] = 9.198452
alphaiw[10][0][83] = 7.944524
alphaiw[11][0][83] = 6.957050
alphaiw[12][0][83] = 5.516745
alphaiw[13][0][83] = 4.527154
alphaiw[14][0][83] = 3.809785
alphaiw[15][0][83] = 3.267234
alphaiw[16][0][83] = 2.842960
alphaiw[17][0][83] = 2.101418
alphaiw[18][0][83] = 1.624524
alphaiw[19][0][83] = 1.056385
alphaiw[20][0][83] = 0.739915
alphaiw[21][0][83] = 0.369568
alphaiw[22][0][83] = 0.219067
# REF PoH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][83] = -0.192535
hcount[1][83] = 1.0000000
ascale[1][83] = 1.0000000
refcnD3[1][83] = 0.9815274
refcn[1][83] = 0.8651271
refsys[1][83] = 1
alphaiw[0][1][83] = 47.983152
alphaiw[1][1][83] = 46.808517
alphaiw[2][1][83] = 43.744424
alphaiw[3][1][83] = 35.461321
alphaiw[4][1][83] = 27.808811
alphaiw[5][1][83] = 21.908242
alphaiw[6][1][83] = 17.560494
alphaiw[7][1][83] = 14.362938
alphaiw[8][1][83] = 11.979716
alphaiw[9][1][83] = 10.170266
alphaiw[10][1][83] = 8.769124
alphaiw[11][1][83] = 7.663115
alphaiw[12][1][83] = 6.047910
alphaiw[13][1][83] = 4.939068
alphaiw[14][1][83] = 4.137492
alphaiw[15][1][83] = 3.533595
alphaiw[16][1][83] = 3.063406
alphaiw[17][1][83] = 2.247662
alphaiw[18][1][83] = 1.728317
alphaiw[19][1][83] = 1.116224
alphaiw[20][1][83] = 0.778724
alphaiw[21][1][83] = 0.387089
alphaiw[22][1][83] = 0.228990
# REF PoH2  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[2][83] = -0.108173
hcount[2][83] = 2.0000000
ascale[2][83] = 1.0000000
refcnD3[2][83] = 1.9639349
refcn[2][83] = 1.7310299
refsys[2][83] = 1
alphaiw[0][2][83] = 49.975788
alphaiw[1][2][83] = 48.853614
alphaiw[2][2][83] = 45.909774
alphaiw[3][2][83] = 37.778502
alphaiw[4][2][83] = 29.999335
alphaiw[5][2][83] = 23.823111
alphaiw[6][2][83] = 19.179433
alphaiw[7][2][83] = 15.718506
alphaiw[8][2][83] = 13.116296
alphaiw[9][2][83] = 11.129124
alphaiw[10][2][83] = 9.584574
alphaiw[11][2][83] = 8.362542
alphaiw[12][2][83] = 6.575318
alphaiw[13][2][83] = 5.348670
alphaiw[14][2][83] = 4.463672
alphaiw[15][2][83] = 3.798887
alphaiw[16][2][83] = 3.283067
alphaiw[17][2][83] = 2.393482
alphaiw[18][2][83] = 1.831842
alphaiw[19][2][83] = 1.175927
alphaiw[20][2][83] = 0.817450
alphaiw[21][2][83] = 0.404576
alphaiw[22][2][83] = 0.238896
# REF At  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][84] = 1.0000000
hcount[0][84] = 0.0000000
ascale[0][84] = 1.0000000
refcnD3[0][84] = 0.0000000
refcn[0][84] = 0.0000000
refsys[0][84] = 1
alphaiw[0][0][84] = 39.163867
alphaiw[1][0][84] = 38.425015
alphaiw[2][0][84] = 36.421358
alphaiw[3][0][84] = 30.541178
alphaiw[4][0][84] = 24.613416
alphaiw[5][0][84] = 19.765789
alphaiw[6][0][84] = 16.052409
alphaiw[7][0][84] = 13.247147
alphaiw[8][0][84] = 11.115670
alphaiw[9][0][84] = 9.474571
alphaiw[10][0][84] = 8.190947
alphaiw[11][0][84] = 7.170527
alphaiw[12][0][84] = 5.671149
alphaiw[13][0][84] = 4.637872
alphaiw[14][0][84] = 3.890442
alphaiw[15][0][84] = 3.327720
alphaiw[16][0][84] = 2.889997
alphaiw[17][0][84] = 2.131081
alphaiw[18][0][84] = 1.647178
alphaiw[19][0][84] = 1.073442
alphaiw[20][0][84] = 0.753916
alphaiw[21][0][84] = 0.378491
alphaiw[22][0][84] = 0.225015
# REF AtH - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[1][84] = -0.187405
hcount[1][84] = 1.0000000
ascale[1][84] = 1.0000000
refcnD3[1][84] = 0.9953931
refcn[1][84] = 0.8773485
refsys[1][84] = 1
alphaiw[0][1][84] = 42.302628
alphaiw[1][1][84] = 41.536611
alphaiw[2][1][84] = 39.459688
alphaiw[3][1][84] = 33.325464
alphaiw[4][1][84] = 27.038051
alphaiw[5][1][84] = 21.806889
alphaiw[6][1][84] = 17.746353
alphaiw[7][1][84] = 14.650907
alphaiw[8][1][84] = 12.285003
alphaiw[9][1][84] = 10.456608
alphaiw[10][1][84] = 9.023299
alphaiw[11][1][84] = 7.882566
alphaiw[12][1][84] = 6.205960
alphaiw[13][1][84] = 5.052066
alphaiw[14][1][84] = 4.219605
alphaiw[15][1][84] = 3.595028
alphaiw[16][1][84] = 3.111067
alphaiw[17][1][84] = 2.277546
alphaiw[18][1][84] = 1.751035
alphaiw[19][1][84] = 1.133259
alphaiw[20][1][84] = 0.792697
alphaiw[21][1][84] = 0.395998
alphaiw[22][1][84] = 0.234932
# REF Rn  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
hrefg[0][85] = 1.0000000
hcount[0][85] = 0.0000000
ascale[0][85] = 1.0000000
refcnD3[0][85] = 0.0000000
refcn[0][85] = 0.0000000
refsys[0][85] = 1
alphaiw[0][0][85] = 33.651405
alphaiw[1][0][85] = 33.185242
alphaiw[2][0][85] = 31.885283
alphaiw[3][0][85] = 27.778692
alphaiw[4][0][85] = 23.215468
alphaiw[5][0][85] = 19.173605
alphaiw[6][0][85] = 15.887709
alphaiw[7][0][85] = 13.294588
alphaiw[8][0][85] = 11.259553
alphaiw[9][0][85] = 9.654420
alphaiw[10][0][85] = 8.376090
alphaiw[11][0][85] = 7.346251
alphaiw[12][0][85] = 5.813724
alphaiw[13][0][85] = 4.747636
alphaiw[14][0][85] = 3.974224
alphaiw[15][0][85] = 3.392407
alphaiw[16][0][85] = 2.941055
alphaiw[17][0][85] = 2.163054
alphaiw[18][0][85] = 1.670790
alphaiw[19][0][85] = 1.090411
alphaiw[20][0][85] = 0.767685
alphaiw[21][0][85] = 0.387330
alphaiw[22][0][85] = 0.230968


# REF qX  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009
refx[0][0] = 0.00000000000000
refx[1][0] = 0.00000000000000
refx[0][1] = 0.00000000000000
refx[0][2] = 0.00000000000000
refx[1][2] = 0.37061732228445
refx[2][2] = 0.44400000000000
refx[0][3] = 0.00000000000000
refx[1][3] = 0.17355187691088
refx[2][3] = 0.31121011558254
refx[3][3] = 0.68500000000000
refx[0][4] = 0.00000000000000
refx[1][4] = -0.10464538187607
refx[2][4] = -0.20153708141000
refx[3][4] = -0.28222637549158
refx[4][4] = -0.34038820700608
refx[0][5] = 0.00000000000000
refx[1][5] = -0.17123705791311
refx[2][5] = -0.14210003554128
refx[3][5] = -0.22250854670718
refx[4][5] = -0.25653918216622
refx[5][5] = -0.10441353918078
refx[6][5] = 0.21030312699251
refx[0][6] = 0.00000000000000
refx[1][6] = -0.35298592555229
refx[2][6] = -0.30125788296606
refx[3][6] = -0.82429723124422
refx[4][6] = 0.00000000000000
refx[0][7] = 0.00000000000000
refx[1][7] = -0.35471470167212
refx[2][7] = -0.59881526060460
refx[3][7] = 0.00000000000000
refx[0][8] = 0.00000000000000
refx[1][8] = -0.24773915491465
refx[0][9] = 0.00000000000000
refx[0][10] = 0.00000000000000
refx[1][10] = 0.37895090683878
refx[2][10] = 0.48200000000000
refx[0][11] = 0.00000000000000
refx[1][11] = 0.32933884303798
refx[2][11] = 0.51074920852765
refx[3][11] = 0.72100000000000
refx[0][12] = 0.00000000000000
refx[1][12] = 0.03709152257935
refx[2][12] = 0.05079767549293
refx[3][12] = 0.05291396113772
refx[0][13] = 0.00000000000000
refx[1][13] = 0.01649127941162
refx[2][13] = -0.00640083798505
refx[3][13] = -0.03084420203156
refx[4][13] = -0.06585975737745
refx[0][14] = 0.00000000000000
refx[1][14] = -0.17987135979307
refx[2][14] = -0.12671124139840
refx[3][14] = -0.17467927422329
refx[0][15] = 0.00000000000000
refx[1][15] = -0.16267234588041
refx[2][15] = -0.23775171448878
refx[0][16] = 0.00000000000000
refx[1][16] = -0.15045057451823
refx[0][17] = 0.00000000000000
refx[0][18] = 0.00000000000000
refx[1][18] = 0.44376242787490
refx[2][18] = 0.62148041473613
refx[0][19] = 0.00000000000000
refx[1][19] = 0.31814452979636
refx[2][19] = 0.50078886624431
refx[3][19] = 0.70800000000000
refx[0][20] = 0.00000000000000
refx[1][20] = 0.50144727255861
refx[2][20] = 0.62485373296540
refx[3][20] = 1.19800000000000
refx[0][21] = 0.00000000000000
refx[1][21] = 0.32259167829296
refx[2][21] = 0.53505953733387
refx[3][21] = 1.45284490238150
refx[0][22] = 0.00000000000000
refx[1][22] = 0.30538713298844
refx[2][22] = 0.39745931358650
refx[3][22] = 1.29423363276103
refx[0][23] = 0.00000000000000
refx[1][23] = 0.17721817570715
refx[2][23] = 0.16754955881404
refx[3][23] = 0.61467776168125
refx[0][24] = 0.00000000000000
refx[1][24] = 0.26888428905691
refx[2][24] = -0.01438794807264
refx[0][25] = 0.00000000000000
refx[1][25] = 0.16108330144470
refx[2][25] = 0.05493242513468
refx[0][26] = 0.00000000000000
refx[1][26] = 0.21568151580380
refx[2][26] = 0.20590049778110
refx[3][26] = -0.01577894818610
refx[0][27] = 0.00000000000000
refx[1][27] = 0.09850839901243
refx[2][27] = 0.02948298358915
refx[3][27] = 0.02439689318964
refx[0][28] = 0.00000000000000
refx[1][28] = 0.05450628884215
refx[0][29] = 0.00000000000000
refx[1][29] = 0.25796918840353
refx[0][30] = 0.00000000000000
refx[1][30] = 0.02870304944818
refx[2][30] = 0.04511416923234
refx[0][31] = 0.00000000000000
refx[1][31] = 0.00938786608492
refx[2][31] = -0.00592798448224
refx[3][31] = -0.03161585463110
refx[4][31] = -0.06445558548675
refx[0][32] = 0.00000000000000
refx[1][32] = -0.09954248086481
refx[2][32] = -0.11896736577051
refx[3][32] = -0.10225384717106
refx[0][33] = 0.00000000000000
refx[1][33] = -0.12327157100582
refx[2][33] = -0.17535803722366
refx[0][34] = 0.00000000000000
refx[1][34] = -0.14490782122377
refx[0][35] = 0.00000000000000
refx[0][36] = 0.00000000000000
refx[1][36] = 0.44852683448077
refx[2][36] = 0.56600000000000
refx[0][37] = 0.00000000000000
refx[1][37] = 0.42643340166796
refx[2][37] = 0.64902814271780
refx[3][37] = 0.84300000000000
refx[0][38] = 0.00000000000000
refx[1][38] = 0.57618546114280
refx[2][38] = 0.72312847632101
refx[0][39] = 0.00000000000000
refx[1][39] = 0.34661262612707
refx[2][39] = 0.56547785565182
refx[3][39] = 1.59446204953052
refx[0][40] = 0.00000000000000
refx[1][40] = 0.42830519499403
refx[2][40] = 0.56050948600940
refx[3][40] = 1.63800000000000
refx[0][41] = 0.00000000000000
refx[1][41] = 0.46738200215089
refx[2][41] = 0.47338670395900
refx[3][41] = 0.59427677788562
refx[0][42] = 0.00000000000000
refx[1][42] = 0.24709379453256
refx[2][42] = 0.18198173917164
refx[0][43] = 0.00000000000000
refx[1][43] = 0.32415456703039
refx[2][43] = 0.36375674498582
refx[0][44] = 0.00000000000000
refx[1][44] = 0.14509956942986
refx[2][44] = 0.18388211183689
refx[3][44] = 0.24549798804335
refx[0][45] = 0.00000000000000
refx[1][45] = 0.22956514930613
refx[2][45] = 0.55444971429388
refx[0][46] = 0.00000000000000
refx[1][46] = 0.10670361771604
refx[0][47] = 0.00000000000000
refx[1][47] = 0.21898540545170
refx[0][48] = 0.00000000000000
refx[1][48] = 0.06391398485994
refx[2][48] = 0.10806425732282
refx[3][48] = 0.14171698994803
refx[0][49] = 0.00000000000000
refx[1][49] = 0.03599066704066
refx[2][49] = 0.04368851386536
refx[3][49] = 0.03463534758499
refx[4][49] = 0.01418221277464
refx[0][50] = 0.00000000000000
refx[1][50] = -0.01439446368141
refx[2][50] = -0.01543201581300
refx[3][50] = -0.00985357197761
refx[0][51] = 0.00000000000000
refx[1][51] = -0.09115200126999
refx[2][51] = -0.09678003345023
refx[0][52] = 0.00000000000000
refx[1][52] = -0.13740767685282
refx[0][53] = 0.00000000000000
refx[0][54] = 0.00000000000000
refx[1][54] = 0.46524059775602
refx[2][54] = 0.60500000000000
refx[0][55] = 0.00000000000000
refx[1][55] = 0.42198236936188
refx[2][55] = 0.63397117832958
refx[3][55] = 0.82000000000000
refx[0][56] = 0.00000000000000
refx[1][56] = 0.65599616057853
refx[2][56] = 0.83084860530330
refx[0][57] = 0.78733393312177
refx[0][58] = 0.00000000000000
refx[1][58] = 0.78255214121928
refx[0][59] = 0.00000000000000
refx[1][59] = 0.78608430866652
refx[0][60] = 0.00000000000000
refx[1][60] = 0.79124653412356
refx[0][61] = 0.00000000000000
refx[1][61] = 0.78972506109909
refx[0][62] = 0.00000000000000
refx[1][62] = 0.65326281414848
refx[0][63] = 0.00000000000000
refx[1][63] = 0.78994446367069
refx[0][64] = 0.00000000000000
refx[1][64] = 0.79462439284960
refx[0][65] = 0.00000000000000
refx[1][65] = 0.79518107342432
refx[0][66] = 0.00000000000000
refx[1][66] = 0.80930480242405
refx[0][67] = 0.00000000000000
refx[1][67] = 0.81306730354597
refx[0][68] = 0.00000000000000
refx[1][68] = 0.81408370489997
refx[0][69] = 0.00000000000000
refx[1][69] = 0.78415843735390
refx[0][70] = 0.00000000000000
refx[1][70] = 0.82263187273050
refx[0][71] = 0.00000000000000
refx[1][71] = 0.44266476936835
refx[2][71] = 0.68407375970491
refx[3][71] = 1.59380889275784
refx[0][72] = 0.00000000000000
refx[1][72] = 0.23523422154086
refx[2][72] = 0.30980440015125
refx[3][72] = 1.51762325430455
refx[0][73] = 0.00000000000000
refx[1][73] = 0.31319918056428
refx[2][73] = 0.23020705290823
refx[0][74] = 0.00000000000000
refx[1][74] = 0.10191716059118
refx[2][74] = -0.03451303623343
refx[0][75] = 0.00000000000000
refx[1][75] = 0.19864391765550
refx[2][75] = -0.06474020857185
refx[0][76] = 0.00000000000000
refx[1][76] = -0.01399684403519
refx[2][76] = -0.04786532465344
refx[3][76] = -0.07756443085155
refx[4][76] = -0.12042733196092
refx[0][77] = 0.00000000000000
refx[1][77] = 0.00248540621951
refx[2][77] = 0.10111888298865
refx[0][78] = 0.00000000000000
refx[1][78] = 0.02560952126341
refx[0][79] = 0.00000000000000
refx[1][79] = 0.11991146919920
refx[0][80] = 0.00000000000000
refx[1][80] = 0.05732791283824
refx[2][80] = 0.10187349213041
refx[3][80] = 0.14012325640618
refx[0][81] = 0.00000000000000
refx[1][81] = 0.11449566751294
refx[2][81] = 0.16758459323190
refx[3][81] = 0.18265663815354
refx[4][81] = 0.17825662719618
refx[0][82] = 0.00000000000000
refx[1][82] = 0.04276095694715
refx[2][82] = 0.06545183973370
refx[3][82] = 0.07662886467999
refx[0][83] = 0.00000000000000
refx[1][83] = -0.04479748091835
refx[2][83] = -0.02201995669726
refx[0][84] = 0.00000000000000
refx[1][84] = -0.07596582020292
refx[0][85] = 0.00000000000000

# REF qH  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 2009

refh[0][0] = 0.00000000000000
refh[1][0] = 0.00000000000000
refh[0][1] = 0.00000000000000
refh[0][2] = 0.00000000000000
refh[1][2] = -0.37061732228445
refh[2][2] = -0.44400000000000
refh[0][3] = 0.00000000000000
refh[1][3] = -0.17355187691088
refh[2][3] = -0.15560505779127
refh[3][3] = -0.68500000000000
refh[0][4] = 0.00000000000000
refh[1][4] = 0.10464538187607
refh[2][4] = 0.10076854070500
refh[3][4] = 0.09407545849719
refh[4][4] = 0.11346273566869
refh[0][5] = 0.00000000000000
refh[1][5] = 0.17123705791311
refh[2][5] = 0.14210003554128
refh[3][5] = 0.11125427335359
refh[4][5] = 0.08551306072207
refh[5][5] = 0.10441353918078
refh[6][5] = -0.21030312699251
refh[0][6] = 0.00000000000000
refh[1][6] = 0.35298592555229
refh[2][6] = 0.30125788296606
refh[3][6] = 0.27476574374807
refh[4][6] = 0.00000000000000
refh[0][7] = 0.00000000000000
refh[1][7] = 0.35471470167212
refh[2][7] = 0.29940763030230
refh[3][7] = 0.00000000000000
refh[0][8] = 0.00000000000000
refh[1][8] = 0.24773915491465
refh[0][9] = 0.00000000000000
refh[0][10] = 0.00000000000000
refh[1][10] = -0.37895090683878
refh[2][10] = -0.48200000000000
refh[0][11] = 0.00000000000000
refh[1][11] = -0.32933884303798
refh[2][11] = -0.25537460426383
refh[3][11] = -0.72100000000000
refh[0][12] = 0.00000000000000
refh[1][12] = -0.03709152257935
refh[2][12] = -0.02539883774646
refh[3][12] = -0.01763798704591
refh[0][13] = 0.00000000000000
refh[1][13] = -0.01649127941162
refh[2][13] = 0.00320041899253
refh[3][13] = 0.01542210101578
refh[4][13] = 0.02195325245915
refh[0][14] = 0.00000000000000
refh[1][14] = 0.17987135979307
refh[2][14] = 0.12671124139840
refh[3][14] = 0.05822642474110
refh[0][15] = 0.00000000000000
refh[1][15] = 0.16267234588041
refh[2][15] = 0.11887585724439
refh[0][16] = 0.00000000000000
refh[1][16] = 0.15045057451823
refh[0][17] = 0.00000000000000
refh[0][18] = 0.00000000000000
refh[1][18] = -0.44376242787490
refh[2][18] = -0.62148041473613
refh[0][19] = 0.00000000000000
refh[1][19] = -0.31814452979636
refh[2][19] = -0.25039443312215
refh[3][19] = -0.70800000000000
refh[0][20] = 0.00000000000000
refh[1][20] = -0.25072363627930
refh[2][20] = -0.20828457765513
refh[3][20] = -0.39900000000000
refh[0][21] = 0.00000000000000
refh[1][21] = -0.16129583914648
refh[2][21] = -0.13376488433347
refh[3][21] = -0.36600000000000
refh[0][22] = 0.00000000000000
refh[1][22] = -0.15269356649422
refh[2][22] = -0.13248643786217
refh[3][22] = -0.25880000000000
refh[0][23] = 0.00000000000000
refh[1][23] = -0.08860908785357
refh[2][23] = -0.01396246323450
refh[3][23] = -0.19615593415441
refh[0][24] = 0.00000000000000
refh[1][24] = -0.13444214452845
refh[2][24] = 0.00130799527933
refh[0][25] = 0.00000000000000
refh[1][25] = -0.08054165072235
refh[2][25] = -0.00549324251347
refh[0][26] = 0.00000000000000
refh[1][26] = -0.10784075790190
refh[2][26] = -0.06863349926037
refh[3][26] = 0.00175321646512
refh[0][27] = 0.00000000000000
refh[1][27] = -0.04925419950621
refh[2][27] = -0.00368537294864
refh[3][27] = -0.00304961164871
refh[0][28] = 0.00000000000000
refh[1][28] = -0.05450628884215
refh[0][29] = 0.00000000000000
refh[1][29] = -0.12898459420177
refh[0][30] = 0.00000000000000
refh[1][30] = -0.02870304944818
refh[2][30] = -0.02255708461617
refh[0][31] = 0.00000000000000
refh[1][31] = -0.00938786608492
refh[2][31] = 0.00296399224112
refh[3][31] = 0.01053861821037
refh[4][31] = 0.01611389637169
refh[0][32] = 0.00000000000000
refh[1][32] = 0.09954248086481
refh[2][32] = 0.05948368288525
refh[3][32] = 0.03408461572369
refh[0][33] = 0.00000000000000
refh[1][33] = 0.12327157100582
refh[2][33] = 0.08767901861183
refh[0][34] = 0.00000000000000
refh[1][34] = 0.14490782122377
refh[0][35] = 0.00000000000000
refh[0][36] = 0.00000000000000
refh[1][36] = -0.44852683448077
refh[2][36] = -0.56600000000000
refh[0][37] = 0.00000000000000
refh[1][37] = -0.42643340166796
refh[2][37] = -0.32451407135890
refh[3][37] = -0.84300000000000
refh[0][38] = 0.00000000000000
refh[1][38] = -0.28809273057140
refh[2][38] = -0.24104282544034
refh[0][39] = 0.00000000000000
refh[1][39] = -0.17330631306353
refh[2][39] = -0.14136946391296
refh[3][39] = -0.39900000000000
refh[0][40] = 0.00000000000000
refh[1][40] = -0.21415259749701
refh[2][40] = -0.18683649533647
refh[3][40] = -0.32760000000000
refh[0][41] = 0.00000000000000
refh[1][41] = -0.23369100107545
refh[2][41] = -0.03944889199658
refh[3][41] = -0.09904612964760
refh[0][42] = 0.00000000000000
refh[1][42] = -0.12354689726628
refh[2][42] = -0.01654379447015
refh[0][43] = 0.00000000000000
refh[1][43] = -0.16207728351520
refh[2][43] = -0.03637567449858
refh[0][44] = 0.00000000000000
refh[1][44] = -0.07254978471493
refh[2][44] = -0.06129403727896
refh[3][44] = -0.04909959760867
refh[0][45] = 0.00000000000000
refh[1][45] = -0.11478257465306
refh[2][45] = -0.06930621428674
refh[0][46] = 0.00000000000000
refh[1][46] = -0.10670361771604
refh[0][47] = 0.00000000000000
refh[1][47] = -0.10949270272585
refh[0][48] = 0.00000000000000
refh[1][48] = -0.06391398485994
refh[2][48] = -0.05403212866141
refh[3][48] = -0.04723899664934
refh[0][49] = 0.00000000000000
refh[1][49] = -0.03599066704066
refh[2][49] = -0.02184425693268
refh[3][49] = -0.01154511586166
refh[4][49] = -0.00354555319366
refh[0][50] = 0.00000000000000
refh[1][50] = 0.01439446368141
refh[2][50] = 0.00771600790650
refh[3][50] = 0.00328452399254
refh[0][51] = 0.00000000000000
refh[1][51] = 0.09115200126999
refh[2][51] = 0.04839001672511
refh[0][52] = 0.00000000000000
refh[1][52] = 0.13740767685282
refh[0][53] = 0.00000000000000
refh[0][54] = 0.00000000000000
refh[1][54] = -0.46524059775602
refh[2][54] = -0.60500000000000
refh[0][55] = 0.00000000000000
refh[1][55] = -0.42198236936188
refh[2][55] = -0.31698558916479
refh[3][55] = -0.82000000000000
refh[0][56] = 0.00000000000000
refh[1][56] = -0.32799808028927
refh[2][56] = -0.27694953510110
refh[0][57] = -0.26244464437392
refh[0][58] = 0.00000000000000
refh[1][58] = -0.26085071373976
refh[0][59] = 0.00000000000000
refh[1][59] = -0.26202810288884
refh[0][60] = 0.00000000000000
refh[1][60] = -0.26374884470785
refh[0][61] = 0.00000000000000
refh[1][61] = -0.26324168703303
refh[0][62] = 0.00000000000000
refh[1][62] = -0.32663140707424
refh[0][63] = 0.00000000000000
refh[1][63] = -0.26331482122356
refh[0][64] = 0.00000000000000
refh[1][64] = -0.26487479761653
refh[0][65] = 0.00000000000000
refh[1][65] = -0.26506035780811
refh[0][66] = 0.00000000000000
refh[1][66] = -0.26976826747468
refh[0][67] = 0.00000000000000
refh[1][67] = -0.27102243451532
refh[0][68] = 0.00000000000000
refh[1][68] = -0.27136123496666
refh[0][69] = 0.00000000000000
refh[1][69] = -0.26138614578463
refh[0][70] = 0.00000000000000
refh[1][70] = -0.27421062424350
refh[0][71] = 0.00000000000000
refh[1][71] = -0.22133238468418
refh[2][71] = -0.17101843992623
refh[3][71] = -0.39845000000000
refh[0][72] = 0.00000000000000
refh[1][72] = -0.11761711077043
refh[2][72] = -0.10326813338375
refh[3][72] = -0.30352465086090
refh[0][73] = 0.00000000000000
refh[1][73] = -0.15659959028214
refh[2][73] = -0.01918392107569
refh[0][74] = 0.00000000000000
refh[1][74] = -0.05095858029559
refh[2][74] = 0.00313754874849
refh[0][75] = 0.00000000000000
refh[1][75] = -0.09932195882775
refh[2][75] = 0.00647402085719
refh[0][76] = 0.00000000000000
refh[1][76] = 0.00699842201760
refh[2][76] = 0.01595510821781
refh[3][76] = 0.01939110771289
refh[4][76] = 0.02408546639218
refh[0][77] = 0.00000000000000
refh[1][77] = -0.00124270310976
refh[2][77] = -0.01263986037358
refh[0][78] = 0.00000000000000
refh[1][78] = -0.02560952126341
refh[0][79] = 0.00000000000000
refh[1][79] = -0.05995573459960
refh[0][80] = 0.00000000000000
refh[1][80] = -0.05732791283824
refh[2][80] = -0.05093674606521
refh[3][80] = -0.04670775213539
refh[0][81] = 0.00000000000000
refh[1][81] = -0.11449566751294
refh[2][81] = -0.08379229661595
refh[3][81] = -0.06088554605118
refh[4][81] = -0.04456415679904
refh[0][82] = 0.00000000000000
refh[1][82] = -0.04276095694715
refh[2][82] = -0.03272591986685
refh[3][82] = -0.02554295489333
refh[0][83] = 0.00000000000000
refh[1][83] = 0.04479748091835
refh[2][83] = 0.01100997834863
refh[0][84] = 0.00000000000000
refh[1][84] = 0.07596582020292
refh[0][85] = 0.00000000000000
